kde-workspace (4:4.11.12-0ubuntu1.1) utopic-security; urgency=medium

  * SECURITY UPDATE: Privilege Escalation via KDE Clock KCM polkit helper
   - Add upstream_clock-privilage-escalation.diff, checks which
     binary is being run
   - https://www.kde.org/info/security/advisory-20141106-1.txt
   - LP: #1389665

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Nov 2014 13:10:05 +0100

kde-workspace (4:4.11.12-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Remove patches now upstream:
   - upstream_fix-upstart-version-detect.diff
   - kubuntu_upstart_pattern_fix.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:07:37 +0200

kde-workspace (4:4.11.11-0ubuntu6) utopic; urgency=medium

  * Re-fix patch kubuntu_dont-force-on-path.patch again, the quotes are needed
    in the version which uses alias qdbus.  It will still be broken if you
    install qdbus:i386  LP: #1304805

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 25 Aug 2014 15:43:42 +0200

kde-workspace (4:4.11.11-0ubuntu5) utopic; urgency=medium

  * Fix patch kubuntu_dont-force-on-path.patch again, fix was lost somewhere
    LP: #1304805

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 25 Aug 2014 15:00:30 +0200

kde-workspace (4:4.11.11-0ubuntu4) utopic; urgency=medium

  * Add kubuntu_upstart_pattern_fix.diff so we really use logind instead of
    upower again 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 16 Aug 2014 13:25:50 +0200

kde-workspace (4:4.11.11-0ubuntu3) utopic; urgency=medium

  * Remove build-dep on nepomuk 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Aug 2014 17:17:45 +0200

kde-workspace (4:4.11.11-0ubuntu2) utopic; urgency=medium

  * Cherry pick upstream 95529335232dcf04620c7f34ba92c9e8e6b190f5
    as upstream_fix-upstart-version-detect.diff so we use logind instead of upower

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Aug 2014 13:52:44 +0200

kde-workspace (4:4.11.11-0ubuntu1) utopic; urgency=medium

  [ Philip Muškovac ]
  * Drop some gcc internal destructors from libkephal4abi1.symbols that are
    gone in gcc 4.9

  [ Jonathan Riddell ]
  * New upstream release
  * Remove upstream patch upstream_use-weak-pointer.patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 01 Aug 2014 13:29:36 +0200

kde-workspace (4:4.11.10-0ubuntu5) utopic; urgency=medium

  * kde-window-manager-common breaks/replaces kde-workspace-data << 4:4.11.10 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 28 Jun 2014 13:49:03 +0200

kde-workspace (4:4.11.10-0ubuntu4) utopic; urgency=medium

  * Update symbols for armhf

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 20 Jun 2014 18:11:35 +0200

kde-workspace (4:4.11.10-0ubuntu3) utopic; urgency=medium

  * Update symbols (again)

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 20 Jun 2014 15:22:01 +0200

kde-workspace (4:4.11.10-0ubuntu2) utopic; urgency=medium

  * Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 20 Jun 2014 13:20:15 +0200

kde-workspace (4:4.11.10-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, remaining changes
    - debian/control
      + Don't build with CK support
      + Build with specific boost versions
      + Build depend on libwayland-dev
      + kde-workspace-bin suggests plasma-scriptengines instead of
        recommend
      + kde-workspace-bin depends on kde-base-artwork
      + Instal systemsettingsview headers in kde-workspace-dev
      + Keep org.kde.plasma.tasks in plasma-widgets-workspace
      + kde-workspace recommends lightdm-kde-greeter
      + kdebase-workspace-data depends on oxygen-cursor-theme instead of
        oxygencursors
      + kdebase-workspace-data suggests kde-wallpapers
      + ktouchpadenabler should Break/Replace kde-workspace-bin << 4.11.9
  * Make kdm work with upstart in kdm.prerm, kdm.postrm, kdm.postinst
  * Make sure stripes.png stays in kdm.install
  * Keep upstream_Dont-crash-when-no-desktopnames.patch
  * Build both kwin and kwin active
  * plasma-dataengines-workspace breaks/replaces plasma-widgets-workspace 
  * Use kdmrc_defaults_kubuntu.diff instead of kdmrc_defaults.diff
  * Add upstream_use-weak-pointer.patch

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1328049)
    - drop upstream_Dont-crash-when-no-desktopnames.patch, applied upstream
    - add subtle.desktop to kdm.install 
    - drop removed solid-hardware docs from kde-workspace-data.install

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 19 Jun 2014 20:44:33 +0200

kde-workspace (4:4.11.9-0ubuntu3) utopic; urgency=medium

  * Put back the init.d script for compatibility with insserv. (LP: #1323274)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 May 2014 08:35:35 +0200

kde-workspace (4:4.11.9-0ubuntu2) utopic; urgency=medium

  * Add upstream_Dont-crash-when-no-desktopnames.patch to not crash
    when no DesktopName is set

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 06 May 2014 16:26:22 +0200

kde-workspace (4:4.11.9-0ubuntu1) utopic; urgency=medium

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1312806, #1313193) 

  [ Rohan Garg ]
  * Drop upstream_If-pam-kwallet-was-used-send-environment-to-it.patch,
    applied upstream
  * Drop upstream_Use-the-socket-path-sent-by-pam-kwallet-rather-than-.patch,
    applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 05 May 2014 12:39:55 +0200

kde-workspace (4:4.11.8-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch: krunner_iceweasel_bookmarks.patch applied upstream

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Apr 2014 11:21:07 +0200

kde-workspace (4:4.11.8-0ubuntu7) utopic; urgency=high

  * Rebuild using boost1.55.
  * Rebuild against libgps21.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 29 Apr 2014 10:26:12 +0100

kde-workspace (4:4.11.8-0ubuntu6) trusty; urgency=medium

  [ Scott Kitterman ]
  * Revert dropping of plasma-scriptengine-ruby from plasma-scriptengines now
    that the ruby1.8 dependency for ruby-plasma is fixed

  [ Harald Sitter ]
  * Fix kubuntu_dont-force-on-path.patch proper
    + alias qdbus to a forceful QT_SELECT=4 call
    + replace the mindnumbing var eval for qdbus calls with calls through
      the alias (i.e. it reads as qdbus and not $qdbus)
  * Add upstream git commits for pam-kwallet integration LP: #1305307
    They are passing the startkde envrionment to the pam, so it can unlock
    the wallet from the right kdehome.
    + upstream_Use-the-socket-path-sent-by-pam-kwallet-rather-than-.patch
    + upstream_If-pam-kwallet-was-used-send-environment-to-it.patch

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 10 Apr 2014 11:12:23 +0200

kde-workspace (4:4.11.8-0ubuntu5) trusty; urgency=medium

  * Fix patch kubuntu_dont-force-on-path.patch, previous change
    broke log, sorry, LP: #1304805

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Apr 2014 09:33:32 +0100

kde-workspace (4:4.11.8-0ubuntu4) trusty; urgency=medium

  * Set qdbus to use qt4 with local QT_SELECT in startkde

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Apr 2014 16:23:28 +0100

kde-workspace (4:4.11.8-0ubuntu3) trusty; urgency=medium

  * plasma-scriptengines: Remove the dependency on plasma-scriptengine-ruby.
    Still depends on ruby1.8 which won't be available in trusty.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Apr 2014 22:36:45 +0200

kde-workspace (4:4.11.8-0ubuntu2) trusty; urgency=medium

  * Don't set QT_SELECT, qdbus from Qt5 is compatible with qdbus from
    Qt4 (LP: #1299920)

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 02 Apr 2014 11:30:17 +0200

kde-workspace (4:4.11.8-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Mar 2014 23:22:07 +0000

kde-workspace (4:4.11.7-1) unstable; urgency=medium

  * New upstream release.
  * New patch: effect_gles_link_against_gles
  * Remove upstream patch: upstream_explicitly_request_a_window-drawable
  * New patch: unlink_testsock

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 10:07:51 +0100

kde-workspace (4:4.11.7-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Mar 2014 16:16:03 +0100

kde-workspace (4:4.11.6-3) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Import kubuntu's patch: kubuntu_no_krandr.diff
  * Import kubuntu's patch: kubuntu_kcm_display_add_kscreen.diff
  * Split kde-workspace-krandr from kde-workspace-bin, in order to let
    kscreen to take over.
  * New patch: upstream_explicitly_request_a_window-drawable, thanks to Ralf
    Jung. (Closes: #739691)

  [ Pino Toscano ]
  * Drop wrong patch empty_target_kwinglesutils, as it is a pkg-kde-tools
    issue which will be fixed there.

  [ Maximiliano Curia ]
  * Bump build-dep version for pkg-kde-tools.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 24 Feb 2014 00:00:42 +0100

kde-workspace (4:4.11.6-2) unstable; urgency=medium

  * Update symbols files.
  * New patch: empty_target_kwinglesutils

 -- Maximiliano Curia <maxy@debian.org>  Wed, 12 Feb 2014 20:08:48 +0100

kde-workspace (4:4.11.6-1) unstable; urgency=medium

  * Fix typo in kdm.postinst.
  * New upstream release.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:31 +0100

kde-workspace (4:4.11.6-0ubuntu5) trusty; urgency=medium

  * Don't use set in shell script (LP: #1297139)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 25 Mar 2014 11:01:36 +0100

kde-workspace (4:4.11.6-0ubuntu4) trusty; urgency=medium

  [ Rohan Garg ]
  * Add Dep 3 headers to various kubuntu patches
    - Drop kubuntu_kde-workspace-kwin-touch-mouseevents-translation.diff,
      not required for PA 4
    - Drop upstream_Use-cascaded-configs-for-other-modules-as-well.patch,
      was not being used
  * Switch to new package name in startkde when copying GTK2/3 settings
    (LP: #1232156)

  [ Harald Sitter ]
  * Drop KDM ConsoleKit support. We are using logind everywhere else
    and upstream actually prefers logind in all workspace software, however
    since KDM is semi-unmaintained and feature frozen there won't be logind
    support. ConsoleKit in KDM will not do anything on its own because all
    the applications of the workspace will want to talk to logind when
    present (which is pretty much always due to upstart).
    + Remove consolekit runtime dependency from kdm package.
    + Remove libck-connector-dev build dependency to build without CK.
    + This approach was discussed on the kde-core-devel mailing list
      and is the overwhelmingly accepted thing to do.
    LP: #1281036

  [ Philip Muškovac ]
  * kubuntu_plasma_netbook_for_small_screens.diff:
    - fix detection of optical drives so plasma-netbook doesn't appear in
      low-res virtual machines

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 25 Mar 2014 10:49:43 +0100

kde-workspace (4:4.11.6-0ubuntu3) trusty; urgency=medium

  * Add kubuntu_dont-force-on-path.patch to not force Qt4 path on top
    of everything else, use qtchooser instead (LP: #1180196)

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Mar 2014 16:34:06 +0100

kde-workspace (4:4.11.6-0ubuntu2) trusty; urgency=medium

  * Update symbols file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 12:59:50 +0000

kde-workspace (4:4.11.6-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release
  * Drop upstream_Make_powerdevil_use_logind_on_upstart_systems.patch, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 10 Feb 2014 12:25:28 +0100

kde-workspace (4:4.11.5-1) unstable; urgency=medium

  * New upstream release.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove extra comma in debian/changelog's Uploaders field.
  * Enable EGLS version of KWin. This option may benefit some of our users
    (Closes: #688801).
    - Remove the build-conflict against libgles2-mesa-dev and add it as a
      dependency.
    - Add the new generated files to kde-window-manager's install file.

  [ Dmitry Shachnev ]
  * Build-depend on libxcb-sync-dev instead of removed libxcb-sync0-dev.

  [ Maximiliano Curia ]
  * Add autopkgtests.
  * Add abi-compliance-checker info.
  * Split libkwinglesutils package.
  * Fix lintian error message: maintainer-script-should-not-use-adduser-
    system-without-home.
  * Add symbols for libkwinglesutils1.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Jan 2014 14:36:59 +0100

kde-workspace (4:4.11.5-0ubuntu4) trusty; urgency=low

  * Drop kubuntu_netbook_favourites.diff, favorite setup is now done
    by kubuntu-settings. Also kubuntu-settings uses the correct kmail URI
    LP: #820491 

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 04 Feb 2014 11:31:40 +0100

kde-workspace (4:4.11.5-0ubuntu3) trusty; urgency=low

  * Build-depend on libxcb-sync-dev instead of libxcb-sync0-dev.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 15 Jan 2014 16:46:55 +0100

kde-workspace (4:4.11.5-0ubuntu2) trusty; urgency=low

  * No change rebuild against libxcb-sync1

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 15 Jan 2014 13:10:50 +0100

kde-workspace (4:4.11.5-0ubuntu1) trusty; urgency=medium

  * New upstream release 
    - refresh kubuntu_kdewallpapers_install.diff 
    - drop upstream_Fix-traceback-in-Python-runner-plugins.patch and
      upstream_Do-not-crash-when-failing-to-load-a-theme-but-instea.patch,
      fixed upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 09 Jan 2014 10:16:29 +0100

kde-workspace (4:4.11.4-0ubuntu3) trusty; urgency=medium

  * Add upstream_Make_powerdevil_use_logind_on_upstart_systems.patch to support
    suspending using logind API's.

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 08 Jan 2014 12:54:39 +0100

kde-workspace (4:4.11.4-0ubuntu2) trusty; urgency=low

  * Fix typo in Replaces of plasma-desktop LP: #1263441
    (did not cause any issues because of correct Breaks)
  * Add kubuntu_kcm_display_add_kscreen.diff changing the default randr
    KCM used in the meta-KCM 'display' from krandr to kscreen (LP: #1251140)
  * Transit kubuntu_netbook_favourites.diff from rekonq to firefox
    LP: #1265897

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 07 Jan 2014 05:25:20 +0100

kde-workspace (4:4.11.4-0ubuntu1) trusty; urgency=low

  [ Harald Sitter ]
  * Add upstream_Fix-traceback-in-Python-runner-plugins.patch
    from upstream fixing annoying backtraces when having a python krunner
    plugin installed (LP: #1258088)

  [ Philip Muškovac ]
  * New upstream bugfix release
  * Bump kdm breaks/replaces on kde-workspace-data to << 4:4.11.4-0ubuntu1~

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 06 Dec 2013 10:21:29 +0100

kde-workspace (4:4.11.3-3) unstable; urgency=medium

  * Team upload.
  * Update symbols files.
  * Bump Standards-Version to 3.9.5, no changes required.
  * kdm.init: remove hal from Should-Start. (Closes: #694021)
  * Remove the kdm_config, kdm_greet and krootimage man pages, since those
    helpers are shipped in the private libexec directory.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Jan 2014 17:19:26 +0100

kde-workspace (4:4.11.3-2) unstable; urgency=low

  * kde-workspace-dev: Add missing dependencies, thanks to Adam D.
    Barratt. (Closes: #729587)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 14 Nov 2013 23:57:34 +0100

kde-workspace (4:4.11.3-1) unstable; urgency=low

  * New upstream release.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add calls to pam_selinux module in pam files (Closes: #677438, #664808).
    Thanks Laurent Bigonville for the patch.

  [ Maximiliano Curia ]
  * Update build dependencies.
  * Force removal/rebuild of old kwin styles.
  * Refresh patches.
  * Refresh kfreebsd-i386 symbols.
  * Refresh s390x symbols.
  * Update nlist_ftbfs_krefreebsd.diff, replace with a wrapper include.
  * Update install files for kfreebsd.
  * Refresh armhf symbols.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 23:49:06 +0100

kde-workspace (4:4.11.3-0ubuntu2) trusty; urgency=low

  [ Harald Sitter ]
  * Add upstream_Do-not-crash-when-failing-to-load-a-theme-but-instea.patch
    from upstream preventing a crash in ksplashqml when a theme could not
    be loaded (LP: #1196344)

  [ Rohan Garg ]
  * Add 40-kde-plasma.conf so that KDE Workspace integrates
    with lightdm (LP: #1257760)

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 05 Dec 2013 16:11:21 +0100

kde-workspace (4:4.11.3-0ubuntu1) trusty; urgency=low

  [ Harald Sitter ]
  * Use correct plymouth commands in kdm.upstart to make sure plymouth
    quits. LP: #1240376
  * And because we like to introduce regressions over and over and over
    and over and over again... here comes another regression fix:
    Move silly stripes.png wallpaper to kdm package (it is part of kdm and
    only used in kdm and we don't want nor need it in a default install).
    kdm replaces and breaks kde-workspace-data (<< 4:4.11.2-0ubuntu2~)
    - The next person to move it back will be in serious trouble.

  [ Philip Muškovac ]
  * New upstream bugfix release
  * Refresh place_global_config_in_etc.diff

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 18 Nov 2013 01:55:10 +0100

kde-workspace (4:4.11.2-3) experimental; urgency=low

  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 21 Oct 2013 13:43:21 +0200

kde-workspace (4:4.11.2-2) experimental; urgency=low

  * Prepare new revision (Closes: #711769).

  [ Maximiliano Curia ]
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Oct 2013 13:16:28 +0200

kde-workspace (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

  [ Maximiliano Curia ]
  * Refresh patches, remove patches already applied.
  * Update build-dependencies.
  * Remove libsolidcontrol4abi2 and libsolidcontrolifaces4abi2 packages,
    removed by upstream.
  * Update install files.
  * Bump abi versions for library packages.
  * Add new binary package libkwinglesutils1.
  * Update symbols files.
  * Disable kwin_gles.

  [ Pino Toscano ]
  * Make kde-workspace-data depend on kde-base-artwork, as it contains the
    base/default artwork used when desktop-base is not installed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 04 Sep 2013 15:51:17 +0200

kde-workspace (4:4.11.2-0ubuntu2) trusty; urgency=low

  * Bump to Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 26 Oct 2013 22:26:43 +0100

kde-workspace (4:4.11.2-0ubuntu1) saucy; urgency=low

  [ Jonathan Riddell ]
  * New upstream bugfix release
  * Remove upstreamed patches upstream_sal_reload_menu_on_config_change.diff,
    upstream_sal_restore_favourites_model_on_config_change.diff,
    kubuntu_app_icon.diff

  [ Rohan Garg ]
  * Bump ABI version on libkwinglutils and libkwinactiveglutils
  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:07:02 +0100

kde-workspace (4:4.11.1-0ubuntu5) saucy; urgency=low

  * Add kubuntu_avoid_zic_and_deep_copy_timezone_data.diff
    It does not use zic when available as zic is broken. Also adds symlink
    handling, when a tz file is a symlink, it gets the link target and
    copies that instead. This prevents broken symlinks. (LP: #1206199)

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 26 Sep 2013 16:09:27 +0200

kde-workspace (4:4.11.1-0ubuntu4) saucy; urgency=low

  * Replace kubuntu_sal_reload_config.diff (not applied actually) with
    upstream_sal_reload_menu_on_config_change.diff and add
    upstream_sal_restore_favourites_model_on_config_change.diff (LP: #1195255)
  * Demote plasma-scriptengines from recommends to suggests of
    plasma-scriptengines (delta was dropped by accident). 

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 25 Sep 2013 11:36:33 +0200

kde-workspace (4:4.11.1-0ubuntu3) saucy; urgency=low

  * kde-workspace depends on kde-window-manager | kde-window-manager-active

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Sep 2013 15:48:15 +0100

kde-workspace (4:4.11.1-0ubuntu2) saucy; urgency=low

  * Add kubuntu_app_icon.diff from upstream, fix
    https://bugs.kde.org/324574 Application specific icon now doesn't
    work

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Sep 2013 13:28:19 +0100

kde-workspace (4:4.11.1-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream bugfix release.

  [ Rohan Garg ]
  * Drop kubuntu_plasma_desktop_startup.diff, applied upstream
  * libtaskmanager4abi4 -> libtaskmanager4abi5
  * Update symbols

  [ Jonathan Riddell ]
  * Add kubuntu_sal_reload_config.diff from upstream
    http://commits.kde.org/kde-workspace/8dcf62cdeb5ae73e5d60688295a868756a6416f4
    reload menu entries on config changed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 06 Sep 2013 23:07:54 +0100

kde-workspace (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release
  * Remove libkwinnvidiahack4 and libkwinactivenvidiahack4
    packages since it's removed in upstream
  * Add new files into plasma-desktop.install
  * Update libkwineffects1abi4.symbols

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:07:33 +0100

kde-workspace (4:4.10.97-0ubuntu2) saucy; urgency=low

  * Add kubuntu_plasma_desktop_startup.diff
    revert commit 83d301880e78a3aa43e0aedd8f40abb2a506f1ff
    fixes https://bugs.kde.org/321695 plasma statup delay
  * kde-workspace-dev now depends on libx11-xcb-dev due to changes in kwin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 01 Aug 2013 11:48:09 +0100

kde-workspace (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:15:31 +0100

kde-workspace (4:4.10.95-0ubuntu1) saucy; urgency=low

  [ Harald Sitter ]
  * Remove kubuntu_startkde_set_country.diff
    KLocale now correctly tries to read the configuration values and if that
    fails will fall back to parse the system locale (as detected by
    QLocale::system() which in turn - at least for the country - primarily
    follows LC_NUMERIC)

  [ Rohan Garg ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Add new symbol for libkwinglutils1abi2

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:22 +0000

kde-workspace (4:4.10.90-0ubuntu2) saucy; urgency=low

  [ Michał Zając ]
  * New upstream bet release

  [ Philip Muškovac ]
  * Add new doc picture to plasma-desktop.install
  * Drop arm-build-fixes-4-11-edition, applied upstream
  * Update symobl files
  * Bump X-Debian-ABI of libtaskmanager to 4 and rename package and files. 

  [ Jonathan Riddell ]
  * kde-window-manager suggests weston, advised by upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Jun 2013 18:06:09 +0100

kde-workspace (4:4.10.80-0ubuntu4) saucy; urgency=low

  * Add debian/patches/arm-build-fixes-4-11-edition to fix FTBFS on armhf
  * Fix bad Replaces for libkwinnvidiahack4 caused by merge artifacts

 -- Scott Kitterman <scott@kitterman.com>  Wed, 26 Jun 2013 02:43:43 -0400

kde-workspace (4:4.10.80-0ubuntu3) saucy; urgency=low

  * Make kde-workspace-bin depend on kde-base-artwork

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Jun 2013 14:23:19 +0100

kde-workspace (4:4.10.80-0ubuntu2) saucy; urgency=low

  * kde-workspace-bin breaks/replaces kde-window-manager-common << 4:4.10.80 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 22 Jun 2013 14:12:20 +0200

kde-workspace (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Refresh patches:
     - enable_debianabimanager.diff
     - kubuntu_dont_list_kde-default_wallpaper.patch
     - kubuntu_kdewallpapers_install.diff
  * Drop kubuntu_fix_screenshot_compile.diff, obsolete as kwin uses XCB now
  * Drop kubuntu_revert_285553e.diff as it doesn't apply and shouldn't be
    used anymore as long as the brightness flicker issue doesn't appear again. 
  * Update symbol files
  * Bump Debian-ABI of libkwin(active)glutils1abi1 to 2
  * Bump Breaks/Replaces for the 4.10.3 debian merge to << 4:4.10.80 to catch
    upgrades.

  [ Howard Chan ]
  * Enable libxcb1-dev and libxcb-xtest0-dev as build-dependencies as
    the build doesn't work without it.
  * Enable libwayland-dev, udev, libxcb-icccm4-dev and
    libxcb-keysyms1-dev to enable build
  * Fix typo in libgles2-mes-dev build-dep

  [ Jonathan Riddell ]
  * Update .install files
  * Build and install only debian/build-kwin-active/kwin rather than
    building everything twice
  * Remove libsolidcontrol4abi2 and libsolidcontrolifaces4abi2 packages
  * Remove plasma-scriptengine-qedje install files and control entry
  * Merge kde-window-manager-gles into kde-window-manager and
    kde-window-manager-active-gles into kde-window-manager-active, advised
    by upstream
  * Add build-dep on libudev-dev
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:59:02 +0100

kde-workspace (4:4.10.5-3) unstable; urgency=low

  [ Pino Toscano ]
  * Fix breaks/replaces of ktouchpadenabler: remove the ones against itself,
    adjust version of kde-workspace-bin.
  * Backport upstream commit 45b7f137fbc0b942fd2c9b4e8d8c1f0293e64ba7 to fix
    NULL pointer dereference in kcheckpass and kdm, CVE-2013-4132; patch
    upstream_kdm-kcheckpass-Check-for-NULL-return-from-crypt-3-an.patch.
    (Closes: #717180)
  * Backport upstream commit 2c810db3e41d56ad7dd8ec3436f3cf3abcc31983 to fix
    pixmap leaks in the system tray Plasma widget, CVE-2013-4133; patch
    upstream_Fix-pixmap-leak-when-the-tray-icon-changes-e.g.-when.patch.
  * Remove obsolete and outdated installgen.

  [ Maximiliano Curia ]
  * Remove unused kdm lintian-overrides.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Aug 2013 13:31:59 +0200

kde-workspace (4:4.10.5-2) unstable; urgency=low

  [ Pino Toscano ]
  * Update symbols files.
  * Replace kdebase-workspace-dev with kde-workspace-dev in
    Build-Depends-Package of symbols files, and add it where missing.

  [ Maximiliano Curia ]
  * New patch: krunner_iceweasel_bookmarks.patch, thanks to Guido
    Loupias <guidol@lavabit.com>. (Closes: #646612)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 15 Jul 2013 14:41:00 +0200

kde-workspace (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

  [ Maximiliano Curia ]
  * Update libkwineffects1abi4 symbols.
  * New patch: add_kdefakes_for_strlcpy_and_strlcat.diff.
  * Update symbols.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Delete kde-window-manager.README.Debian. It is not relevant anymore.
    Thanks Martin Gräßlin for the bug report! (Closes: #714772).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 12:34:15 +0200

kde-workspace (4:4.10.4-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * kdm.init: set Elarun as the default wallpaper, as it is set upstream.
  * Manually set the kde-runtime dependency in kde-workspace-bin to 4:4:10.2.
    (Closes: #705871)

  [ Maximiliano Curia ]
  * Bump compat/debhelper to 9.
  * Update genkdmconf.1 manpage.
  * Update internal use template description.
  * Add a basic kinfocenter manpage.
  * Small fix in kdm manpage.
  * Reshuffle build-deps to reduce resolver tries.
  * Update libkwineffects1abi4 symbols file.
  * Add DEP3 headers.
  * Add a basic kmenuedit manpage.
  * Add basic manpages for ksysguard and ksysguardd.
  * Update libkwinglutils1abi1 symbols file.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Create package ktouchpadenabler from this source, as it has been merged
    in it.

  [ Diane Trout]
  * Fix typo in kde-workspace-bin dependency string.

  [ Maximiliano Curia ]
  * Update vcs fields.
  * Update libkwinglutils1abi1 symbols file.
  * Remove the -c0 parameter to dh_makeshlibs invocation.
  * Add myself to uploaders.
  * Bump Standards-Version to 3.9.4.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 12:01:05 +0200

kde-workspace (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Do not apply be_better_at_honouring_user_kdm_theming.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:19:37 +0100

kde-workspace (4:4.10.3-0ubuntu5) saucy; urgency=low

  * kde-window-manager depends on kde-window-manager-common

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 Jun 2013 13:08:11 +0100

kde-workspace (4:4.10.3-0ubuntu4) saucy; urgency=low

  * Add upstart user session job.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 30 May 2013 16:30:37 -0400

kde-workspace (4:4.10.3-0ubuntu3) saucy; urgency=low

  [ Philip Muškovac ]
  * Fix broken control file syntax.

  [ Stéphane Graber ]
  * Add upstart userjob for startkde.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 30 May 2013 14:56:02 -0400

kde-workspace (4:4.10.3-0ubuntu2) saucy; urgency=low

  * plasma-desktop breaks/replaces kde-workspace-bin << 4:4.10.3-0ubuntu2~,
    kde-workspace-data << 4:4.10.3-0ubuntu2~
    (LP: #1183032)
  * kde-workspace-data breaks/replaces kdm << 4:4.10.3-0ubuntu2~
  * plasma-dataengines-workspace breaks/replaces
    kde-workspace-bin << 4:4.10.3-0ubuntu2~
  * plasma-widgets-workspace breaks/replaces
    kde-workspace-data << 4:4.10.3-0ubuntu2~
    (LP: #1183030)
  * kdm breaks/replaces kde-workspace-data << 4:4.10.3-0ubuntu2~
    (LP: #1183031)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 24 May 2013 23:48:17 +0200

kde-workspace (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
    - Add kdm.{links, upstart}
    - Make kdm work with upstart in kdm.prerm, kdm.postrm, kdm.postinst
    - Add kde-window-manager-gles.install and libkwineffects1abi2-gles.install
    - Move non-default kdm and ksplash themes to the new package
      kde-workspace-data-extras.
    - kdm.logrotate: rotate 7 -> rotate 2 to help stop excess disk usage
    - New binary package kde-workspace-randr to separate out randr tools,
      not installed by default as we use kscreen now
    - debian/control:
      - Build against libbost1.53-dev instead of libboost-dev
      - Keep bumped our replaces/breaks
      - kde-workspace-bin suggests plasma-scriptengines instead of
        recommend
      - kdebase-workspace-data depends on oxygen-cursor-theme instead of
        oxygencursors
      - Keep kdebase-workspace-wallpapers
      - plasma-widgets-workspace depends on akonadi-server and kdepim-runtime
      - plasma-scriptengines not depends on plasma-scriptengine-googlegadgets
      - Don't build plasma-scriptengine-googlegadgets
      - add build-dep on libgles2-mesa-dev
      - In kde-workspace recommend lightdm-kde-greeter as well as kdm
      - kde-workspace-bin optionally depends on plasma-active
      - kdm replaces/breaks old kde-workspace-data
      - Add kinfocenter Breaks/Replaces kde-workspace-data <<
        4:4.9.80-0ubuntu5~ and kde-workspace-bin << 4:4.9.80-0ubuntu5~
    - debian/patches:
      - Use kdmrc_defaults_kubuntu.diff instead of kdmrc_defaults.diff
      - Don't add be_better_at_honouring_user_kdm_theming
      - Don't add use_dejavu_as_default_font
      - Don't add fix_target_link_libraries
      - Keep our patches
  * kde-workspace-bin replaces/breaks ktouchpadenabler

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:08:53 +0000

kde-workspace (4:4.10.2-2) experimental; urgency=low

  * Shuffle around some build-deps hoping to cheat aptitude.

 -- Sune Vuorela <sune@debian.org>  Thu, 11 Apr 2013 20:58:54 +0000

kde-workspace (4:4.10.2-1) experimental; urgency=low

  * New upstream release.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove patches already applied upstream.
    - process_table_unclickable.diff.
    - new_beams_custom_plots.diff.
    - upstream_make-sure-scripts-are-executed-sorted.patch.
    - upstream_centralize-interaction-notification-handling.patch.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.10.1.
  * Bump kdelibs5-dev build dependency to 4:4.10.
  * Bump kdepimlibs5-dev build dependency to 4:4.10.
  * Bump libkactivities-dev build dependency to 4:4.10.
  * Add build dependency on nepomuk-core-dev (>= 4:4.10).
  * Add build dependency on libqjson-dev.
  * Add the following xcb libraries to Build-Depends:
    - libxcb-composite0-dev
    - libxcb-damage0-dev
    - libxcb-xfixes0-dev
    - libxcb-render0-dev
    - libxcb-randr0-dev
    - libxcb-shape0-dev
    - libxcb-shm0-dev
    - libxcb-sync0-dev
    - libxcb-image0-dev
    - libxcb-render-util0-dev
  * Update patches:
    - drop relax_kdelibs_dependency.diff, no longer needed.
    - drop upstream_Check-if-attention-demanding-status-has-changed-when.patch,
      applied upstream.
    - drop upstream_Use-the-CascadeConfig-flag-as-this-allows-the-KCM-to.patch,
      applied upstream.
    - drop upstream_Fix-the-kwin-KCM-to-read-cascaded-configs.patch, applied
      upstream.
    - drop upstream_Make-sure-the-plasma-desktop-scripts-are-sorted-in-t.patch,
      applied upstream.
    - drop upstream_Fix-deletion-of-preferred-application-launchers.patch,
      applied upstream.
    - extend place_global_config_in_etc.diff.
    - update be_better_at_honouring_user_kdm_theming.diff. 
    - refresh other patches to make them apply without any offset.
  * Pass -DKDE4_BUILD_TESTS=false to cmake to keep the tests disabled.
  * Update installed files.
  * Move these files from kde-workspace-bin to plasma-dataengines-workspace:
    - usr/lib/kde4/plasma_engine_activities.so
    - usr/lib/kde4/plasma_engine_share.so
    (*.install files were updated and added the necessary Breaks/Replaces)
  * Update symbols files.
  * Bump sonames and rename packages due to binary incompatible changes:
    - libkdecorations4 -> libkdecorations4abi1
    - libkwineffects1abi3 -> libkwineffects1abi4
    - libkwinglutils1 -> libkwinglutils1abi1
    - libkworkspace4abi1 -> libkworkspace4abi2
  * Add Breaks against kwin styles which wouldn't work with this latest
    kde-window-manager release:
    - kdeartwork-theme-window (<< 4:4.9.5)
    - kwin-style-qtcurve (<< 1.8.14-2+)
    - kde-style-bespin (<< 0.r1552-1+)
    - kwin-style-crystal (<< 2.2.1)
    - kwin-style-dekorator
    - kde-style-skulpture
  * Add lintian overrides for hardening-no-fortify-functions.

  [ Sune Vuorela ]
  * Update install files
  * Clean up uploaders

 -- Sune Vuorela <sune@debian.org>  Wed, 03 Apr 2013 18:28:15 +0000

kde-workspace (4:4.10.2-0ubuntu3) saucy; urgency=low

  * Add 0001-kwin-glx-Avoid-MSAA-configs-in-initDrawableConfigs.patch
    from upstream avoiding MSAA configs to resolve a crash on ATI R600
    with raring Mesa (LP: #1174495)

 -- Harald Sitter <apachelogger@kubuntu.org>  Sat, 04 May 2013 10:48:05 +0100

kde-workspace (4:4.10.2-0ubuntu2) raring; urgency=low

  * Move silly stripes.png wallpaper to kdm package (it is part of kdm and
    only used in kdm and we don't want nor need it in a default install).
    + kdm replaces and breaks kde-workspace-data (<< 4:4.10.2-0ubuntu2)
  * Add kubuntu_dont_list_kde-default_wallpaper.patch to prevent our fake
    wallpaper symlink kde-default.png from showing up in the dialog.
    The code apparently doesn't like symlinks so it has no preview and it
    was not meant to be used directly anyway.

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 17 Apr 2013 15:25:36 +0200

kde-workspace (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release
    - refresh kubuntu_inotify_add_watch_ibus.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:41:54 +0200

kde-workspace (4:4.10.1b-0ubuntu5) raring; urgency=low

  * kde-workspace-randr needs to be Arch any as it contains binaries 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 13 Mar 2013 22:29:27 +0100

kde-workspace (4:4.10.1b-0ubuntu4) raring; urgency=low

  * Add kubuntu_no_krandr.diff to not require krandr on startup,
    replaced by kscreen

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Mar 2013 11:42:12 +0000

kde-workspace (4:4.10.1b-0ubuntu2) raring; urgency=low

  * Add missing kde-workspace-randr.install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 11 Mar 2013 13:00:52 +0000

kde-workspace (4:4.10.1b-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:27:07 +0000

kde-workspace (4:4.10.0-0ubuntu3) raring; urgency=low

  * New binary package kde-workspace-randr to separate out randr tools,
    not installed by default as we use kscreen now

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Feb 2013 18:50:10 +0000

kde-workspace (4:4.10.0-0ubuntu2) raring; urgency=low

  * Don't apply kubuntu_kde-workspace-kwin-touch-mouseevents-translation.diff
    workaround for libxi clashing with libxfixes (plus kwin author not entirely happy
    with the patch)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Feb 2013 16:49:13 +0000

kde-workspace (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Update kde-window-manager-common.install and sort it 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 06 Feb 2013 11:40:40 +0000

kde-workspace (4:4.9.98a-0ubuntu2) raring; urgency=low

  * Add kde-workspace-kwin-touch-mouseevents-translation.diff from upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 24 Jan 2013 21:03:05 +0000

kde-workspace (4:4.9.98a-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate
  * Update .install files
  * Remove 0001-Revert-dont-accidentally-trigger-the-last-match.patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:12:26 +0000

kde-workspace (4:4.9.97-0ubuntu4) raring; urgency=low

  * Remove ktouchpadenabler files from kde-workspace-bin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 16 Jan 2013 15:02:08 +0000

kde-workspace (4:4.9.97-0ubuntu3) raring; urgency=low

  * Add missing file ktouchpadenabler.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 15 Jan 2013 15:38:30 +0000

kde-workspace (4:4.9.97-0ubuntu2) raring; urgency=low

  * Add kubuntu_revert_285553e.diff to revert upstream commit
    285553edce61f65a88d9067136bf138e44efb149 as it causes brightness
    flickering on some systems (LP: #1088150)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 06 Jan 2013 01:01:01 +0100

kde-workspace (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:28:39 +0100

kde-workspace (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Harald Sitter ]
  * Drop kubuntu_kdm_plymouth_transition.diff as discussed on the mailing
    list. Since we do not use KDM by default anymore and since the patch
    introduces issues that are not present with a vanilla KDM.
    LP: #886946, #578732, #553567
  * Update kdm.upstart script to quit-wait-sleep on plymouth regardless of
    the runlevel.

  [ Rohan Garg ]
  * Update install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:22:32 +0000

kde-workspace (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * Remove qreal_double_fix.diff now upstream
  * Update .install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:44:52 +0000

kde-workspace (4:4.9.80-0ubuntu7) raring; urgency=low

  * Add missing Breaks/Replaces for ktouchpadenabler on kde-workspace-bin and
    kde-window-manager-common

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Nov 2012 04:07:15 -0500

kde-workspace (4:4.9.80-0ubuntu6) raring; urgency=low

  * Add new binary for ktouchpadenabler, previously provided from a
    separate source (LP: #1083060)
    - Remove ktouchpadenabler files from kde-window-manager-common.install and
      kde-workspace-bin.install
  * Update package descriptions to refer to KDE workspace instead of KDE
    Base Workspace

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Nov 2012 02:01:41 -0500

kde-workspace (4:4.9.80-0ubuntu5) raring; urgency=low

  * Fix install/upgrade failures due to duplicate file installation
    - Remove kcmview1394/oui.db from kde-workspace-data.install and
      kcm_view1394.so from kde-workspace-bin.install to fix file conflicts
    - Add kinfocenter Breaks/Replaces kde-workspace-data <<
      4:4.9.80-0ubuntu5~ and kde-workspace-bin << 4:4.9.80-0ubuntu5~

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Nov 2012 18:18:25 +0100

kde-workspace (4:4.9.80-0ubuntu4) raring; urgency=low

  * Fix install/upgrade failures due to duplicate file installation
    (LP: #1082345)
    - Remove kcmview1394.desktop from kde-window-manager-common.install
    - Add kinfocenter Breaks/Replaces kde-window-manager-common <<
      4:4.9.80-0ubuntu4~

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Nov 2012 19:29:36 -0500

kde-workspace (4:4.9.80-0ubuntu3) raring; urgency=low

  * Add qreal_double_fix.diff to fix FTBFS on armhf
  * Additional symbols file updates

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Nov 2012 01:53:16 -0500

kde-workspace (4:4.9.80-0ubuntu2) raring; urgency=low

  * Update libkwinglutils1abi1.symbols, ABI incompatible but upstream
    has mechanisms to ensure it does not get used if incompatible plugin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 22 Nov 2012 12:27:09 +0000

kde-workspace (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Rohan Garg ]
  * Add build-deps on libxcb*

  [ Jonathan Riddell ]
  * New upstream beta release
  * Remove kubuntu_disable_remote_widgets_browser.diff no longer needed
  * Update .install files
  * Add build-depends on nepomuk-core-dev and libqjson-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:50:33 +0000

kde-workspace (4:4.9.3-0ubuntu2) raring; urgency=low

  * add 0001-Revert-dont-accidentally-trigger-the-last-match.patch from
    upstream (kde bug 309787)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 15 Nov 2012 23:46:20 +0100

kde-workspace (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)
    - drop fix-powerdevil-profile-generation.patch, applied upstream
    - refresh kubuntu_always_show_kickoff_subtext.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:28:33 +0100

kde-workspace (4:4.9.2-0ubuntu2.1) quantal-proposed; urgency=low

  * Add fix-powerdevil-profile-generation.patch to ensure powerdevil
    profiles are created using appropriate information on support of suspend
    and hibernate (LP: #1066892) 

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 15 Oct 2012 15:49:07 +0200

kde-workspace (4:4.9.2-0ubuntu2) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Oct 2012 01:07:21 -0400

kde-workspace (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release
  * Remove upstream_Ensure-that-the-start-Client-to-build-up-the-ClientM.patch
    and kubuntu_plasma_init_script.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:16:13 +0100

kde-workspace (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Add upstream_Ensure-that-the-start-Client-to-build-up-the-ClientM.patch
    from upstream fixing a memleak in kwin
  * Change sonames to be more generic (4.9.* instead of 4.9.0)

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 05 Sep 2012 17:31:55 +0530

kde-workspace (4:4.9.0-0ubuntu4) quantal; urgency=low

  * Add kubuntu_plasma_init_script.diff from upstream, run
    plasma-desktop init script, LP: #1045839

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 Sep 2012 15:19:45 +0100

kde-workspace (4:4.9.0-0ubuntu3) quantal; urgency=low

  * Simplify kubuntu_gtk2_engines_oxygen_config.diff and add GTK 3 settings

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Aug 2012 14:04:38 +0100

kde-workspace (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:51 +0100

kde-workspace (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * Remove patches/kubuntu_revert_1554ba408633397066d31c3d565c217b5a385fb8.diff fixed upstream
  * Remove debian/patches/kubuntu_fix_batterymonitor_panel_minsize.diff fix upstream
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:32:34 +0100

kde-workspace (4:4.8.90-0ubuntu3) quantal; urgency=low

  * In kde-workspace recommend lightdm-kde-greeter as well as kdm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jul 2012 11:45:11 +0100

kde-workspace (4:4.8.90-0ubuntu2) quantal; urgency=low

  * Fix minimum size for batterymonitor applet when it's on the panel,
    upstream bug #301877.

 -- Romain Perier <bambi@ubuntu.com>  Sun, 17 Jun 2012 10:04:14 +0200

kde-workspace (4:4.8.90-0ubuntu1) quantal; urgency=low

  [ Felix Geyer ]
  * New upstream beta release.
  * Update libprocesscore4abi1.symbols.

  [ Michal Zajac ]
  * Fixed install files

 -- Michal Zajac <quintasan@kubuntu.org>  Tue, 12 Jun 2012 15:58:26 +0200

kde-workspace (4:4.8.80-0ubuntu2) quantal; urgency=low

  * Make kde-workspace-bin depend on kde-base-artwork

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 10 Jun 2012 01:48:34 +0400

kde-workspace (4:4.8.80-0ubuntu1) quantal; urgency=low

  [ Jonathan Kolberg ]
  * New upstream beta release
    - Merge kde-workspace-data and kde-workspace-data-extras
    - drop kubuntu_active_fix_kwin_xrender_disable.diff (applyed upstream)
    - drop enable_kwinactive.diff (applyed upstream)
    - refresh 
      * enable_kwinactive.diff
      * kubuntu_upstart_session_events.diff

  [ Jonathan Thomas ]
  * New upstream beta release:
    - Update .install files
    - Update .symbols files
    - Bump libkdecoration4 Debian api, rename to libkdecoration4api1
    - Bump libkwineffects4 Debian api, rename to libkdwineffects4api4
  * Merge with Debian Git, remaining changes:
    - Add kdm.{links, upstart}
    - Make kdm work with upstart in kdm.prerm, kdm.postrm, kdm.postinst
    - Add kde-window-manager-gles.install and libkwineffects1abi2-gles.install
    - Move non-default kdm and ksplash themes to the new package
      kde-workspace-data-extras.
    - kdm.logrotate: rotate 7 -> rotate 2 to help stop excess disk usage
    - debian/control:
      - don't build against libggadget-1.0-dev, libggadget-qt-1.0-dev
        (they are in Universe)
      - Build against libbost1.49-dev instead of libboost-dev
      - Keep bumped our replaces/breaks
      - kde-workspace-bin suggests plasma-scriptengines instead of
        recommend
      - kdebase-workspace-data depends on oxygen-cursor-theme instead of oxygencursors
      - Keep kdebase-workspace-wallpapers
      - plasma-widgets-workspace depends on akonadi-server and kdepim-runtime
      - plasma-scriptengines not depends on plasma-scriptengine-googlegadgets
      - Don't build plasma-scriptengine-googlegadgets
    - debian/patches:
      - Use kdmrc_defaults_kubuntu.diff instead of kdmrc_defaults.diff
      - Don't add be_better_at_honouring_user_kdm_theming
      - Don't add use_dejavu_as_default_font
      - Don't add fix_target_link_libraries
      - Keep our patches
    - kde-workspace-bin.install do not install remote-widgets-browser

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 28 May 2012 16:26:55 -0400

kde-workspace (4:4.8.4-6) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Remove plasma-scriptengine-googlegadgets, it's unmaintaned, buggy, and the
    few widgets which would work have good replacements in plasma.
    (Closes: #664225)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add Breaks+Replaces to kde-style-oxygen against kdebase-runtime << 4:4.7.2
    (Closes: #697668).
  * Confirm symbols files:
    - From buildds' logs.
    - Using the current build.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 21 Jan 2013 13:12:08 -0300

kde-workspace (4:4.8.4-5) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove "New upstream release" from the previous changelog entry
    (Closes: #691302). Thanks Filipus Klutiero.
  * sessreg was merged in kdm (Closes: #692730):
    - Drop the use-sessreg option in kdm.options and its man page, as it is
      no longer needed.
    - Do not set UseSessReg to false in debian/patches/kdmrc_defaults.diff.
      The bug it solved has dissapeared during the merge.
    Thanks Wolfgang Schweer and Petter Reinholdtsen for digging into this.

  [ Pino Toscano ]
  * Backport upstream commit 89161c40e064958aa192b2202670316671d7e377 to fix
    the "demand" status of windows in the taskbar widget; patch
    upstream_Check-if-attention-demanding-status-has-changed-when.patch.
    (Closes: #685334)
  * Backport upstream commits d0343319fcfc249a38c79171be727d7133984eeb and
    53f6eca921a44a1f5e567b92d45ea84599afea74 to make powermanagementprofilesrc
    read as cascading config, and 9994e178b790b03a464c335e624366f82f0da643 for
    kwinrc.
  * Backport upstream commit 5b35757fc3613a18e2d784af53d1d23ebe295028 to
    improve the sorting of init .js files (followup of the changes backported
    in 4:4.8.4-3 with upstream_make-sure-scripts-are-executed-sorted.patch);
    patch upstream_Make-sure-the-plasma-desktop-scripts-are-sorted-in-t.patch.
  * Backport upstream commit 70cd86a5eef103137e64f2e3868a5bd2d58d71d7 to fix
    the deletion of launchers of preferred applications; patch
    upstream_Fix-deletion-of-preferred-application-launchers.patch.
    (Closes: #686131)
  * Make kde-workspace-bin ship a /etc/kde4 directory. (Closes: #694253)
  * Make kde-workspace-bin explicitly depend on qdbus, used by startkde.

  [ Debconf translation updates ]
  * Fix encoding of Polish (thanks to David Prévot). (Closes: #691953)
  * Fix encoding of Spanish (thanks to Camaleón). (Closes: #692209)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 03 Dec 2012 18:26:16 -0300

kde-workspace (4:4.8.4-4) unstable; urgency=low

  * The package (re)building switches to XZ compression. (Closes: #688761)

  [ Pino Toscano ]
  * Add breaks/replaces in kde-window-manager against kdebase-workspace-data
    << 4.7.2. (Closes: #684972)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Confirm symbols from buildds' logs.
  * Add myself to Uploaders.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 21 Oct 2012 11:07:11 -0300

kde-workspace (4:4.8.4-3) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Fix build failure on Hurd; patch hurd.diff.
  * Remove a couple of double spaces in control.
  * Backport upstream commit b798928ac8b9c6acf804b5cd4101d8a2a860654a to sort
    the plasma-desktop init .js scripts;
    patch upstream_make-sure-scripts-are-executed-sorted.patch.
  * Improve the description of libkwinglutils1. (Closes: #678416)
  * Rewrite the description of liblsofui4. (Closes: #592553)
  * Backport upstream commit da6e2b49fd2a30aca167ae37ef3e3fd1c7d3bc58 to fix
    XDMCP login in kdm; patch
    upstream_centralize-interaction-notification-handling.patch.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 28 Jun 2012 22:26:42 -0300

kde-workspace (4:4.8.4-2) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Set strict shlibs for kde-style-oxygen, since the oxygenstyle library
    inside has no concept of binary compatibility.

 -- Modestas Vainius <modax@debian.org>  Sun, 10 Jun 2012 13:39:04 +0300

kde-workspace (4:4.8.4-1) unstable; urgency=low

  * New upstream release.
    - fixes krunner crash. (Closes: #675888)
  * Team upload.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.4.
  * Add process_table_unclickable.diff. 
  * Add new_beams_custom_plots.diff.
  * Refresh patches to make them apply without any offset.
  * Confirm symbols files on more architectures with the 4.8.3 build logs.
  * Set plasma-scriptengine-googlegadgets priority to 'optional'. This fixes the
  * Move various documentation files about windows behaviour from
    kde-workspace-data to kde-window-manager.
  * Add new files to install for 4.8.4.
  * Set plasma-scriptengine-googlegadgets priority to 'extra'. This fixes the
    following lintian warning:
    - package-depends-on-lower-priority-package plasma-scriptengines:optional
      depends on plasma-scriptengine-googlegadgets:extra

  [ Modestas Vainius ]
  * Relax kde-workspace dependency on kdelibs so we can build with kde4libs
    4.8.3 (patch relax_kdelibs_dependency.diff).

 -- Modestas Vainius <modax@debian.org>  Sat, 09 Jun 2012 18:09:56 +0300

kde-workspace (4:4.8.3-2) experimental; urgency=low

  * Team upload.

  [ José Manuel Santamaría Lema ]
  * Add watch file.
  * Add nlist_ftbfs_krefreebsd.diff, avoids FTBFS'es on kfreebsd.
  * Add version for libpng build depend, now it's libpng12-dev (<< 1.5), this
    avoids building this package against the libpng packages from experimental.

 -- Modestas Vainius <modax@debian.org>  Sat, 02 Jun 2012 18:03:41 +0300

kde-workspace (4:4.8.3-1) experimental; urgency=low

  * New upstream release:
    - fixes the incorrect behaviour when "show minimized windows only" option
      is used in plasma-settings. (Closes: #523862)
    - fixes the disappearing hotkey of klipper. (Closes: #651549)
  * Team upload.

  [ Eshat Cakar ]
  * Add myself to uploaders.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Refresh patches.
  * Build-depend on kdepimlibs >= 4.8 and new libkactivities-dev.
  * Update not-installed files.
  * Update installed files.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Update symbols files.
  * Bump sonames due to binary incompatible changes:
    - libplasmaclock4abi2 -> libplasmaclock4abi3
    - libtaskmanager4abi2 -> libtaskmanager4abi3
    - libkworkspace4 -> libkworkspace4abi1
    - libkwineffects1abi2 -> libkwineffects1abi3
  * Drop libgles2-mesa-dev [linux-any kfreebsd-any] build dependency for now and
    add it to Build-Conflicts, this disables Open GL ES compositing in kwin.
  * Add libkwinglutils1 package, with symbols file.

  [ Pino Toscano ]
  * Fix a typo in the description of kmenuedit. (Closes: #665404)

  [ Modestas Vainius ]
  * Do not ship libpowerdevilui dev symlink.
  * Update lintian-overrides.

 -- Modestas Vainius <modax@debian.org>  Sun, 27 May 2012 02:01:59 +0300

kde-workspace (4:4.8.3-0ubuntu2) quantal; urgency=low

  * add kubuntu_revert_1554ba408633397066d31c3d565c217b5a385fb8.diff to
    revert the broken openGL build fixes from this commit.
    Replaces kubuntu_fix_gleffects.diff
    (LP: #997625)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 24 May 2012 21:22:29 +0200

kde-workspace (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Add kubuntu_fix_gleffects.diff so the logout effect is installed.
  * Switch boost build-dep to 1.49 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 14 May 2012 08:00:19 +0200

kde-workspace (4:4.8.2a-0ubuntu4) precise-proposed; urgency=low

  * Add missing epoch in breaks/replaces of libkwinnvidiahack4

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 12 Apr 2012 19:32:48 +0200

kde-workspace (4:4.8.2a-0ubuntu3) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:04 +0100

kde-workspace (4:4.8.2a-0ubuntu2) precise; urgency=low

  [ Rodrigo Belem ]
  * Move kwin4_effect_builtins.so to kde-window-manager
  * Move libkwinnvidiahack4 to its own package
  * Add breaks/replaces for kde-window-manager-common on
    libkwinnvidiahack4 and kde-window-manager << 4:4.8.2a-0ubuntu2~
  * Enable kwinactive (LP: #956186)
  * Build the source twice to create kwinactive binaries
  * Add the packages
    - kde-window-manager-active
    - kde-window-manager-active-gles
    - libkwinactiveglutils1
    - libkwinactiveglesutils1
    - libkwinactiveeffects1abi3
    - libkwinactivenvidiahack4
  * Fix kwinactive build failure with the patch
    kubuntu_active_fix_kwin_xrender_disable.diff

  [ Philip Muškovac ]
  * kde-window-manager/-gles depends on libkwinnvidiahack4
    kde-window-manager-active/-gles depends on libkwinactivenvidiahack4
  * use ${allLibaries} to generate the library dependencies for
    kde-workspace-dev again

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 10 Apr 2012 19:37:37 +0200

kde-workspace (4:4.8.2a-0ubuntu1) precise; urgency=low

  * Bump upstream version to 4.8.2a to support upgrades from test PPA

 -- Scott Kitterman <scott@kitterman.com>  Thu, 05 Apr 2012 22:16:00 -0400

kde-workspace (4:4.8.2-0ubuntu2) precise; urgency=low

  * Update debian/patches/kubuntu_netbook_favourites.diff to include missing
    search and launch application icons when running a live netbook session
    (LP: #943073)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 05 Apr 2012 21:41:57 -0400

kde-workspace (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 31 Mar 2012 00:24:59 +0200

kde-workspace (4:4.8.1-0ubuntu4) precise; urgency=low

  * kdmrc_defaults_kubuntu.diff:
    - Enable TerminateServer by default to work around graphics
      driver issues

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 18 Mar 2012 23:36:01 +0100

kde-workspace (4:4.8.1-0ubuntu3) precise; urgency=low

  * kubuntu_gtk2_engines_oxygen_config.diff:
    - Make sure echo from coreutils is used for reliable \n handling
    - Don't remove gtk2-default-theme.rc.sh, it's a regression in case
      xsettings-kde isn't installed.
  * Refresh kubuntu_plasma_netbook_for_small_screens.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 13 Mar 2012 22:48:50 +0100

kde-workspace (4:4.8.1-0ubuntu2) precise; urgency=low

  * Bump breaks/replaces of plasma-widgets-workspace for 4.8 (LP: #950408)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 12 Mar 2012 19:46:39 +0100

kde-workspace (4:4.8.1-0ubuntu1) precise; urgency=low

  [ Philip Muškovac ]
  * New upstream release 
    - add networkmanager icons to kde-workspace-data.install

  [ Felix Geyer ]
  * Drop libkwineffects1abi2-gles package since it's apparently obsolete.

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 07 Mar 2012 17:04:46 +0100

kde-workspace (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.
  * Update uploaders, remove Armin.

  [ José Manuel Santamaría Lema ]
  * Confirm symbols files on more architectures.
  * The following dummy transitional packages have now priority "extra":
    - kdebase-workspace
    - kdebase-workspace-bin
    - kdebase-workspace-dev

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Mar 2012 16:12:45 +0100

kde-workspace (4:4.8.0b-0ubuntu6) precise; urgency=low

  * Add plasma-active as optional dependency of kde-workspace-bin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 05 Mar 2012 11:54:59 +0000

kde-workspace (4:4.8.0b-0ubuntu5) precise; urgency=low

  [ Philip Muškovac ]
  * Add stripes.png to kde-workspace-data-extras and install it again
    (LP: #937553)
  * Bump breaks/replaces of kde-workspace-data-extras on kde-workspace-data

  [ Scott Kitterman ]
  * Add plasma-widgets-workspace Breaks/Replaces 
    libplasma-applet-system-monitor4 for Lucid -> Precise upgrades
    (LP: #942402)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 27 Feb 2012 23:56:19 -0500

kde-workspace (4:4.8.0b-0ubuntu4) precise; urgency=low

  * Remove stripes.png from kde-workspace-data.install

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Feb 2012 20:07:50 +0100

kde-workspace (4:4.8.0b-0ubuntu3) precise; urgency=low

  * kdmrc_defaults_kubuntu.diff:
    - fix xsessions directories
    - don't install and use stripes.png in kdm background settings

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Feb 2012 19:41:47 +0100

kde-workspace (4:4.8.0b-0ubuntu2) precise; urgency=low

  [ Felix Geyer ]
  * kde-workspace-bin: depend on qdbus as it's needed by startkde.

  [ Philip Muškovac ]
  * kubuntu_gtk2_engines_oxygen_config.diff:
    - set gtk-theme-name to the current value if it's missing in
      gtkrc-2.0-kde4
    - remove gtk2-default-theme.rc.sh on login, it's not used by xsettings-kde
    - don't copy gtk2-default-theme.rc.sh on login
  * Drop kubuntu_remove_startkde_cruft.diff as it breaks krandrstartup
  * Refresh kubuntu_startkde_set_country.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 12 Feb 2012 22:25:30 +0100

kde-workspace (4:4.8.3-0r1) raring; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Add myself to uploaders.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Refresh patches.
  * Build-depend on kdepimlibs >= 4.8 and new libkactivities-dev.
  * Update not-installed files.
  * Update installed files.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Update symbols files.
  * Bump sonames due to binary incompatible changes:
    - libplasmaclock4abi2 -> libplasmaclock4abi3
    - libtaskmanager4abi2 -> libtaskmanager4abi3
    - libkworkspace4 -> libkworkspace4abi1
    - libkwineffects1abi2 -> libkwineffects1abi3
  * Drop libgles2-mesa-dev [linux-any kfreebsd-any] build dependency for now and
    add it to Build-Conflicts, this disables Open GL ES compositing in kwin.
  * Add libkwinglutils1 package, with symbols file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 04 Jan 2012 18:52:11 +0100

kde-workspace (4:4.8.0b-0ubuntu1) precise; urgency=low

  * New upstream release
  * In kdm.postinst add KDM upgrade command for new default Theme
  * In debian/control change 4.7.2 overwrites to 4.7.4 for people using updates

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:22 +0000

kde-workspace (4:4.7.97-0ubuntu1) precise; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Felix Geyer ]
  * Update symbol files.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:14:57 +0000

kde-workspace (4:4.7.95-0ubuntu1) precise; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate
    - bump ABI of libkworkspace4
    - remove missing headers from kde-workspace-dev.install
    - Move horos kdm theme from kdm to kde-workspace-data-extras
    - Add ariya kdm theme to kdm
    - refresh not-installed
  
  [ Felix Geyer ]
  * Fix extended-description-line-too-long lintian warnings.
  * Merge 4:4.7.4-1 from Debian experimental.

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 00:16:33 +0100

kde-workspace (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release
  * Build-dep on kdelibs5-experimental-dev, libkactivities-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Dec 2011 13:28:08 +0000

kde-workspace (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.
  * Bump shared-desktop-ontologies build dependency to 0.8.
  * The following dummy transitional packages are now in section "oldlibs":
    - kdebase-workspace
    - kdebase-workspace-bin
    - kdebase-workspace-dev
    - kdebase-workspace-dbg
  * Confirm symbols files on more architectures with the 4.7.2 build logs.

  [ Felix Geyer ]
  * kde-workspace recommends kmenuedit as it's in a separate package now.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 17 Dec 2011 23:27:58 +0100

kde-workspace (4:4.7.3a-0ubuntu4) precise; urgency=low

  * kde-style-oxygen breaks/replaces old kde-workspace-data.
  * kde-workspace-data suggests kde-wallpapers instead of recommending it.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 29 Nov 2011 15:57:39 +0100

kde-workspace (4:4.7.3a-0ubuntu3) precise; urgency=low

  * Update kubuntu_startkde_set_country.diff to make config dir
    before setting options, fixes use on first run, from Achim Bohnet
  * kde-style-oxygen replaces old kde-workspace-bin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Nov 2011 15:57:48 +0000

kde-workspace (4:4.7.3a-0ubuntu2) precise; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Add kdm.{links, upstart}
    - Make kdm work with upstart in kdm.prerm, kdm.postrm, kdm.postinst
    - Add kde-window-manager-gles.install and libkwineffects1abi2-gles.install
    - Move non-default kdm and ksplash themes to the new package
      kde-workspace-data-extras.
    - kdm.logrotate: rotate 7 -> rotate 2 to help stop excess disk usage
    - debian/control:
      - don't build against libggadget-1.0-dev, libggadget-qt-1.0-dev
        (they are in Universe)
      - Build against libbost1.46-dev instead of libboost-dev
      - Add libxml2-dev, libpolkit-qt-1-dev to build-deps
      - Add python-kde4, python-sip, python-qt4 to build-dependencies
      - Keep bumped our replaces/breaks
      - plasma-netbook replaces plasma-widgets-workspace (<= 4:4.5.2-1ubuntu1)
      - kde-workspace-bin suggests plasma-scriptengines instead of
        recommend
      - kdebase-workspace-data depends on oxygen-cursor-theme instead of oxygencursors
      - Keep kdebase-workspace-wallpapers
      - plasma-dataengines-workspace replaces plasma-widget-workspace (<= 4:4.5.2-1ubuntu1)
      - plasma-widgets-workspace depends on akonadi-server and kdepim-runtime
      - plasma-scriptengines not depends on plasma-scriptengine-googlegadgets
      - plasma-scriptengine-ruby depends on libkde4-ruby
      - Don't build plasma-scriptengine-googlegadgets
      - freespacenotifier replaces kdebase-workspace-data (<= 4:4.5.2-1ubuntu1)
        and kdebase-workspace-bin (<= 4:4.5.2-1ubuntu1)
      - kinfocenter replaces kdebase-workspace-bin and systemsettings
      - libplasmagenericshell4 replaces plasma-widgets-workspace (<= 4:4.5.2-1ubuntu1)
    - debian/patches:
      - Use kdmrc_defaults_kubuntu.diff instead of kdmrc_defaults.diff
      - Don't add be_better_at_honouring_user_kdm_theming
      - Don't add use_dejavu_as_default_font
      - Don't add fix_target_link_libraries
      - Keep our patches
    - kde-workspace-bin.install do not install remote-widgets-browser
  * kdm.links seems to have disappeared at some point
  * In plasma-netbook.install don't install plasma-netbook.desktop

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 14:27:59 +0000

kde-workspace (4:4.7.2-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump kdelibs5-dev build dependency to 4:4.7.
  * Bump kdepimlibs5-dev build dependency to 4:4.7.
  * Change the source package name from kdebase-workspace to kde-workspace in
    order to match upstream naming.
  * Rename the following binary packages to match upstream namimg:
    - kdebase-workspace -> kde-workspace
    - kdebase-workspace-bin -> kde-workspace-bin
    - kdebase-workspace-data -> kde-workspace-data
    - kdebase-workspace-dev -> kde-workspace-dev
    - kdebase-workspace-kgreet-plugins -> kde-workspace-kgreet-plugins
  * Manage the kdebase-runtime -> kde-runtime renaming:
    - Exclude kde-runtime instead of kdebase-runtime from dh_shlibdeps results.
    - kde-workspace-dbg depends on kde-runtime-dbg instead of
      kdebase-runtime-dbg.
  * Add the following dummy packages (which depend on kde-workspace-*):
    - kdebase-workspace
    - kdebase-workspace-bin
    - kdebase-workspace-dev
    - kdebase-workspace-dbg
  * Update Vcs-* fields.
  * Update patches:
    - Import plasma_desktop_shell_drop_kactivities.diff from Ubuntu.
    - Remove backport_kwin_multihead_improvements.diff, applied usptream.
    - Remove ksmserver_fadeeffect_use_sse2_free.diff, applied upstream.
    - Remove kwin_avoid_deep_vector_copies.diff, applied upstream.
    - Remove upstream_gpsd-api-has-changed-and-for-GPSD_API_MAJOR_VERSION.patch,
      applied upstream.
    - Refreshed various patches to make them apply without offsets.
  * Update build dependencies:
    - Add libgles2-mesa-dev.
    - Add libprison-dev.
    - Replace libpng-dev build depend with libpng12-dev to avoid accidental
      builds against libpng packages in experimental.
  * Update installed files.
  * Ship Oxygen style in a separate package: kde-style-oxygen. (Closes: #624520)
  * Ship kmenuedit in a separate package.
  * Bump sonames due to binary incompatible changes:
    - libkwineffects1abi1 -> libkwineffects1abi2
    - libplasmaclock4abi1 -> libplasmaclock4abi2
    - libsolidcontrol4abi1 -> libsolidcontrol4abi2
    - libsolidcontrolifaces4abi1 -> libsolidcontrolifaces4abi2
    - libtaskmanager4abi1 -> libtaskmanager4abi2
  * kdebase-workspace-data Breaks/Replaces kde-icons-mono (<< 4:4.6.80).
  * Add relationships because of the new, split kde-wallpapers source package:
    - plasma-desktop, plasma-netbook and kdm depend on kde-wallpapers-default.
    - kde-workspace-data recommends kde-wallpapers.
    - kdm suggests kde-wallpapers. 
  * Update lintian overrides.

  [ Sune Vuorela ]
  * Remove libdmtx-dev, not used directly (but thru libprison)

  [ Pino Toscano ]
  * kdm: recommend kde-workspace instead of kdebase. (Closes: #646787)
  * plasma-scriptengine-ruby: depend on ruby-plasma instead of libplasma-ruby.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:44:18 -0300

kdebase-workspace (4:4.6.5-4) unstable; urgency=low

  [ Pino Toscano ]
  * Backport upstream patch to fix compatibility with newer gpsd.
    (Closes: #648504)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 02 Dec 2011 19:46:21 +0100

kdebase-workspace (4:4.6.5-3) unstable; urgency=low

  [ Pino Toscano ]
  * Disable the NetworkManager-related files, as they are not compiled with
    NM >= 0.9. (Closes: #640393)
  * Bump the libnm-util-dev and network-manager-dev build dependencies to 0.9,
    to be sure to not use an older NM version.

  [ José Manuel Santamaría Lema ]
  * Add kwin_avoid_deep_vector_copies.diff to improve kwin performance.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 15 Sep 2011 23:02:00 +0200

kdebase-workspace (4:4.6.5-2) unstable; urgency=low

  [ Pino Toscano ]
  * plasma-scriptengine-googlegadgets: do not depend anymore on
    google-gadgets-xul: the next google-gadget revision will not provide it
    anymore, while just google-gagets-qt will have the needed modules.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 26 Jul 2011 21:44:42 +0300

kdebase-workspace (4:4.6.5-1) unstable; urgency=low

  * New upstream release:
    - fixes bashishm in krandrstartup (Closes: #630015)

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.6.5.
  * Update symbols files.
  * Drop kdebase-workspace-dbg and -dev lintian overrides files, no longer
    needed.

  [ Modestas Vainius ]
  * Follow python-kde4 4:4.6.80 and switch plasma-scriptengine-python from
    python-support to dh_python2. Otherwise, python fails to find
    PyKDE4.plasmascript. (Closes: #633000)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 18 Jul 2011 21:53:55 +0300

kdebase-workspace (4:4.6.4-1) unstable; urgency=low

  * New upstream release:
    - fixes double execution in application launcher menu (Closes: #628658)

  [ Modestas Vainius ]
  * Backport a patch from 4.7 in order to fix some problems with multihead in
    kwin (patch backport_kwin_multihead_improvements.diff).
  * Adapt kdm_vt_switching_on_kfreebsd.diff patch to upstream changes in 4.6
    and reenable the patch.
  * Confirm symbol files on all Debian arches.

  [ Felix Geyer ]
  * Make plasma-widgets-workspace provide notification-daemon since the
    notifications applet implements the galago spec.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.6.4.
  * Refresh patches:
    - Update genkdmconf.diff to make it apply to this version.
    - Refresh other patches to make it apply without any offset.

  [ Pino Toscano ]
  * Change libjpeg62-dev build-dependency to libjpeg-dev.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 23 Jun 2011 13:07:30 +0300

kde-workspace (4:4.7.3a-0ubuntu1) precise; urgency=low

  [ Romain Perier ]
  * New upstream release
    - Bump kde-sc-dev-latest to 4.7.3

  [ Felix Geyer ]
  * Drop sequence numbers from patch filenames.
  * Remove kubuntu_fix_lightdm_support.diff, merged upstream.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 10 Nov 2011 19:30:18 +0100

kde-workspace (4:4.7.2-0ubuntu2) oneiric-proposed; urgency=low

  * kubuntu_fix_lightdm_support.diff: update LightDM support to match with
    the version of LightDM shipped with Oneiric (LP: #689242).

 -- Aurelien Gateau <aurelien.gateau@ubuntu.com>  Wed, 26 Oct 2011 17:08:08 -0400

kde-workspace (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  [ Harald Sitter ]
  * Fix manpage path reference to KDM readme file (LP: #630971)

  [ Philip Muškovac ]
  * New upstream release (LP: #872506)
    - drop upstream patches 
      0001-*..0034-*
      kubuntu_125_fix_kwin.diff
      kubuntu_krun_externalapps.diff
      kubuntu_treat_uid_subst_as_externalapp.diff
    - Add new documentation screenshots to plasma-desktop.install

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 12 Oct 2011 15:00:48 +0200

kde-workspace (4:4.7.1-0ubuntu5) oneiric; urgency=low

  * Drop kubuntu_63_ksplash_fix.diff which is unmaintained and causes
    crashes when freeing the XImage (LP: #665510)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 01 Oct 2011 20:21:52 +0200

kde-workspace (4:4.7.1-0ubuntu4) oneiric; urgency=low

  * Fix inotify_add_watch errors from cmdlines by creating
    ${XDG_CONFIG_HOME:-$HOME/.config}/ibus* from startkde (LP: #855472)
  * Update patches for post-4.7.1 changes. Add to debian/patches:
    0032-Emit-signal-before-deleting-object-to-give-listeners.patch
    0033-fix-tabbing-.-.-utility-hiding.patch
    0034-kstartupconfig-Fix-return-value-conversion-of-system.patch

 -- Romain Perier <bambi@ubuntu.com>  Mon, 26 Sep 2011 14:04:01 +0200

kde-workspace (4:4.7.1-0ubuntu3) oneiric; urgency=low

  * Update debian/kdm.upstart to match latest gdm.upstart improvements:
    - Also export LC_MESSAGES with the rest of locale information
    - When kdm is shut down by a runlevel call, emit an upstart event that can
      be caught by plymouth so it can distinguish between the DM shutting down
      for a runlevel change vs. other causes (LP: #854329)
  * Update patches for post-4.7.1 changes.  Add to debian/patches:
      0001-SVN_SILENT-made-messages-.desktop-file.patch
      0003-SVN_SILENT-made-messages-.desktop-file.patch
      0004-SVN_SILENT-made-messages-.desktop-file.patch
      0005-SVN_SILENT-made-messages-.desktop-file.patch
      0006-preferred-app-launchers-need-to-use-the-type-of-the-.patch
      0007-SVN_SILENT-made-messages-.desktop-file.patch
      0009-SVN_SILENT-made-messages-.desktop-file.patch
      0010-add-some-missing-connects-for-the-ruleswidget.patch
      0011-fix-yet-another-fun-with-pointers-tabbing-segfault.patch
      0013-catch-changeMaximize-recursion-from-setNoBorder.patch
      0014-Clear-thumbnails-for-deleted-windows.patch
      0015-Fix-pointer-accesses-in-tiling-code.patch
      0016-SVN_SILENT-made-messages-.desktop-file.patch
      0017-SVN_SILENT-made-messages-.desktop-file.patch
      0018-SVN_SILENT-made-messages-.desktop-file.patch
      0019-Test-for-widget-creation-before-deleting-property-at.patch
      0020-SVN_SILENT-made-messages-.desktop-file.patch
      0023-fix-kiosk-restrictions-for-user-switching-and-logout.patch
      0024-Fix-typo-use-the-right-signal-signature.patch
      0025-Repaint-old-area-of-the-thumbnail.patch
      0026-Use-Client-layoutMetric-to-access-shadowSize-instead.patch
      0027-ShowCalendarPopup-false-suppresses-calendar-popup-an.patch
      0028-show-the-keyboard-on-immediately-entering-a-text-are.patch
      0029-Repaint-the-whole-window-in-the-taskbar-thumbnail.patch
      0030-SVN_SILENT-made-messages-.desktop-file.patch
      0031-Fix-wrong-inital-tab-in-keyboard-kcm.patch

 -- Scott Kitterman <scott@kitterman.com>  Sun, 25 Sep 2011 00:42:41 -0400

kde-workspace (4:4.7.1-0ubuntu2) oneiric; urgency=low

  [ Scott Kitterman ]
  * kde-window-manager-gles should provide kde-window-manager (will, among
    other things, allow kde-window-manager-gles to be installed without
    removing kubuntu-desktop) (LP: #848552)
  * Remove obsolete kdm recommends on kdebase

  [ Harald Sitter ]
  * Do not install kdewallpapers and kde-wallpapers when requesting default
    wallpaper installation. Only kde-wallpapers should be considered default
    as kdewallpapers is legacy wallpapers (now living in kdeartwork)
  * Fix warnings due to bogus shell code in the netbook detection (LP: #784241)

  [ Jonathan Kolberg ]
  * Include an upstream performance fix (kubuntu_125_fix_kwin.diff)

  [ Felix Geyer ]
  * kubuntu_52_gtk2_engines_oxygen_config.diff: use a more efficient way to
    check if packages are installed.
  * Replace kubuntu_11_fix_root_only_kcms.diff with
    kubuntu_krun_externalapps.diff and
    kubuntu_treat_uid_subst_as_externalapp.diff from upstream KDE/4.7 branch.
    This unbreaks systemsettings after launching root kcms.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 15 Sep 2011 12:47:49 +0200

kde-workspace (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release :
    - debian/rules: Don't call dh_auto_build directly from
      override_dh_auto_build, use $(overridden_command) instead,
      otherwise it breaks parallel building.
    - debian/rules: Don't call dh_auto_install directly from
      override_dh_auto_install, use $(overridden_command) instead,
      otherwise it breaks desktop file translation stripping.
    - Update symbols files.
    - Bump kde-sc-dev-latest to 4.7.1

 -- Romain Perier <bambi@ubuntu.com>  Sat, 03 Sep 2011 15:14:42 +0200

kde-workspace (4:4.7.0-0ubuntu11) oneiric; urgency=low

  * Fix shlibs dependencies on kde-window-manager-gles (LP: #831673)

 -- Michał Zając <quintasan@kubuntu.org>  Tue, 23 Aug 2011 01:46:49 +0200

kde-workspace (4:4.7.0-0ubuntu10) oneiric; urgency=low

  * Manually specify the library dependencies of kde-workspace-dev instead of
    using ${allLibraries} so it can alternatively depend on 
    libkwineffectsabi2 or libkwineffectsabi2-gles since they can't be installed
    together at the same time.

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 22 Aug 2011 16:45:11 +0200

kde-workspace (4:4.7.0-0ubuntu9) oneiric; urgency=low

  * debian/rules: added overrides to double build workspace to get kwin-gles
    binary
  * debian/control: added libegl1-mesa-dev and libgles2-mesa-dev to
    Build-Depends and added kde-window-manager-gles and
    libkwineffects1abi2-gles packages 

 -- Michał Zając <quintasan@kubuntu.org>  Sat, 20 Aug 2011 19:32:19 +0200

kde-workspace (4:4.7.0-0ubuntu8) oneiric; urgency=low

  * kubuntu_52_gtk2_engines_oxygen_config.diff: Fix package installed checks
    which didn't work for multiarch packages.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 19 Aug 2011 23:20:11 +0200

kde-workspace (4:4.7.0-0ubuntu7) oneiric; urgency=low

  * Add libkwineffects headers and unversioned .so back to kde-workspace-dev
    since there are 3rd party apps that need it.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 12 Aug 2011 11:48:20 +0200

kde-workspace (4:4.7.0-0ubuntu6) oneiric; urgency=low

  * Update kubuntu_03_kdewallpapers_install.diff to also install the
    default workspace wallpapers from kde-wallpapers.

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 11 Aug 2011 15:24:38 +0200

kde-workspace (4:4.7.0-0ubuntu5) oneiric; urgency=low

  * Add libprison-dev to build-deps.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 10 Aug 2011 21:29:28 +0200

kde-workspace (4:4.7.0-0ubuntu4) oneiric; urgency=low

  * Switch to dh_python2:
    - Drop build-depends on python-support and bump version requirements for
      python and needed python modules/extensions
    - Adjust debian/rules to build with python2

 -- Scott Kitterman <scott@kitterman.com>  Mon, 08 Aug 2011 17:45:12 -0400

kde-workspace (4:4.7.0-0ubuntu3) oneiric; urgency=low

  * Bump various breaks/replaces to catch the 4.6.5 packages. 
  * Add quotes in kubuntu_108_plasma_netbook_for_small_screens.diff so the
    script doesn't print an error when $1 is undefined.

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 28 Jul 2011 17:54:28 +0200

kde-workspace (4:4.7.0-0ubuntu2) oneiric; urgency=low

  * Drop /usr/share/wallpapers/kde-default.png symlink, moved to the
    kde-wallpapers-default package.
  * Add kde-wallpapers-default to kde-workspace-data Depends.
  * Move non-default kdm and ksplash themes to the new package
    kde-workspace-data-extras.
  * Drop unused lintian override for kdebase-workspace-dbg.
  * Fix dbg-package-missing-depends lintian override.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 28 Jul 2011 16:18:37 +0200

kde-workspace (4:4.7.0-0ubuntu1) oneiric; urgency=low

  [ Felix Geyer ]
  * Drop kubuntu_114_respect_screensaver_settings.diff, upstream reverted the
    commit and fixed the bug differently.
  * Drop kubuntu_25_fix_timed_login.diff, upstream fixed it long ago and the
    patch has been wrongly refreshed to patch different code.
  * Drop kubuntu_122_akonadi_calendar_dataengine.diff, fixed upstream and
    incorrectly refreshed.
  * Remove disabled patch kubuntu_117_fix_dolphin_show_free_space_in_places.diff
  * Remove disabled patch kubuntu_29_fallback_to_xrender_compositing.diff
  * Drop kubuntu_80_fix_includes.diff, not needed anymore.
  * Restore kubuntu_12_kubuntu_homepage.diff functionality. The patch was
    basically empty since 4.6.90.
  * Add transitional packages kdebase-workspace-dev and kdebase-workspace.
  * Make plasma-widgets-workspace provide indicator-renderer.

  [ Romain Perier ]
  * Update symbols for libkwineffects1abi2

  [ Philip Muškovac ]
  * New upstrem release
  * Re-enable kubuntu_kdmrc_defaults.diff and update it for new kdm data path 
    - remove stripes.png from kdm.install again since the patch removes it.

  [ Scott Kitterman ]
  * Drop libkwineffects headers and unversioned .so from kde-workspace-dev
    due to lack of ABI stability (third party apps should not build against
    it)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 23 Jul 2011 17:19:44 -0400

kde-workspace (4:4.6.90-0ubuntu2) oneiric; urgency=low

  [ Romain Perier ]
  * Fix debian/patches/genkdmconf.diff to include /etc/X11/Xsession when
    kdm is started

  [ Felix Geyer ]
  * Update libkwineffects1abi2.symbols.

 -- Romain Perier <romain.perier@gmail.com>  Tue, 12 Jul 2011 14:02:29 +0200

kde-workspace (4:4.6.90-0ubuntu1) oneiric; urgency=low

  [ Romain Perier ]
  * New upstream development release
    - kde-workspace has been split from kdebase-workspace
    - Change kdelibs5-dev dependency to >= 4.6.80
    - Change install files accordingly to upstream changes
    - Remove package kdebase-workspace-wallpapers: it has been
      moved to kde-wallpapers.
    - Add kubuntu_123_disable_remote_widgets_browser.diff
    - Add kubuntu_124_plasma_desktop_shell_drop_kactivities.diff
    - kdm breaks/replaces kdebase-workspace-wallpapers
    - Update Vcs-Browser and Vcs-Bzr
    - Drop wallpapers directory from debian/copyright
    - Bump X-Debian-ABI for: libplasmaclock, libtaskmanager, libsolidcontrol,
      libsolidcontrolifaces, libkwineffects
    - Rename these packages accordingly and change symbols

  [ Philip Muškovac ]
  * kde-workspace-data breaks/replaces kde-icons-mono << 4:4.6.80

 -- Michał Zając <quintasan@kubuntu.org>  Sat, 09 Jul 2011 08:31:15 +0200

kdebase-workspace (4:4.6.3-1ubuntu4) oneiric; urgency=low

  * kdebase-workspace-bin replaces/breaks libpowerdevilcore0 and
    plasma-dataengines-workspace (<< 4:4.6.3-1ubuntu1). (LP: #791560)
  * Make plasma-widgets-workspace provide notification-daemon since the
    notifications applet implements the galago spec.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 04 Jul 2011 16:42:28 +0200

kdebase-workspace (4:4.6.3-1ubuntu3) oneiric; urgency=low

  * Fix the .install.linux files, I forgot to make the last round of install
    file changes outside pbuilder after the final pbuild

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 31 May 2011 21:17:52 -0400

kdebase-workspace (4:4.6.3-1ubuntu2) oneiric; urgency=low

  * plasma-dataengines-workspace: Reduce breaks/replaces version on
    plasma-desktop and plasma-netbook to << 4:4.6.3-1ubuntu1.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 01 Jun 2011 02:39:29 +0200

kdebase-workspace (4:4.6.3-1ubuntu1) oneiric; urgency=low

  [ Jonathan Thomas ]
  * Merge with Debian Unstable, remaining changes:
    - Add kdebase-workspace-wallpapers.{links, install}
    - Add kdebase-workspace-data.links
    - kdebase-workspace-data.install: don't add wallpapers that are in
      kdebase-workspace-wallpapers.install
    - Add kdm.{links, upstart}
    - kdm.logrotate: rotate 2 -> rotate 7
    - Make kdm work with upstart in kdm.prerm, kdm.postrm, kdm.postinst
    - debian/control:
      - don't build against libggadget-1.0-dev, libggadget-qt-1.0-dev
        (they are in Universe)
      - Build against libbost1.46-dev instead of libboost-dev
      - Add libxml2-dev, libpolkit-qt-1-dev to build-deps
      - Add python-kde4, python-sip, python-qt4 to build-dependencies
      - Keep bumped our replaces/breaks
      - plasma-netbook replaces plasma-widgets-workspace (<= 4:4.5.2-1ubuntu1)
      - kdebase-workspace-bin suggests plasma-scriptengines instead of
        recommend
      - kdebase-workspace-data depends on oxygen-cursor-theme instead of oxygencursors
      - Keep kdebase-workspace-wallpapers
      - plasma-dataengines-workspace replaces plasma-widget-workspace (<= 4:4.5.2-1ubuntu1)
      - plasma-widgets-workspace depends on akonadi-server and kdepim-runtime
      - plasma-scriptengines not depends on plasma-scriptengine-googlegadgets
      - plasma-scriptengine-ruby depends on libkde4-ruby
      - Don't build plasma-scriptengine-googlegadgets
      - freespacenotifier replaces kdebase-workspace-data (<= 4:4.5.2-1ubuntu1)
        and kdebase-workspace-bin (<= 4:4.5.2-1ubuntu1)
      - kinfocenter replaces kdebase-workspace-bin and systemsettings
      - libplasmagenericshell4 replaces plasma-widgets-workspace (<= 4:4.5.2-1ubuntu1)
    - debian/patches:
      - Use 07_kdmrc_defaults_kubuntu.diff instead of 07_kdmrc_defaults.diff
      - Don't add be_better_at_honouring_user_kdm_theming
      - Don't add use_dejavu_as_default_font
      - Don't add fix_target_link_libraries
      - Keep our patches
  * Try a polkit-kde-1 | policykit-gnome-1 or-dependency again to see if policykit-1-gnome
    is a suitable policykit solution a year later.

  [ Tarun Kumar Mall ]
  * New uptream release
  * Bumped kde-sc-dev-latest version to 4.6.3
  * Removed patches kubuntu_120_ksysguard_sensors.diff and
    kubuntu_121_kdm_halt_cmd.diff, applied upstream
  * Refreshed kubuntu_122_akonadi_calendar_dataengine.diff 

  [ Philip Muškovac ]
  * drop kubuntu_123_effectframe_glflush.diff, applied upstream
  * Refresh symbol files 

  [ Stéphane Graber ]
  * Updated Vcs fields to point to kubuntu-uploaders instead of
    kubuntu-members

  [ James Hunt ]
  * Updated kdm.conf to fix kdm in single user mode (LP: #436936)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 01 Jun 2011 02:09:54 +0200

kdebase-workspace (4:4.6.3-1) unstable; urgency=low

  * New upstream release:
    - fixes shutdown with default kdm config (Closes: #627917);

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.6.3.
  * Remove fix_temperature_sensors.diff, applied upstream.
  * Update symbols files.

  [ Modestas Vainius ]
  * Make kdebase-workspace-bin break polkit-kde-1 (<< 0.99).
  * Add DLRestriction "REJECT:OTHERSOVERSION" to all libs on Debian (patch
    enable_dlrestrcitions.diff). Requires kdelibs5-dev 4.6.3 and
    libdlrestrictions-dev 0.14.
  * Update symbol files: DLRestrictions symbols added.

  [ Pino Toscano ]
  * Make plasma-scriptengine-python recommend python-qt4-dbus, as Python
    widgets could use D-Bus functions. (Closes: #619511)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 May 2011 02:41:32 +0300

kdebase-workspace (4:4.6.2a-0ubuntu5.1) natty-proposed; urgency=low

  * Add kubuntu_123_effectframe_glflush.diff from upstream to fix desktop
    freeze when using the flip switch effect on nvidia. (LP: #771851)

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 27 Apr 2011 16:58:59 +0200

kdebase-workspace (4:4.6.2a-0ubuntu5) natty; urgency=low

  * Add kubuntu_122_akonadi_calendar_dataengine.diff from upstream,
    fixes https://bugs.kde.org/261593 Frequent plasma-desktop crashes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 21 Apr 2011 10:25:50 +0100

kdebase-workspace (4:4.6.2a-0ubuntu4) natty; urgency=low

  * Add kubuntu_121_kdm_halt_cmd.diff imported from upstream
    upstream, bugs.kde.org/270228, LP:755570

 -- Romain Perier <romain.perier@gmail.com>  Sat, 09 Apr 2011 22:44:36 +0200

kdebase-workspace (4:4.6.2a-0ubuntu3) natty; urgency=low

  * Add kubuntu_120_ksysguard_sensors.diff recommended by ksysguard
    upstream, bugs.kde.org/270246

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 08 Apr 2011 15:33:32 +0100

kdebase-workspace (4:4.6.2a-0ubuntu2) natty; urgency=low

  * Add kubuntu_119_remove_empty_librarypath_key.diff to remove the libraryPath
    key from Trolltech.conf if it's empty. This fixes Qt applications not being
    able to use the oxygen style if the QT_PLUGIN_PATH env variable isn't
    present (e.g pinentry-qt).

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 07 Apr 2011 15:16:56 +0200

kdebase-workspace (4:4.6.2a-0ubuntu1) natty; urgency=low

  * New upstream release
    - Update kde-sc-dev-latest version
    - Update kdebase-workspace-wallpapers.install,
      kde-window-manager.install and not-installed

 -- Christian Mangold <neversfelde@ubuntu.com>  Sun, 03 Apr 2011 16:54:55 +0200

kdebase-workspace (4:4.6.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Make kdm recommend server-xorg, not xserver-xorg-core. (Closes: #624342)

  [ Modestas Vainius ]
  * Confirm symbol files on more debian arches.
  * Build depend on libglib2.0-dev. This should fix FTBFS on kFreeBSD.
  * Bump Standards-Version to 3.9.2: no changes needed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 02 May 2011 03:06:18 +0300

kdebase-workspace (4:4.6.2-1) experimental; urgency=low

  * New upstream release:
    - adds authorization support to the login manager configuration module
      (Closes: #523094)
    - fixes unresponsive Plasma desktop while editing device actions
      (Closes: #597635)
    - makes example host names in KDM configuration file more neutral
      (Closes: #439781)
    - removes Plasma zooming user interface. (Closes: #523524)
    - fixes broken web shortcuts in krunner (Closes: #529861)
    - adjusts strict geometry policies in kwin (Closes: #564800)
    - limits the number of power profiles shown at the same time
      (Closes: #577475)
    - fixes missing shutdown and restart functionality in gdm 2.21+
      (Closes: #581841)
    - fixes Plasma digital clock widget not using locale date format
      (Closes: #524055)
    - fixes long application startup delays in krunner (Closes: #597111)
    - fixes font defaults in kdmrc (Closes: #605714)
  * Update installed files.
  * Update symbol files.
  * Refresh patches.
  * Update lintian overrides.

  [ George Kiagiadakis ]
  * Change my email address in uploaders.
  * Refresh patches.
    - Re-work patch 11_kdm_X_path.diff.
    - Re-work patch 21_kdm_doesnt_use_kstandarddirs.diff (and rename it to
      21_place_global_config_in_etc.diff) to also patch the new kdm kcm kauth
      helper and the kcm_clock helper and provide a method to catch future
      wrong uses of the KDE_CONFDIR macro with regards to the debian policy.
  * Drop patches for bugs that are fixed upstream:
    - 01_plasma_netbook_no_autostart.diff
    - 27_ld_exclude_libs_qtuitools.diff
  * Add replaces:
    - kdebase-workspace-data replaces kdebase-runtime-data
      << 4:4.5.0 due to the moved themerc files.
    - kdebase-workspace-bin replaces kdebase-runtime << 4:4.5.0
      due to the moved oxygen style plugin.
    - kdebase-workspace-bin replaces kdebase-data << 4:4.5.0
      due to the moved desktoppath.desktop file.
  * Move some misplaced files from kdebase-workspace-bin and
    kdebase-workspace-data to plasma-desktop and add the necessary replaces.
  * Move the kinfocenter package from kdebase here, and as a consequence:
    - Add the required build dependency on libpci-dev.
    - Recommend it from kdebase-workspace.
    - Make kdebase-workspace-dbg replace kdebase-dbg << 4:4.5.0.
  * Adjust build dependencies:
    - Add new build dependencies:
      - libpng-dev
      - libjpeg62-dev
      - zlib1g-dev
      - libdbusmenu-qt-dev
      - libqalculate-dev
    - Remove unused build dependencies:
      - libxine-dev
      - libxklavier-dev
      - libsmbclient-dev
      - libxcb1-dev
    - Bump version of kdelibs5-dev and kdepimlibs5-dev to 4:4.6.
  * Move the freespacenotifier package from src:freespacenotifier here.
  * Adjust the kdm postinst and postrm scripts to create and remove (on purge)
    a "kdm" user, which is now used by default as the user to run the greeter.
    As a consequence, add dependency on adduser on the kdm package.
  * Add dependency to iso-codes in kdebase-workspace-bin, since it is
    a runtime dependency for kcm_keyboard.
  * Fix the kdm init script to use any overrides set in /etc/default/kdm.d/.
  * Add code in kdebase-workspace-bin.postinst to move the misplaced kcmclockrc
    configuration file from /usr/share to /etc.

  [ José Manuel Santamaría Lema ]
  * Dropped patches:
    - 02_kdm_double_servertimeout.diff - applied upstream
    - 28_backport_bug156475_dualhead_support.diff - applied upstream
    - 29_backport_fix_krandr_support_in_startkde.diff - applied upstream
    - 99_solid_network_use_ntrack.diff - applied upstream
    - ftbfs_remove_notify.diff - applied upstream
  * Refreshed/reworked patches:
    - 30_plasma_netbook_fix_autostart.diff
    - initialize_variables_crashfix.diff
  * New patches:
    - initialize_variables_crashfix.diff
    - fix_temperature_sensors.diff
  * Rename libweather-ion4a as libweather-ion6 due to soname bump.
  * Remove plasma-scriptengine-qedje package.
  * Bump kde-sc-dev-latest build dependency to 4:4.6.2.
  * Bump S-V to 3.9.1; updated Breaks/Replaces/Conflicts.
  * Remove starting articles in short descriptions.
  * Fix mispelling in plasma-scriptengine-googlegadgets long description.
  * Add myself to Uploaders.

  [ Pino Toscano]
  * Remove unused build dependencies:
    - libqedje-dev
    - libbluetooth-dev
    - libntrack-qt4-dev
  * Add build dependencies:
    - libdmtx-dev
  * Make kdebase-workspace-bin recommend upower on Linux archs,
    for power management.
  * Use wildcard architectures:
    - !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 -> linux-any
    - kfreebsd-i386 kfreebsd-amd64 -> kfreebsd-any

  [ Modestas Vainius ]
  * Remove README.Debian introduced in 4.4.5-6, no longer applicable.
  * Drop 34_backport_krunner_crash_fix_threading.diff patch, it was stolen from
    upstream.
  * Replace /usr/share/common-licenses/BSD with verbatim license text.
  * Switch debian/rules engine to dhmk based qt-kde-team/2/*.
  * Disable testsuite.
  * Require debhelper 7.3.16.
  * Remove executable permissions from klipper.desktop.
  * Override plasma-desktop: postinst-must-call-ldconfig usr/lib/libkickoff.so.
  * Enable DebianABIManager:
    - include DebianABIManager.cmake at the bottom of the main CMakeLists.txt
      (patch enable_debianabimanager.diff);
    - debian/control: managing all non-local unstable-BC libraries (all lib*
      packages but libplasmagenericshell4);
    - rename and modify install files of those packages that got ABI: 1;
    - remove lintian-overrides for those packages that got ABI: 1 - no longer
      needed;
    - rewrite symbol files of affected libraries:
      + set versions of all symbols to 4:4.6.1;
      + replace @Base with appropriate @ABI string;
      + restart symbol confirmation process at 4:4.6.1;
    - ABI-0 library packages:
      + libkdecorations4;
      + libkscreensaver5;
      + libksgrd4;
      + libksignalplotter4;
      + libkworkspace4;
      + liblsofui4;
      + libplasma-geolocation-interface4;
      + libprocessui4a;
      + libweather-ion6;
    - ABI-1 library packages:
      + libkwineffects1abi1;
      + libkephal4abi1;
      + libplasmaclock4abi1;
      + libprocesscore4abi1;
      + libsolidcontrol4abi1;
      + libsolidcontrolifaces4abi1;
      + libtaskmanager4abi1.
  * Add symbol file for libweather-ion6.
  * Strip sequence numbers from the debian/patches/*.
  * Drop kaboom support: remove depend and run_kaboom_when_starting_kde.diff
    patch.
  * Add kdebase-runtime-dbg (<< 4:4.5) to kdebase-workspace-dbg
    Replaces/Breaks due to moved oxygen style plugin.
  * Make plasma-desktop Break pre-4.6 plasma-widget-networkmanagement. Symbol
    clashes (from libsolidcontrol4) cause a crash.
  * Do not bother about shlibs anymore: remove -V from the generic
    dh_makeshlibs call.
  * Clean up Replaces/Breaks which predate squeeze and can be removed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Apr 2011 12:23:40 +0300

kdebase-workspace (4:4.6.1-0ubuntu4) natty; urgency=low

  * Stop kdebase-workspace-bin depending on plasma-desktop for mobile
  * Stop kdebase-workspace recommending kdm for mobile

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Mar 2011 14:15:46 +0100

kdebase-workspace (4:4.6.1-0ubuntu3) natty; urgency=low

  [ Felix Geyer ]
  * Fix typo in kdm.upstart emits definitions.

  [ Jonathan Riddell ]
  * kdebase-workspace alternatively recommends for kubuntu-mobile nodm
  * kdebase-workspace-bin alternatively recommends plasma-mobile

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Mar 2011 13:46:57 +0100

kdebase-workspace (4:4.6.1-0ubuntu2) natty; urgency=low

  [ Felix Geyer ]
  * Emit upstart login-session-start and desktop-session-start events.
    (LP: #715093)
    - Add kubuntu_118_upstart_session_events.diff

  [ Colin Watson ]
  * Start on stopped udev-fallback-graphics instead of stopped udevtrigger
    (LP: #702090)
  * Add udev (>= 166-0ubuntu4) to kdm Depends

 -- Scott Kitterman <scott@kitterman.com>  Fri, 18 Mar 2011 20:49:32 -0400

kdebase-workspace (4:4.6.1-0ubuntu1) natty; urgency=low

  * New upstream release
  * Drop kubuntu_103_kdm_theme.diff now upstream
  * Drop kubuntu_118_remove_malloc_check.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Mar 2011 09:42:32 +0000

kdebase-workspace (4:4.6.0a-0ubuntu3) raring; urgency=low

  * In kubuntu_52_gtk2_engines_oxygen_config.diff remove duplicate
    netbook/mobile setup
  * Remove duplicate comment in
    kubuntu_108_plasma_netbook_for_small_screens.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Feb 2011 15:05:45 +0000

kdebase-workspace (4:4.6.0a-0ubuntu2) natty; urgency=low

  [ Jonathan Riddell ]
  * Update kde-sc-dev-latest version

  [ Felix Geyer ]
  * Add kubuntu_118_remove_malloc_check.diff to disable glibc memory
    corruption checker.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 26 Jan 2011 15:52:15 +0100

kdebase-workspace (4:4.6.0a-0ubuntu1) natty; urgency=low

  [ Jonathan Riddell ]
  * New upstream release
  * Update kubuntu_103_kdm_theme.diff for 4.6 horos theme
  * Move ethais kdm theme to kdebase-workspace-wallpapers
  * Add link usr/share/wallpapers/kde-default.png into kdebase-workspace-data.links
    so we don't have to update Ubiquity and other bits each release

  [ Felix Geyer ]
  * Invoke global X session scripts on startup. (LP: #688393)
  * Don't remove the kdm upstart job when the package is purged as config
    files are already removed by dpkg. This made it impossible to purge kdm.
    (LP: #634707)

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 22 Jan 2011 17:36:22 +0100

kdebase-workspace (4:4.5.95-0ubuntu1) natty; urgency=low

  [ Jonathan Riddell ]
  * New upstream release
  * Move KDM ethais theme to kdebase-workspace-wallpapers, add conflicts
  * Make kdebase-workspace-bin depend on upower, udisks

  [ Jonathan Thomas ]
  * Adapt kubuntu_52_gtk2_engines_oxygen for further changes in the default
    theme config in kubuntu-default-settings. Also remove the bit where the
    old ~/.gtk-2.0-kde4 file is removed when aborting config, since it will
    probably contain a valid GTK config from the old system.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Jan 2011 13:51:43 +0000

kdebase-workspace (4:4.5.90-0ubuntu1) natty; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release
  * New default wallpaper, move old one to kdebase-workspace-wallpapers, add replaces
    update links for ksplash (not yet kdm for some reason upstream doesn't set it to install)

  [ Jonathan Thomas ]
  * Remove the debian-changes-4:4.5.85 patch that snuck in last upload,
    reverting changes made to fix bashisms
  * Adapt kubuntu_52_gtk2_engines_qtcurve_config.diff for configuring the new
    gtk2-engines-oxygen theme, and rename to
    kubuntu_52_gtk2_engines_oxygen_config.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 22 Dec 2010 15:25:07 +0000

kdebase-workspace (4:4.5.85-0ubuntu3) natty; urgency=low

  * Remove bashism in kubuntu_108_plasma_netbook_for_small_screens.diff,
    thanks to Achim

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Dec 2010 12:29:26 +0000

kdebase-workspace (4:4.5.85-0ubuntu2) natty; urgency=low

  * Add missing file libpowerdevilcore0.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Dec 2010 16:55:06 +0000

kdebase-workspace (4:4.5.85-0ubuntu1) natty; urgency=low

  * New upstream beta release
  * Add build-deps on libdmtx-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Dec 2010 11:11:31 +0000

kdebase-workspace (4:4.5.80-0ubuntu5) natty; urgency=low

  * kdebase-workspace-bin replaces old kde-window-manager

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 04 Dec 2010 14:36:50 +0000

kdebase-workspace (4:4.5.80-0ubuntu4) natty; urgency=low

  [ Philip Muskovac ]
  * Bump various replaces to 4.5.80 for moved files

  [ Scott Kitterman ]
  * Update debian/patches/kubuntu_108_plasma_netbook_for_small_screens.diff to
    use udisks --dump for cdrom detection instead of lshal
  * kdebase-workspace-bin suggest udisks

 -- Scott Kitterman <scott@kitterman.com>  Thu, 02 Dec 2010 19:17:44 -0500

kdebase-workspace (4:4.5.80-0ubuntu3) natty; urgency=low

  * kinfocentre replaces old systemsettings

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 30 Nov 2010 20:43:10 +0000

kdebase-workspace (4:4.5.80-0ubuntu2) natty; urgency=low

  * Update kdebase-workspace-bin.install

 -- Philip Muskovac <yofel@gmx.net>  Tue, 30 Nov 2010 17:41:04 +0100

kdebase-workspace (4:4.5.80-0ubuntu1) natty; urgency=low

  * New upstream beta release
  * Disable 99_solid_network_use_ntrack.diff, ntrack implemented upstream elsewhere
  * Remove kubuntu_29_fallback_to_xrender_compositing.diff is upstream
  * Remove #kubuntu_72_remove_startkde_cruft.diff mostly upstream
  * FIXME why isn't kubuntu_63_ksplash_fix.diff upstream when it was from trunk?
  * Disable kubuntu_117_fix_dolphin_show_free_space_in_places.diff, fixme is this needed?
  * Remove plasma-scriptengine-qedje package, removed upstream
  * Merge *.install.linux files, they confuse --list-missing and Ubuntu doesn't need them

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 24 Nov 2010 11:33:32 +0000

kdebase-workspace (4:4.5.3-0ubuntu4) raring; urgency=low

  * Remove kscreensaver and kcheckpass pam files, they were not used and
    a quick check unveales that their associated tools both seem to use
    KDM's PAM file.
  * Add kubuntu_03_kdewallpapers_install.diff, which adds a button to the
    Plasma wallpaper config to easily install the kdewallpapers package.
    The button is only displayed if the package is not installed *and*
    qapt-batch is available.

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 13 Nov 2010 17:26:25 +0100

kdebase-workspace (4:4.5.3-0ubuntu3) natty; urgency=low

  * Rip out the rest of the duplicated files left in kdm.install on the last
    merge (../themes/oxygen-air and ./themes/oxygen) since they are also
    properly in kdebase-workspace-wallpapers (LP: #673611)
    - Bump replaces version

 -- Scott Kitterman <scott@kitterman.com>  Wed, 10 Nov 2010 11:58:20 -0500

kdebase-workspace (4:4.5.3-0ubuntu2) natty; urgency=low

  * Drop circles theme from debian/kdm.install and leave it in only
    kdebase-workspace-wallpapers where we want it for Kubuntu (LP: #672618)
    - Add replaces for smooth upgrades for users that experienced this bug
  * Bump kdebase-workspace-bin.install replaces kde-window-manager version to
    4:4.5.3-0ubuntu2~ (LP: #672620)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 08 Nov 2010 11:03:55 -0500

kdebase-workspace (4:4.5.3-0ubuntu1) natty; urgency=low

  * New upstream release
  * libweather-ion5 new SONAME, replaces/conflicts libweather-ion4a

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Nov 2010 14:51:30 +0000

kdebase-workspace (4:4.5.2-0ubuntu3) natty; urgency=low

  * Fix freespacenotifier, kdebase-workspace-bin, libprocesscore4b,
    libsolidcontrolifaces4a and libtaskmanager4b upgrades

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 23 Oct 2010 03:45:10 +0200

kdebase-workspace (4:4.5.2-0ubuntu2) natty; urgency=low

  * Bump python-kde4 build-dep to 4:4.5.2+svn1188326-0ubuntu1

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 22 Oct 2010 22:45:35 +0200

kdebase-workspace (4:4.5.2-0ubuntu1) natty; urgency=low

  [ Alessandro Ghersi ]
  * Update KUBUNTU-DEBIAN-DIFFERENCES
  * Merge with Debian git remaining changes:
    - Add kdebase-workspace-wallpapers.{links, install}
    - Add kdebase-workspace-data.links
    - kdebase-workspace-data.install: don't add wallpapers that are in
      kdebase-workspace-wallpapers.install
    - Add kdm.{links, upstart}
    - kdm.logrotate: rotate 2 -> rotate 7
    - Make kdm work with upstart in kdm.prerm, kdm.postrm, kdm.postinst
    - Add kcheckpass.pam and kscreensaver.pam
    - debian/control:
      - Don't build against libggadget-1.0-dev, libggadget-qt-1.0-dev
        (they are in Universe)
      - Don't build against libntrack-qt4-dev (it's in Universe) for patch
        99_solid_network_use_ntrack.diff
      - Build against libbost1.42-dev instead of libboost-dev
      - Add libxml2-dev, libpolkit-qt-1-dev, libqtwebkit-dev to build-deps
      - Keep bumped our conflicts/replaces
      - plasma-netbook replaces plasma-widgets-workspace (<= 4:4.5.2-1ubuntu1)
      - kdebase-workspace-bin not depends on kaboom
      - kdebase-workspace-bin not recommends policykit-1-gnome
      - kdebase-workspace-bin suggests plasma-scriptengines instead of
        recommend
      - kdebase-workspace-data depends on oxygen-cursor-theme instead of oxygencursors
      - Keep kdebase-worksapce-wallpapers
      - plasma-dataengines-workspace replaces plasma-widget-workspace (<= 4:4.5.2-1ubuntu1)
      - plasma-widgets-workspace depends on akonadi-server and kdepim-runtime
      - plasma-scriptengines not depends on plasma-scriptengine-googlegadgets
      - plasma-scriptengine-ruby depends on libkde4-ruby
      - Don't build plasma-scriptengine-googlegadgets
      - freespacenotifier replaces kdebase-workspace-data (<= 4:4.5.2-1ubuntu1)
        and kdebase-workspace-bin (<= 4:4.5.2-1ubuntu1)
      - kinfocenter replaces kdebase-workspace-bin and systemsettings
      - kde-window-manager replaces/conflicts with kwin-style-aurorae
      - libplasmagenericshell4 replaces plasma-widgets-workspace (<= 4:4.5.2-1ubuntu1)
      - kdebase-workspace-dbg replaces kdebase-runtime-dbg
      - add python-kde4, python-sip, python-qt4 to build-dependencies
    - debian/patches:
      - Use 07_kdmrc_defaults_kubuntu.diff instead of 07_kdmrc_defaults.diff
      - Don't add 12_be_better_at_honouring_user_kdm_theming
      - Don't add 20_use_dejavu_as_default_font
      - Don't add 26_run_kaboom_when_starting_kde
      - Don't add 97_fix_target_link_libraries
      - Keep our patches
      - Build against kdelibs5-dev 4.5.2-0ubuntu1 for libkutils4 transition

  [ Jonathan Riddell ]
  * New upstream release
  * Removed patches applied upstream
    - kubuntu_20_fix_color_schemes.diff
    - kubuntu_21_use_sane_permission_for_kcmclockrc.diff
    - kubuntu_22_dont_crash_if_xkb_option_not_found.diff
    - kubuntu_24_fix_crash_systemsettings_input_devices.diff
    - kubuntu_26_fix_oxygen_with_nvidia.diff
    - kubuntu_27_fix_krunner_needs_press_enter_twice.diff
    - kubuntu_28_disable_lanczos_filter.diff
    - kubuntu_30_fix_numlock_at_start.diff
    - kubuntu_31_keep_panel_when_unhidden.diff
    - kubuntu_32_fix_device_action_editor.diff
    - kubuntu_33_ensure_eletric_borders_are_above_effect_windows.diff
    - kubuntu_35_dont_set_gl_textcoord_in_the_vertex_shader.diff
    - kubuntu_36_exclude_all_transformed_windows_from_blur_effect.diff
    - kubuntu_37_check_for_fbo_size_in_blur.diff
    - kubuntu_116_kdm_timeout.diff
  * refresh kubuntu_25_fix_timed_login.diff

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 16 Oct 2010 22:09:32 +0200

kdebase-workspace (4:4.5.1-0ubuntu8) maverick; urgency=low

  * remove recommend of policykit-1-gnome from kdebase-workspace-bin, it
    doesn't seem to work, LP: #653645

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 13:14:12 +0100

kdebase-workspace (4:4.5.1-0ubuntu7) maverick; urgency=low

  * Add kubuntu_117_fix_dolphin_show_free_space_in_places.diff (LP: #602389)
    To fix regression, dolphin wasn't able to show free space in places for
    removable devices. 

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 03 Oct 2010 22:26:37 +0200

kdebase-workspace (4:4.5.1-0ubuntu6) maverick; urgency=low

  * Fix Lucid -> Maverick upgrade (LP: #652056)
    - kdebase-workspace-dev replaces libksignalplotter4 (<< 4:4.5.0)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 03 Oct 2010 04:00:28 +0200

kdebase-workspace (4:4.5.1-0ubuntu5) maverick; urgency=low

  * debian/kdm.upstart: Do not already fire on a framebuffer device. When a
    real DRM driver gets loaded later on, X will be started too early to catch
    it. (LP: #615549)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 Sep 2010 17:25:49 -0400

kdebase-workspace (4:4.5.1-0ubuntu4) maverick; urgency=low

  * Add kubuntu_33_ensure_eletric_borders_are_above_effect_windows.diff
    (http://bugs.kde.org/show_bug.cgi?id=200235)
  * Add kubuntu_35_dont_set_gl_textcoord_in_the_vertex_shader.diff
    (http://websvn.kde.org/?view=revision&revision=1178358)
  * Add kubuntu_36_exclude_all_transformed_windows_from_blur_effect.diff
    (http://bugs.kde.org/show_bug.cgi?id=243693)
  * Add kubuntu_37_check_for_fbo_size_in_blur.diff
    (http://websvn.kde.org/?view=revision&revision=1179269)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 26 Sep 2010 22:15:24 +0200

kdebase-workspace (4:4.5.1-0ubuntu3) maverick; urgency=low

  [ Alessandro Ghersi ]
  * Add kubuntu_28_disable_lanczos_filter.diff, disable Lanczos filter while
    moving windows in present windows.
  * Add kubuntu_29_fallback_to_xrender_compositing.diff
    fallback to XRender compositing in case of Software Rasterizer.
    (backport from trunk)
  * Add kubuntu_30_fix_numlock_at_start.diff (LP: #635670)
  * Update kubuntu_26_fix_oxygen_with_nvidia.diff to fix memory leak
  * Add kubuntu_31_keep_panel_when_unhidden.diff to keep the panel above when
    unhidden, keepbelow when hidden
    (http://bugs.kde.org/show_bug.cgi?id=251443)
  * Add kubuntu_32_fix_device_action_editor.diff
    fix plasma stops responding if you minimize the device action editor
    (http://bugs.kde.org/show_bug.cgi?id=251138)
  * Adjust kdm.postinst to transfer ownership of /var/lib/kdm to the kdm user.
    (Taken from Debian git) (LP: #588090)

  [ Harald Sitter ]
  * Add kubuntu_01_kubuntu_knewstuff.diff to introduce Kubuntu Wallpaper
    support in Plasma Wallpaper's get new stuff feature.
    i.e. listing content from kubuntu-art's:
    http://kubuntu-art.org/index.php?xcontentmode=7800 

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 18 Sep 2010 20:33:06 +0200

kdebase-workspace (4:4.5.1-0ubuntu2) maverick; urgency=low

  * kdebase-workspace-dev replaces libksignalplotter4 (<= 4:4.4.2-0ubuntu14)
  * Add patches from upstream:
    - Add kubuntu_20_fix_color_schemes.diff
      (http://bugs.kde.org/show_bug.cgi?id=153056)
      (http://bugs.kde.org/show_bug.cgi?id=233436)
    - Add kubuntu_21_use_sane_permission_for_kcmclockrc.diff to fix permission
      of kcmclockrc (644 instead of 004) 
    - Add kubuntu_22_dont_crash_if_xkb_option_not_found.diff
      (http://bugs.kde.org/show_bug.cgi?id=244913)
    - Add kubuntu_24_fix_crash_systemsettings_input_devices.diff
      (http://bugs.kde.org/show_bug.cgi?id=248096)
    - Add kubuntu_25_fix_timed_login.diff
      (http://bugs.kde.org/show_bug.cgi?id=229475)
    - Add kubuntu_26_fix_oxygen_with_nvidia.diff
      (http://bugs.kde.org/show_bug.cgi?id=242653)
    - Add kubuntu_27_fix_krunner_needs_press_enter_twice.diff
      (http://bugs.kde.org/show_bug.cgi?id=250582)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 07 Sep 2010 19:21:44 +0200

kdebase-workspace (4:4.5.1-0ubuntu1) maverick; urgency=low

  [ Felix Geyer ]
  * New upstream release.
  * Drop patches that are applied upstream:
    - kubuntu_115_loginscreen_kcm_no_rootonly.diff
    - kubuntu_117_no_malloc_check.diff
  * Update install and symbols files.

  [ Harald Sitter ]
  * Drop CVE-2010-0436_fix_kdm_local_exploit.diff for good, the remaining
    portion of this patch was applied at another position within the same
    file which essentially made the variable set twice.
  * Update kubuntu_34_kdm_plymouth_transition.diff to quit plymouth when
    startServerSuccess is called, which should be called whenever successful
    startup was archived. (LP: #618450)

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 01 Sep 2010 23:57:59 +0200

kdebase-workspace (4:4.5.0b-0ubuntu6) maverick; urgency=low

  [ Harald Sitter ]
  * Remove string changes from 07_kdmrc_defaults_kubuntu.diff and reactivate
    the patch because it does other important things besides changing i18ns

  [ Rodrigo Belem ]
  * Update kubuntu_108_plasma_netbook_for_small_screens.diff to make mobile
    also work if plasma-netbook is installed and make settings cascade on
    kubuntu-default-settings

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 25 Aug 2010 08:20:15 +0200

kdebase-workspace (4:4.5.0b-0ubuntu5) maverick; urgency=low

  * Fix install files in kdebase-workspace-bin now kwrited is a kded

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Aug 2010 14:14:01 +0100

kdebase-workspace (4:4.5.0b-0ubuntu4) maverick; urgency=low

  * Fix kubuntu_105_netbook_favourites.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Aug 2010 00:41:13 +0100

kdebase-workspace (4:4.5.0b-0ubuntu3) maverick; urgency=low

  [ Rodrigo Belem ]
  * Set KDEDIRS to mobile profile if startkde loaded with mobile argument
    LP: #622871

  [ Jonathan Riddell ]
  * Merge kdm.postinst and kdm.postrm with Debian to match create and
    delete kdm user commands
  * Disable 07_kdmrc_defaults_kubuntu.diff patch, no point changing a
    string which isn't used
  * Add kubuntu_116_kdm_timeout.diff increase timeout from X server,
    closes LP: #613574
  * Add kubuntu_117_no_malloc_check.diff Disable glibc memory corruption
    checker https://bugs.kde.org/247398
  * Re-enable kubuntu_105_netbook_favourites.diff and update for current
    codebase and applications

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Aug 2010 23:29:40 +0100

kdebase-workspace (4:4.5.0b-0ubuntu2) maverick; urgency=low

  * dbg package conflicts with kdebase-runtime-dbg

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Aug 2010 14:53:01 +0100

kdebase-workspace (4:4.5.0b-0ubuntu1) maverick; urgency=low

  [ Jonathan Riddell ]
  * New tar from upstream

  [ Felix Geyer ]
  * Add kubuntu_115_loginscreen_kcm_no_rootonly.diff so the Login Screen kcm isn't
    started as root anymore. It uses KAuth for authentication.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 06 Aug 2010 13:45:19 +0200

kdebase-workspace (4:4.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump on build-depends
    - Updated install files

 -- Michał Zając <michal.zajac@gmail.com>  Sat, 31 Jul 2010 14:10:08 +0200

kdebase-workspace (4:4.4.92-0ubuntu2) maverick; urgency=low

  [ Jonathan Riddell ]
  * Update kubuntu_108_plasma_netbook_for_small_screens.diff to check for
    laptop and no CD

  [ Felix Geyer ]
  * Replace libqt4-webkit-dev build-dep with libqtwebkit-dev.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 21 Jul 2010 09:52:14 +0200

kdebase-workspace (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream rc release:
    - Bump kde-sc-dev-latest to 4.4.92
    - Refresh patches
    - Update symbols
    - plasma-widgets-workspace replaces/conflicts plasma-widget-logout

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 08 Jul 2010 01:11:52 +0200

kdebase-workspace (4:4.4.90-0ubuntu2) maverick; urgency=low

  * Port 21_kdm_doesnt_use_kstandarddirs.diff to 4.4.90
    (LP: #592110)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 01 Jul 2010 01:48:10 +0200

kdebase-workspace (4:4.4.90-0ubuntu1) maverick; urgency=low

  * New upstream rc release:
    - Bump kde-sc-dev-latest to 4.4.90
    - Update kdebase-workspace-wallpapers.install
    - Update systemsettings.install
    - Update kde-window-manager.install
    - Add libjpeg62-dev to build-depends
    - Drop kubuntu_99_fix_arm_ftbfs.diff fixed by upstream
    - Drop 23_do_not_depend_on_bindings.diff, see:
      http://bugs.kde.org/show_bug.cgi?id=221501
    - Update not-installed.install
    - Update symbol files
    - Port kubuntu_11_fix_root_only_kcms.diff to 4.4.90
    - Set -DPYTHON_SITE_PACKAGES_INSTALL_DIR in rules

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 24 Jun 2010 22:21:33 +0200

kdebase-workspace (4:4.4.85-0ubuntu5) maverick; urgency=low

  * Add kubuntu_108_plasma_netbook_for_small_screens.diff to start
    plasma-netbook instead of plasma-desktop if screen size is small

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Jun 2010 14:06:27 +0100

kdebase-workspace (4:4.4.85-0ubuntu4) maverick; urgency=low

  * Added kubuntu_99_fix_arm_ftbfs.diff
    - Fix FTBFS on armel by correctly qreal issues

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Thu, 17 Jun 2010 15:43:50 +0000

kdebase-workspace (4:4.4.85-0ubuntu3) maverick; urgency=low

  [ Jonathan Riddell ]
  * kdebase-workspace-data replaces/conflicts freespacenotifier

  [ Harald Sitter ]
  * -dbg replace and conflicts kdebase-dbg << 4.4.80 since files got
    moved around inbetween versions (LP: #588768)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 14 Jun 2010 18:44:48 +0200

kdebase-workspace (4:4.4.85-0ubuntu2) maverick; urgency=low

  [ Scott Kitterman]
  * Enable gpsd support now that it is in Main
    - Build-depend on libgps-dev (>= 2.90)
    - Add usr/lib/kde4/plasma-geolocation-gps.so and
      usr/share/kde4/services/plasma-geolocation-gps.desktop to
      plasma-dataengines.install
  * Add build-depends on libpci-dev to add pciutils support
  * Fix scripted configuration control for plasma-desktop and plasma-netbook
    - Install missing plasma-layout-org.* service desktop files
  * Complete transition of kinfocenter from kdebase
    - Fix debian/rules so non-linux specific files for kinfocenter are also
      installed
    - Update debian/kinfocenter.install for 4.4.85: Remove
      usr/lib/kde4/kcm_ioslaveinfo.so, usr/lib/kde4/kcm_partition.so,
      usr/lib/kde4/kcm_solidproc.so, usr/lib/libkdeinit4_kinfocenter.so,
      usr/share/doc/kde/HTML/en/kinfocenter/devinfo/ (dma, interrupts,
      ioports, memory, opengl, pci, samba, scsi, usb, view1394, xserver),
      usr/share/kde4/apps/kcmview1394/oui.db,
      usr/share/kde4/apps/kinfocenter/about/,
      usr/share/kde4/services/devices.desktop,
      usr/share/kde4/services/ioslaveinfo.desktop,
      usr/share/kde4/services/kcmlaunch.desktop,
      usr/share/kde4/services/kcmview1394.desktop,
      usr/share/kde4/services/kcm_partition.desktop,
      usr/share/kde4/services/kcmsolidproc.desktop, and
      usr/share/kde4/services/sound.desktop
  * Add missing usr/share/kde4/services/kcmlaunch.desktop to
    kdebase-workspace-bin.install
  * kdm recommend kde-window-manager instead of kdebase

  [ Alessandro Ghersi ]
  * Cleanup #MISSING from libkephal4.symbols
    Those missing symbols were public in 4.4 but since libkephal4 has not
    rdepends outside kdebase-workspace, we don't need rename the package.
  * Rename libplasmaclock4a in libplasmaclock4b, ABI changed, add
    libplasmaclock4a-api virtual packages and add appropriate
    Provides/Conflicts/Replaces. Rename .install, .symbols and
    .lintian-overrides files.
  * Rename libsolidcontrol4 in libsolidcontrol4a, ABI changed, add
    libsolidcontrol4-api virtual packages and add appropriate
    Provides/Conflicts/Replaces. Rename .install, .symbols and
    .lintian-overrides files.
  * Cleanup #MISSING symbols from:
    - libsolidcontrol4.symbols
    - libsolidcontrolifaces4.symbols
    - libtaskmanager4a.symbols
  * Update libksignalplotter4.symbols
  * Update libkworkspace4.symbols
  * Confirmed symbols for i386 too
  * Remove usr/bin/kinfocenter from kdebase-workspace-bin, already in
    kinfocenter
  * kinfocenter replaces kdebase-workspace-bin
  * plasma-{desktop,netbook} replaces plasma-widgets-workspace

 -- Scott Kitterman <scott@kitterman.com>  Thu, 10 Jun 2010 11:25:30 -0400

kdebase-workspace (4:4.4.85-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Bump kde-sc-dev-latest to 4.4.85
    - Bump libakonadi-dev to 1.3.80 and shared-desktop-ontologies to 0.5
    - Update 07_kdmrc_defaults_kubuntu.diff
    - Update 21_kdm_doesnt_use_kstandarddirs.diff
    - Remove kubuntu_03_kickoff_configchanged.diff fix by upstream
    - Update various install files

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 07 Jun 2010 13:40:55 +0200

kdebase-workspace (4:4.4.80-0ubuntu2) maverick; urgency=low

  * Add kdm user in kdm.postinst and remove in kdm.postrm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 30 May 2010 16:17:45 +0100

kdebase-workspace (4:4.4.80-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Switch to dpkg-source 3.0 (quilt) format
    - Remove debian/kdm-ethais-theme went upstream
    - Remove rules for install kdm-ethais-theme
    - Bump libakonadi-dev
    - Remove debian/kdm-ethais-theme
    - Update patches:
      - 09_genkdm_make
      - 21_kdm_doesnt_use_kstandarddirs
      - 27_ld_exclude_libs_qtuitools
      - kubuntu_103_kdm_theme
      - kubuntu_34_kdm_plymouth_transition
    - Drop patches fixed by upstream:
      - kubuntu_101_brightness_fn_keys_and_osd
      - kubuntu_102_plasma_netbook_no_autostart
      - kubuntu_109_ksplash_netbook
      - kubuntu_119_krandrtray_radio_menu_items
    - Disable patches:
      - kubuntu_105_netbook_favourites
      - kubuntu_106_netbook_layout
      - kubuntu_107_intel_compositing_fix
    - Update various .install files
    - Add libqalculate-dev and pciutils to build-depends
    - kdebase-workspace-bin and kdebase-workspace-data replaces kinfocenter
    - kdebase-workspace-data replaces kdebase-runtime-data (<< 4:4.4.80)
    - Moved kinfocenter from kdebase to kdebase-workspace
      - kdebase-workspace metapackage recommends kinfocenter
    - kdebase-workspace-bin replaces/conflicts freespacenotifier

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 24 May 2010 21:15:48 +0200

kdebase-workspace (4:4.4.5-9) unstable; urgency=high

  [ José Manuel Santamaría Lema ]
  * Add ftbfs_remove_notify.diff to avoid FTBFS with Qt 4.7 (Closes: #618073)
  * Build depend on libqtwebkit-dev.

  [ Modestas Vainius ]
  * Add initialize_variables_crashfix.diff patch which initializes some
    variables in order to avoid kded crash with dbus 1.4.8. (Closes: #623492)
  * Urgency=high because #623492 makes KDE desktop unusable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Apr 2011 16:05:31 +0300

kdebase-workspace (4:4.4.5-8) unstable; urgency=high

  * Backport 33_backport_krunner_crash_fix_threading.diff patch from 4.5.0 to
    fix random but common krunner crashes. (Closes: #607974)
  * Urgency=high, might get to squeeze.

 -- Modestas Vainius <modax@debian.org>  Thu, 20 Jan 2011 01:04:32 +0200

kdebase-workspace (4:4.4.5-7+squeeze1) stable-proposed-updates; urgency=low

  * Backport 33_backport_krunner_crash_fix_threading.diff patch from 4.5.0 to
    fix random but common krunner crashes. (Closes: #607974)

 -- Modestas Vainius <modax@debian.org>  Sat, 12 Feb 2011 20:38:18 +0200

kdebase-workspace (4:4.4.5-7) unstable; urgency=high

  * Replace Conflicts against kwin with Breaks in kde-window-manager. Also
    version them at (<< 4:4).
  * Remove Replaces/Conflicts on kwin (>= 4:4.0.1-1) from libkdecorations4 and
    libkwineffects1a packages.
  * Urgency=high, important for squeeze release.

 -- Modestas Vainius <modax@debian.org>  Thu, 13 Jan 2011 21:50:34 +0200

kdebase-workspace (4:4.4.5-6) unstable; urgency=medium

  [ Pino Toscano ]
  * Move the solid servicetypes from kdebase-workspace-bin.install.linux to
    kdebase-workspace-bin.install. (Closes: #608541)

  [ Modestas Vainius ]
  * Document a workaround for the "dark taskbar" bug in README.Debian. The real
    fix is in KDE SC 4.5 or later. However, regardless, I think this change
    closes: #564941.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 02 Jan 2011 01:48:18 +0200

kdebase-workspace (4:4.4.5-5) unstable; urgency=medium

  [ Modestas Vainius ]
  * Add patch 31_kdm_vt_switching_on_kfreebsd.diff which implements VT
    switching and status detection support for KDM on kFreeBSD. This should
    fix an issue with KDM hijacking VT2 on bootup. (Closes: #586540)
  * Fix ksmserver crash on logout. It's 100% reproducible on kfreebsd-amd64.
  * Make kdebase-workspace-bin Replace and Break kdesktop. (Closes: #605135)
  * Set urgency=medium due to multiple RC bug fixes.

  [ Didier Raboud ]
  * Fix a segfault in qguiplatformplugin_kde, thanks to David Alan Gilbert
    (patch 33_qguiplatformplugin_kde_NULL_check.diff). (Closes: #603480)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 28 Nov 2010 13:09:18 +0200

kdebase-workspace (4:4.4.5-4) unstable; urgency=low

  [ Frederik Schwarzer ]
  * Add a patch that doubles the time KDM waits for X to start.
    (Closes: #524751)

  [ Modestas Vainius ]
  * Backport oneliner patch which is likely to fix dual head support in plasma
    (KDE bug #156475).
  * Add back support for changing RandR settings on KDE startup (patch
    29_backport_fix_krandr_support_in_startkde.diff). (Closes: #596473)
  * Fix kdm.postinst not to fail due to -e mode even if default display manager
    cannot be found on the system. After all, this behaviour appears to be an
    intention of the original code as well. (Closes: #585981)
  * Deprecate 01_plasma_netbook_no_autostart.diff and add
    30_plasma_netbook_fix_autostart.diff patch to properly fix issues
    with autostart of plasma-netbook. The fix is needed for kde-plasma-netbook
    metapackage to be useful. (Closes: #584905)

  [ Sune Vuorela ]
  * Fix a bug in 99_solid_network_use_ntrack.diff patch.

 -- Modestas Vainius <modax@debian.org>  Wed, 20 Oct 2010 01:06:17 +0300

kdebase-workspace (4:4.4.5-3) unstable; urgency=low

  [ Sune Vuorela ]
  * Don't use ntrack on !linux. It doesn't work/exist there, and fix
    patch to actually work in all cases.

  [ Pino Toscano ]
  * Fix a typo in description of libksgrd4, which slipped in my previous
    changes. (Closes: #592278)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 02 Aug 2010 23:23:41 +0200

kdebase-workspace (4:4.4.5-2) unstable; urgency=low

  [ Sune Vuorela ]
  * Add a patch to also query libntrack for networkstatus. Also add
    libntrack-qt4-dev to build-deps to actually use the new feature.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.

  [ Pino Toscano ]
  * Expand a bit and fix typo in description of libksgrd4. (Closes: #589903)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 02 Aug 2010 23:23:41 +0200

kdebase-workspace (4:4.4.5-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Make kdebase-workspace-data replace & conflict with ksplash
    (Closes: #584861).
  * Do not hardcode python version in plasma-scriptengine-python.install
    (Closes: #585174).
  * Ship kdm virtual facility for insserv (Closes: #554831).
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ George Kiagiadakis ]
  * Add patch 01_plasma_netbook_no_autostart.diff from kubuntu
    to fix plasma-netbook autostart when only plasma-netbook
    is installed. (Closes: #584905)

  [ Fathi Boudra]
  * Add missing Conflicts/Replaces with ksplash to kdebase-workspace-bin
    package (Closes: #585716).
  * Add krb5-kdc to Should-Start kdm init script. (Closes: #584434)

  [ Sune Vuorela ]
  * Remove python build requirements fixes. fixed upstream.
  * Fix plasma-scriptengine-qedje description. (Closes: 584236)
  * Update descriptions.

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 00:42:04 +0200

kdebase-workspace (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Few touches to the packages descriptions.
    - ... including the plasma-scriptengine-python one. (Closes: #580114)

  [ Modestas Vainius ]
  * Update symbol files for amd64 armel hppa hurd-i386 i386 ia64 kfreebsd-amd64
    kfreebsd-i386 mips mipsel powerpc s390 sparc.
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Move debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

  [ Sune Vuorela ]
  * Move to libsensors 3.x series. change build-deps to libsensors4-dev. (Yes,
    libsensors is just like most of kdelibs off by one in SONAME vs. version
    number). (Closes: 582803)
  * Update email address.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:14 +0300

kdebase-workspace (4:4.4.3-1ubuntu3) maverick; urgency=low

  * Recommend polkit-kde-1, not policykit-kde-1 (non-existent)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 24 May 2010 13:03:30 -0400

kdebase-workspace (4:4.4.3-1ubuntu2) maverick; urgency=low

  * Depend on oxygen-cursor-theme, not oxygencursors

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 24 May 2010 08:12:46 -0400

kdebase-workspace (4:4.4.3-1ubuntu1) maverick; urgency=low

  * Merge from Debian Unstable. Remaining Ubuntu changes:
  * Multiple files:
    - /kde/ instead of /kde4/ in doc path
  * Debian/control
    - Directly build-depend on libboost1.42-dev instead of libboost-dev
    - Build-depend on libsensors4-dev instead of libsensors-dev because it is
      in Universe
    - Add python-sip, python-qt4, and python-kde4 to build-depends 
    - Add libqt4-webkit-dev to build-depends because it's been split out of
      the base qt4-x11 package in 4.7
    - Build-depend on libpolkit-qt-1-dev for PolicyKit support
    - Build-depend on libdbusmenu-qt-dev (>= 0.3.0) for dbusmenu support
    - Build-depend on sharutils for uuendcode/decode support
    - Drop build-deps on libggadget-1.0-dev, libggadget-qt-1.0-dev, and
      libgps-dev since they are in universe
    - Use Kubuntu Vcs-* instead of Debian
    - Bump kde-window-manager Replaces kdebase-workspace-bin version to 4.4.80
      due to moving kwin-tabbox settings files to kde-window-manager
    - Bump plasma-desktop Replaces plasma-widgets-workspace version to 4.4.80
      due to kickoff applet and desktop containment files being mistakenly
      placed in p-w-w in Lucid
    - Drop kdebase-workspace-bin depends on kaboom (Debian KDE3 - KDE4
      settings migration tool)
    - Move kdebase-workspace-bin Recommends plasma-scriptengines to suggests
    - Add kdebase-workspace-wallpapers package for extra wallpapers that don't
      fit on the CD
    - Add plasma-widgets-workspace Depends on akonadi-server and
      kdepim-runtime
    - Drop plasma-scriptengines Depends on plasma-scriptengine-googlegadgets
    - Add plasma-scriptengine-ruby depends on libkde4-ruby
    - Comment out plasma-scriptengine-googlegadgets (needs Universe build-dep)
    - kde-window-manager Conflict/Replace kwin-style-aurorae
  * debian/kdebase-workspace-bin.install
    - Add usr/bin/kwrited since we haven't libutempter-dev in build-dep to
      build kwrited as a kded module and move kwrited.desktop to autostart
  * Add debian/kdm-ethias-theme/ for Kubuntu default theme
  * Add debian/kdm.links to support Ethias theme in kdm    
  * Replace debian/kdm.init with debian/kdm.upstart
  * debian/kdm.logrotate:
    - Only keep two days of logs to prevent excessive disk usage
  * debian/kdm.postinst:
    - Remove sysvinit start logic and start kdm || true using upstart
  * debian/kdm.postrm:
    - On purge remove /etc/init/kdm.conf instead of the sysv init script
  * debian/kdm.prerm:
    - Stop using upstart instead of sysvinit
  * Move non-default kdm themes from debian/kdm.install to debian/
    kdebase-workspace-wallpapers.install
  * Add debian/kdebase-workspace-wallpapers.links
  * Remove debian/klipper.postinst (only needed for KDE3/4 transition)
  * Add kcheckpass.pam and kscreensaver.pam (LP #278842)
  * debian/plasma-dataengines-workspace.install:
    - Drop usr/lib/kde4/plasma-geolocation-gps.so and
      usr/share/kde4/services/plasma-geolocation-gps.desktop because we do
      not build against gpsd
  * Add usr/share/autostart/plasma-netbook.desktop to debian/
    plasma-netbook.install to support autostart with just plasma-netbook
    installed
  * debian/plasma-scriptengine-python.install:
    - Install for python2.6 instead of python2.5
    - Don't install .pyc files
  * debian/rules:
    - DEB_FIXPERMS_EXCLUDE := usr/bin/kwrited
    - Remove Ethias files in clean target
    - Install Ethias kdm theme
  * debian/patches (Debian):
    - Use 07_kdmrc_defaults_kubuntu.diff instead of 07_kdmrc_defaults.diff
    - Disable 12_be_better_at_honouring_user_kdm_theming.diff
    - Disable 20_use_dejavu_as_default_font.diff Kubuntu - system default
    - Disable 26_run_kaboom_when_starting_kde.diff
    - Disable 97_fix_target_link_libraries.diff
  * Update debian/not-installed
  * Document changes from Debian in debian/KUBUNTU-DEBIAN-DIFFERENCES
  * debian/patches (Kubuntu):
    - Drop kubuntu_01_fix_dateandtimekcm.diff, incorporated upstream
    - Keep kubuntu_02_screensaver_restricted_install.diff and
      kubuntu_03_kickoff_configchanged.diff
    - Drop kubuntu_04_fix_kickoff_model_loading.diff, incorporated upstream
    - Keep kubuntu_11_fix_root_only_kcms.diff,
      kubuntu_12_kubuntu_homepage.diff, kubuntu_13_startkde_set_country.diff,
      kubuntu_19_always_show_kickoff_subtext.diff,
      kubuntu_34_kdm_plymouth_transition.diff,
      kubuntu_52_gtk2_engines_qtcurve_config.diff,
      kubuntu_63_ksplash_fix.diff, kubuntu_72_remove_startkde_cruft.diff,
      kubuntu_80_fix_includes.diff,
      kubuntu_93_fix_username_icon_alignment.diff,
      kubuntu_101_brightness_fn_keys_and_osd.diff,
      kubuntu_102_plasma_netbook_no_autostart.diff, kubuntu_103_kdm_theme.diff
      kubuntu_105_netbook_favourites.diff, kubuntu_106_netbook_layout.diff,
      kubuntu_107_intel_compositing_fix.diff, kubuntu_109_ksplash_netbook.diff
   - Temporarily disable kubuntu_98_dbusmenu.diff since it's causing configure
     to fail and it will be upstream for kde 4.5
   - Drop kubuntu_110_fix_appswitch.diff, incorporated upstream
   - Drop kubuntu_111_netbook_f4_fix.diff, incorporated upstream
   - Drop kubuntu_112_kdm_multiscreen_fix.diff, incorporated upstream
   - Drop kubuntu_113_kmenuedit_folder_move_fix.diff, incorporated upstream
   - Keep kubuntu_114_respect_screensaver_settings.diff
   - Drop kubuntu_115_read_compositing_settings.diff, incorporated upstream
   - Drop kubuntu_116_oxygen_cursor_fix.diff, incorporated upstream
   - Drop kubuntu_117_randr_fix_revert.diff, incorporated upstream
   - Drop kubuntu_118_netbook_activitybar.diff, incorporated upstream
   - Drop kubuntu_119_powerdevil_fix_suspend_twice.diff, incorporated upstream
   - Drop kubuntu_120_powerdevil_reset_status_after_idle.diff, incorporated
     upstream
   - Update CVE-2010-0436_fix_kdm_local_exploit.diff, partially incorporated
     upstream

 -- Scott Kitterman <scott@kitterman.com>  Fri, 21 May 2010 11:58:11 -0400

kdebase-workspace (4:4.4.3-1) unstable; urgency=low

  * New upstream release:
    - fixes CVE-2010-0436 - KDM Local Privilege Escalation Vulnerability.
    - properly enables XScreenSaver during compilation if found.
      (Closes: #577786)

  [ Pino Toscano ]
  * Make ksysguard depend on ksysguardd.

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Drop kdebase-workspace-4.3.5-CVE-2010-0436.diff patch - merged upstream.
  * Confirm symbol files for 4.4.2 on i386 ia64 kfreebsd-amd64 kfreebsd-i386
    powerpc s390 sparc.
  * Add 27_ld_exclude_libs_qtuitools.diff patch to cease exporting QtUiTools
    symbols in the symbol table of libprocessui library. Remove those redudant
    symbols from the libprocessui4a.symbols symbol file as well.
  * Bump google-gadgets build dependencies to version 0.11.2.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:51 +0300

kdebase-workspace (4:4.4.2-1) experimental; urgency=low

  * New upstream release:
    - fixes crash in Solid's HAL power handling. (Closes: #561724)
    - fixes compilation with GCC 4.5. (Closes: #565012)
    - fixes dual-head setup with fglrx. (Closes: #529487)
    - fixes ~20% CPU usage of system tray widget. (Closes: #553663)
    - fixes klipper correctly clearing the clipboard history. (Closes: #410123)
    - fixes downloaded wallpaper not found by login manager. (Closes: #410635)
    - fixes blocked directories under /proc/acpi by ksysguardd.
      (Closes: #542125)
    - fixes wrong focus in Klipper menu when invoked via hotkey.
      (Closes: #575543)

  [ Ferdinand Thommes ]
  * updated copyright

  [ Pino Toscano ]
  * debian/control: slightly improve package descriptions a bit.
    - ... including spelling of "WebKit" and "Mac OS X". (Closes: #567164)

  [ George Kiagiadakis ]
  * Refresh patches.
  * Drop patches that have been included upstream:
    - 24_do_not_search_for_libeet.diff
    - 25_task.h_forward_decl_netwininfo.diff
    - 27_geolocation_gpsd_2.90_compat.diff
    - 90_work_with_hal_0.5.14_svn_r1062504.diff
  * Bump kdelibs5-dev build dependency to >= 4:4.4.
  * Bump libggadgets-1.0-dev and libggadgets-qt-1.0-dev build
    dependencies to >= 0.11.0.
  * Add build dependency on shared-desktop-ontologies.
  * Drop build dependencies to libutempter-dev and libknotificationitem1-dev
    as they are no longer needed.
  * Disable building polkit-kde and thus drop build dependencies to
    libpolkit-qt-dev, libpolkit-dbus-dev and libpolkit-grant-dev.
    (Closes: #549509, #563013)
  * Drop libnepomukquery4 and libnepomukqueryclient4 packages
    (code moved to kdelibs in libnepomukquery4).
  * Update installed files.
  * Add new library packages: libksignalplotter4, libplasmagenericshell4.
  * Add the "plasma-netbook" package, which contains the netbook plasma
    shell, split plasma-desktop off kdebase-workspace-bin and put it in the
    "plasma-desktop" package and make kdebase-workspace-bin depend on either
    of those two.
  * Rename libweather-ion4 to libweather-ion4a as the new version of this
    library is binary incompatible with previous versions.
  * Remove unused lintian overrides.
  * Add some new lintian overrides where needed.
  * Fix the kdm.options manpage to mention /etc/kde4 instead of /etc/kde3
    (Closes: #564554)
  * Bump replaces version: kde-window-manager now replaces
    kdebase-runtime-data (<< 4:4.4.0) due to moved documentation files.

  [ Sune Vuorela ]
  * Add conflicts: for some kde3 kdm theme packages. Thanks Leonard.
    Closes: 568950
  * Remove old obsolete klipper configuration files. Closes: 543764
  * Make the rest of kde pam usage use the same service name as kdm, which we
    actually install configuration for. Closes: 534714
  * Add some #DEBHELPER# snippets to kdm

  [ Modestas Vainius ]
  * libkdeinit4_*.so have been moved to private directory
    (Closes: #553115, #553116).
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Rename the following library packages due to binary incompatible changes:
    - libkwineffects1 -> libkwineffects1a;
    - libplasmaclock4 -> libplasmaclock4a;
    - libprocesscore4 -> libprocesscore4a;
    - libprocessui4 -> libprocessui4a;
    - libtaskmanager4 -> libtaskmanager4a;
    Introduce "exclusive" *-api virtual packages for these libraries and add
    appropriate Provides/Conflicts/Replaces.
  * Merge libkfontinst4 into kdebase-workspace-bin because it does not install
    headers and kdebase-workspace-bin is the only package which depends on it.
  * Merge libplasma-applet-system-monitor4 into plasma-widgets-widgets because
    it does not install headers and plasma-widgets-workspace is the only package
    which depends on it.
  * Use strict interdependencies between library packages and local binary
    packages which depend on them.
  * Use ${allLibraries} subst in kdebase-workspace-dev Depends.
  * Build depend on pkg-kde-tools 0.6.4 and dpkg-dev 1.15.5 for
    library-packages.mk and enhanced symbol files support.
  * Add symbol files for public libraries.
  * Do not fail if there are lost symbols by passing -c0 to dpkg-gensymbols.
  * Add lintian overrides.
  * Add ${perl:Depends} substvar to kdebase-workspace-data and
    kde-window-manager Depends.
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Unversion conflicts with kdebase-workspace-libs4+5.
  * Pass --noscripts to dh_installinit for kdm because otherwise it is not
    possible to avoid kdm stopping in kdm.init (either on upgrade or remove).
  * Adapt 08_genkdmconf.diff patch to upstream changes: drop sessreg from
    scripts as kdm has it built-in.
  * Make kdebase-workspace-bin recommend polkit-kde-1 | policykit-1-gnome.

  [ Christian Perrier ]
  * Debconf translations:
    - Finnish (Esko Arajärvi).  Closes: #533561
    - Polish (Marcin Owsiany).  Closes: #571311

  [ Fathi Boudra ]
  * Add LANGUAGE to the list of provided kdm override. (Closes: #501669)
  * Allow /etc/init.d/kdm status as non-root user.
    Thanks to Petter Reinholdtsen. (Closes: #527896)
  * Use lsb output functions in kdm init script.
    Thanks to Petter Reinholdtsen. (Closes: #567802)
  * Add 22_kdm_xreset_hook_framework.diff patch to provide a Xreset hook using
    a common framework. (Closes: #571609)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 Apr 2010 18:01:17 +0300

kdebase-workspace (4:4.4.2-0ubuntu14) lucid; urgency=low

  * Update kubuntu_101_brightness_fn_keys_and_osd.diff from Felix Geyer,
    closes LP: #564433 'Plasma crash at KDE logout'

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Apr 2010 13:17:36 +0200

kdebase-workspace (4:4.4.2-0ubuntu13) lucid; urgency=low

  * Bump conflicts/replaces versions from 4.3.3 to 4.3.80 to allow for safe
    upgrade from Karmic with updates from backports

 -- Scott Kitterman <scott@kitterman.com>  Mon, 12 Apr 2010 00:04:25 -0400

kdebase-workspace (4:4.4.2-0ubuntu12) lucid; urgency=low

  [ Jonathan Thomas ]
  * Add CVE-2010-0436_fix_kdm_local_exploit.diff from upstream to fix a local
    KDM vulnerability (LP: #562440)

  [ Felix Geyer ]
  * Add kubuntu_119_powerdevil_fix_suspend_twice.diff, fixes PowerDevil
    suspending twice when system is idle.
    http://bugs.kde.org/221637
  * Add kubuntu_120_powerdevil_reset_status_after_idle.diff, fixes PowerDevil
    only suspending once per session.
    http://bugs.kde.org/221648

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 13 Apr 2010 13:44:39 -0400

kdebase-workspace (4:4.4.2-0ubuntu11) lucid; urgency=low

  [ Harald Sitter ]
  * Add kubuntu_04_fix_kickoff_model_loading.diff by Felix Geyer to fix
    Kickoff's model loading, which caused stuff to randomly disappear from
    the computer tab (also see KDE Bug 232901)

  [ Jonathan Riddell ]
  * Add kubuntu_119_krandrtray_radio_menu_items.diff from Aurelien
    Gateau, backport from trunk, use radio buttons in krandrtray, fixes
    support with dbusmenu
  * Update kubuntu_101_brightness_fn_keys_and_osd.diff with newer patch
    by Felix Geyer
    http://article.gmane.org/gmane.comp.kde.devel.core/64489

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Apr 2010 15:07:31 +0100

kdebase-workspace (4:4.4.2-0ubuntu10) lucid; urgency=low

  [ Brandon Holtsclaw ]
  * Added kubuntu_118_netbook_activitybar.diff from Felix Geyer to allow
    the activity bar applet to shrink below intended size (LP: #540324)

  [ Scott Kitterman ]
  * Update debian/copyright from Debian (Thanks to Ferdinand Thommes)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 12 Apr 2010 00:04:25 -0400

kdebase-workspace (4:4.4.2-0ubuntu9) lucid; urgency=low

  * added kubuntu_117_randr_fix_revert.diff to address
    http://bugs.kde.org/222110 and http://bugs.kde.org/180047 (LP: #554948)

 -- Brandon Holtsclaw <imbrandon@ubuntu.com>  Sun, 11 Apr 2010 03:22:28 -0500

kdebase-workspace (4:4.4.2-0ubuntu8) lucid; urgency=low

  [ Scott Kitterman ]
  * Add systemsettings replaces kde-systemsettings for Hardy upgrades where
    Ubuntu and Kubuntu are both installed
  * Add klipper replaces klipper-kde4 for Hardy upgrades
  * Add kdm replaces kdm-kde4 for Hardy upgrades

  [ Harald Sitter ]
  * Add kubuntu_03_kickoff_configchanged.diff to add a simplified configChanged
    interface to kickoff, so that we can temper with it's config via scripts.
    As done in kubuntu-default-settings for LP: #559725

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 10 Apr 2010 12:08:54 +0200

kdebase-workspace (4:4.4.2-0ubuntu7) lucid; urgency=low

  [ Harald Sitter ]
  * Dont hide klipper from menu, otherwise users will find it diffcult to
    get it back if accidently the autostart was turned off.
  * Drop kubuntu_71_default_plasma_layout.diff in favor of plasma-desktop
    init script in kubuntu-default-settings
  * Add kubuntu_01_fix_dateandtimekcm.diff from upstream to fix a whole
    set of funny bugs in the date&time KCM, amongst them LP: #367164
  * Add kubuntu_02_screensaver_restricted_install.diff to recommend installation
    of kscreensaver package via k-n-h (LP: #273667)

  [ Jonathan Thomas ]
  * Add kubuntu_112_kdm_multiscreen_fix.diff, backported from upstream's 4.4
    branch. Can be dropped in 4.4.3.
  * Add kubuntu_113_kmenuedit_folder_move_fix.diff, a backport of two off-by
    one error fixes that makes moving folders in kmenuedit actually work
  * Add kubuntu_114_respect_screensaver_settings.diff from the upstraem 4.4
    branch that only enables the screensaver if it is enabled in the settings
  * Add kubuntu_115_read_compositing_settings.diff. Backport of kde svn
    revision 1109537. Fixes a crash when compositing is forced in the
    environment variables
  * Add kubuntu_116_oxygen_cursor_fix, a backport of several commits in
    B.K.O 231844. Prevents the cursor from turning into a vertical resize
    cursor after you move a window. Can be removed in 4.4.3.

  [ Jonathan Riddell ]
  * Update kubuntu_98_dbusmenu.diff from Aurelien Gateau (LP: #553685)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Apr 2010 15:50:34 +0100

kdebase-workspace (4:4.4.2-0ubuntu6) lucid; urgency=low

  [ Jonathan Riddell ]
  * Add back and update kubuntu_12_kubuntu_homepage.diff to link to kubuntu.org
    (LP: #553530)

  [ Steve Langasek ]
  * Make the upstart job handle plymouth teardown in the text / single-user
    boot cases, finishing up kdm's support for a smooth plymouth transition.
    LP: #540177.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Apr 2010 15:13:23 -0700

kdebase-workspace (4:4.4.2-0ubuntu5) lucid; urgency=low

  * Restore changes from the 4:4.4.1-0ubuntu7 upload that were inadvertently
    dropped when 4.4.2-0ubuntu1 was uploaded, refix LP: #540177

 -- Scott Kitterman <scott@kitterman.com>  Thu, 01 Apr 2010 00:46:04 -0400

kdebase-workspace (4:4.4.2-0ubuntu4) lucid; urgency=low

  * Fix kubuntu_106_netbook_layout.diff so it applies with -p1

 -- Scott Kitterman <scott@kitterman.com>  Wed, 31 Mar 2010 22:19:26 -0400

kdebase-workspace (4:4.4.2-0ubuntu3) lucid; urgency=low

  [ Scott Kitterman ]
  * Add debian/patches/kubuntu_111_netbook_f4_fix.diff so that F4 does not
    close the plasma workspace (LP: #551334)

  [ Jonathan Riddell ]
  * Update kubuntu_105_netbook_favourites.diff to add oem-config-
    prepare-kde icon for OEM installs, closes LP: #386099
  * Update kubuntu_106_netbook_layout.diff to force search page to be
    shown first, LP: #540194

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 31 Mar 2010 21:39:17 +0100

kdebase-workspace (4:4.4.2-0ubuntu2) lucid; urgency=low

  * Actually add debian/patches/kubuntu_110_fix_appswitch.diff this time

 -- Scott Kitterman <scott@kitterman.com>  Tue, 30 Mar 2010 23:13:33 -0400

kdebase-workspace (4:4.4.2-0ubuntu1) lucid; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Bump build-depends
    - Sync 08_genkdmconf.diff with Debian
    - Update kdebase-workspace-data.install
    - Update kdebase-workspace-dev.install

  [ Jonathan Riddell ]
  * Update kubuntu_98_dbusmenu.diff from Aurelien Gateau

  [ Scott Kitterman ]
  * Drop debian/patches/kubuntu_108_netbook_app_focus.diff, incorporated
    upstream
  * Add debian/patches/kubuntu_110_fix_appswitch.diff to set the netbook app
    switcher to a fixed size so the entire panel doesn't jump around

 -- Scott Kitterman <scott@kitterman.com>  Mon, 29 Mar 2010 23:02:00 -0400

kdebase-workspace (4:4.4.1-0ubuntu7) lucid; urgency=low

  * Replace "-br" with "-nr" in 07_kdmrc_defaults_kubuntu.diff so that
    if possible, we prevent the xserver from clearing the screen which
    should still have the bootplash on.
  * Remove kubuntu_33_kdm_bulletproof_x.diff, obsoleted by
    kubuntu_34_kdm_plymouth_transition.diff.
  * Remove kubuntu_104_kdm_active_vt_plymouth.diff, obsoleted by
    kubuntu_34_kdm_plymouth_transition.diff.
  * Add kubuntu_34_kdm_plymouth_transition.diff which allows a smooth
    transition from Plymouth's bootsplash and integrates support for
    failsafe X (LP: #540177).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 26 Mar 2010 16:45:03 +0100

kdebase-workspace (4:4.4.1-0ubuntu6) lucid; urgency=low

  [ Scott Kitterman ]
  * Add debian/patches/kubuntu_108_netbook_app_focus.diff so after an
    application switch on netbook, the application gets focus and the panel
    correctly autohides (LP: #541550)
    - Already backported upstream for 4.4.2, so this patch can be dropped when
      the next new upstream is packaged
  * Split libplasmagenericshell out from kdebase-workspace-bin (should have
    been split out from the beginning)
    - Aligns to Debian (doing it now avoids the need for two years of
      conflicts/replaces)
    - Drop libplasmagenericshell symlink for kdebase-workspace-dev and drop
      kdebase-workspace-bin from kdebase-workspace-dev depends

  [ Jonathan Thomas ]
  * Add kubuntu_109_ksplash_netbook.diff to prevent kplash from going away
    before plasma-netbook's done loading (LP: #539627)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 19 Mar 2010 14:04:57 -0400

kdebase-workspace (4:4.4.1-0ubuntu5) lucid; urgency=low

  [ Jonathan Thomas ]
  * Remove kubuntu_97_jaunty_upgrade.diff, no longer needed since the jaunty
    upgrade script was removed

  [ Jonathan Riddell ]
  * Bump version on kdebase-workspace-data replaces kdebase-runtime-data,
    closes LP: #538522

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 12 Mar 2010 11:26:32 -0500

kdebase-workspace (4:4.4.1-0ubuntu4) lucid; urgency=low

  * Add kubuntu_107_intel_compositing_fix.diff intel version strings
    seems to have changed format so just ignore it, closes LP: #528645
    'Desktop effects not enabled by default'

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 11 Mar 2010 00:25:10 +0000

kdebase-workspace (4:4.4.1-0ubuntu3) lucid; urgency=low

  * Add kubuntu_106_netbook_layout.diff to set 'search and launch' as
    default page on netbook as in trunk, and add logout button to panel

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Mar 2010 23:10:30 +0000

kdebase-workspace (4:4.4.1-0ubuntu2) lucid; urgency=low

  * Update kubuntu_98_dbusmenu.diff with kdebase-workspace-4.4.1-
    20100309.diff from http://people.canonical.com/~agateau/dbusmenu/
  * Build-dep on libdbusmenu-qt-dev (>= 0.3.0)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Mar 2010 12:57:06 +0000

kdebase-workspace (4:4.4.1-0ubuntu1) lucid; urgency=low

  [  Alessandro Ghersi ]
  * New upstream release
    - Bump build-depends
    - Drop kubuntu_104_kscreensaver_lock.diff fixed by upstream
    - Update kdebase-workspace-data.install
    - Update kdebase-workspace-dev.install
    Fixes LP: #525630

  [ Jonathan Riddell ]
  * Remove network-manager-update/zz-plasma-remove-network-manager.py,
    not needed for lucid

  [ Jonathan Thomas ]
  * Make plasma-scriptengine-ruby depends on libplasma-ruby (LP: #527735)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Feb 2010 02:17:59 +0100

kdebase-workspace (4:4.4.0-0ubuntu4) lucid; urgency=low

  * Add kubuntu_105_netbook_favourites.diff, fixes plasma-netbook
    favourites and shows ubiquity if running from live CD

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 16 Feb 2010 16:02:40 +0000

kdebase-workspace (4:4.4.0-0ubuntu3) lucid; urgency=low

  [ Jonathan Thomas ]
  * kdebase-workspace-bin should depend on policykit-1 now, not policykit

  [ Andreas Wenning ]
  * Bump klipper replaces on kdebase-workspace-data.

  [ Harald Sitter ]
  * Do not automagically stop or start or anything kdm (set in rules via
    DEB_DH_INSTALLINIT_ARGS)

  [ Jonathan Riddell ]
  * Add kubuntu_104_kscreensaver_lock.diff, closes
    https://bugs.kde.org/217882 'Desktop locking crashs after resume'

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 14 Feb 2010 15:58:07 +0000

kdebase-workspace (4:4.4.0-0ubuntu2) lucid; urgency=low

  [ Jonathan Thomas ]
  * Remove old PolicyKit depends. Everything depends on Polkit-1 now, making
    the systemsettings module useless and confusing.

  [ Roman Shtylman ]
  * Update ethais.xml, stop rectangle being shown on multiple monitors

  [ Jonathan Riddell ]
  * Update kubuntu_98_dbusmenu.diff from Aurelien Gateau

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 09 Feb 2010 22:49:07 -0500

kdebase-workspace (4:4.4.0-0ubuntu1) lucid; urgency=low

  [ Christian Mangold ]
  * New upstream release
    - Bump build-depend versions
  * Add #DEBHELPER# to kdm.postinst and kdm.prerm 
    to prevent lintian warnings
  * Update kdebase-workspace-dev.install

  [ Harald Sitter ]
  * Make -wallpapers conflict kdm and -data << 4.3.98-0ubuntu2 due to file
    movements done in this particular revision (LP: #517432)
  * Remove remaining old pre-depends on dpkg version from -wallpapers package

  [ Jonathan Riddell ]
  * Update debian/rules for new KDM theme

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 05 Feb 2010 13:38:39 +0100

kdebase-workspace (4:4.3.98-0ubuntu3) lucid; urgency=low

  * Update kubuntu_98_dbusmenu.diff for new libdbusmenu-qt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Feb 2010 18:09:47 +0000

kdebase-workspace (4:4.3.98-0ubuntu2) lucid; urgency=low

  * Move all but one wallpaper to kdebase-workspace-wallpapers
  * Don't install wallpapers for kdm or ksplash, add links instead
  * Add Ethias theme for KDM, approved by upstream
   - debian/kdm-ethais-theme/ethais.tar.gz.uu
   - build-dep on sharutils
   - Add uudecode, untar and install code in debian/rules
   - Add kubuntu_103_kdm_theme.diff to change default theme
  * Add kubuntu_104_kdm_active_vt_plymouth.diff from
    https://bugs.kde.org/206089, "kdm to use active vt when using
    plymouth"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Feb 2010 19:21:51 +0000

kdebase-workspace (4:4.3.98-0ubuntu1) lucid; urgency=low

  [ Christian Mangold ]
  * New upstream release candidate
    - Bump build dep versions
    - Update install files:
      - kdebase-workspace-data.install
      - plasma-netbook.install
      - ksysguard.install
      - libksignalplotter4.install
      - kdebase-workspace-bin.install

  [ Jonathan Riddell ]
  * Update kubuntu_102_plasma_netbook_no_autostart.diff to install
    plasma-netbook.desktop
  * Sync kdm.upstart with gdm.upstart

  [ Alessandro Ghersi ]
  * Bump Qt version to 4.6.1

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Feb 2010 01:05:39 +0000

kdebase-workspace (4:4.3.95-0ubuntu2) lucid; urgency=low

  * Add kubuntu_102_plasma_netbook_no_autostart.diff so netbook
    can be installed but not autostarted without selection
  * Remove kubuntu_91_plasma_autostart_condition.desktop
  * plasma-scriptengine-ruby depends on libkde4-ruby

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 27 Jan 2010 13:29:01 +0000

kdebase-workspace (4:4.3.95-0ubuntu1) lucid; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Bump build-depend versions
    - Update kdebase-workspace-wallpapers.install, kdm.install

  [ Scott Kitterman ]
  * Add kdebase-workspace-bin to kdebase-workspace-dev depends so that
    plasmagenericshell.so symlinks aren't dangling

  [ Jonathan Riddell ]
  * Put Ethais wallpaper into kdebase-workspace-data and more Quadros out, upstream
    changed the default

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 20 Jan 2010 11:17:20 +0100

kdebase-workspace (4:4.3.90-0ubuntu3) lucid; urgency=low

  [ Jonathan Riddell ]
  * Update kubuntu_98_dbusmenu.diff from aurelien.gateau@canonical.com

  [ Jonathan Thomas ]
  * Remove kubuntu_96_pre_kdm_xsplash.diff, obsoleted by Plymouth
    (LP: #476924)
  * Edit kubuntu_71_default_plasma_layout.diff:
    - Remove double systray
    - Experiment with putting the pager back where upstream had it
    - Comment out the NetworkManager plasmoid stuff again. The tray applet
      is back in the seed and we'll probably look into a scripting solution
      by the time the plasmoid is ready.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 13 Jan 2010 14:13:03 +0000

kdebase-workspace (4:4.3.90-0ubuntu2) lucid; urgency=low

  [ Jonathan Riddell ]
  * Add kubuntu_98_dbusmenu.diff from aurelien.gateau@canonical.com
  * Add build-dep on libdbusmenu-qt-dev

  [ Scott Kitterman ]
  * debian/kdm.upstart:
    - Make sure dbus is started before kdm (fix from gdm upstart script)

  [ Daniel T Chen ]
  * debian/kdm.upstart:
    - hal is gone, so remove its dependency (LP: #505627)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 06 Jan 2010 20:06:25 -0500

kdebase-workspace (4:4.3.90-0ubuntu1) lucid; urgency=low

  [ Jonathan Thomas ]
  * New upstream release candidate:
    - Bump build-depend versions
  * Replace and conflict the old kwin-style-aurorae package (LP: #499402)
  * Refresh all patches
  * Update kdebase-workspace-dev.install and kdebase-workspace-bin.install

  [ Jonathan Riddell ]
  * Switch to using libsensors4-dev
  * Add new libksignalplotter4 package

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 06 Jan 2010 20:06:25 -0500

kdebase-workspace (4:4.3.85-0ubuntu1) lucid; urgency=low

  [ Michał Zając ]
  * New upstream beta release
  * Bump on build-depends
  * Changed kubuntu_101_brightness_fn_keys_and_osd.diff because it didn't
    apply correctly
  * Removed kubuntu_102_armel_temp_build_fix.diff. Went upstream
  * Modifiaction in install files

  [ Jonathan Thomas ]
  * Update kubuntu_71_default_layout.diff; the systray has a battery
    plasmoid by default. Also re-enable the networkmangement plasmoid
    now that it is installed by default. (Should revert if not ready by
    Kubuntu 10.04)

 -- Michał Zając <michal.zajac@gmail.com>  Sat, 19 Dec 2009 14:30:47 +0100

kdebase-workspace (4:4.3.80-0ubuntu4) lucid; urgency=low

  * In kdebase-workspace-bin bump kdebase-workspace-data to 4:4.3.80
  * In kde-window-manager bump kdebase-workspace-data to 4:4.3.80

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 15 Dec 2009 00:56:53 +0100

kdebase-workspace (4:4.3.80-0ubuntu3) lucid; urgency=low

  [ Jonathan Riddell ]
  * Update kubuntu_102_armel_temp_build_fix.diff

  [ Jonathan Thomas ]
  * Remove build-depend on libknotificationitem-dev; the library got
    renamed/moved to KStatusNotifier inside of kdelibs for 4.4.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 14 Dec 2009 10:57:13 -0500

kdebase-workspace (4:4.3.80-0ubuntu2) lucid; urgency=low

  [ Jonathan Riddell ]
  * Refresh kubuntu_101_brightness_fn_keys_and_osd.diff from debfx
  * Remove kubuntu_60_low_disk_space.diff, now a separate package

  [ Alessandro Ghersi ]
  * kdebase-workspace-dev replaces systemsettings (<< 4:4.3.80)
  * plasma-desktop package, conflicts/replaces plasma-widget-windowlist
  * In plasma-widgets-workspace bump kdebase-workspace-bin conflicts/replaces

  [ Scott Kitterman ]
  * Add kdebase-workspace depends plasma-desktop | plasma-netbook since one of
    them is definitely needed
  * Add debian/patches/kubuntu_102_armel_temp_build_fix.diff to support build
    on armel
    - Upstream already, can be dropped on the next upstream update

 -- Scott Kitterman <scott@kitterman.com>  Sat, 12 Dec 2009 22:53:29 -0500

kdebase-workspace (4:4.3.80-0ubuntu1) lucid; urgency=low

  * New upstream beta release:
    - Bump version of KDE build-deps to 4.3.80
    - Add new binary package for plasma-netbook (previously a separate source)
    - Drop libnepomukquery4 and libnepomukqueryclient4 packages (moved to
      kdebase-runtime and kde4libs)
    - Add shared-desktop-ontologies to build-depends
    - kdebase-workspace-dbg conflict/replace plasma-netbook-dbg
    - kdebase-workspace-dbg to section debug
  * Update patches:
    - Update and refresh kubuntu_11_fix_root_only_kcms.diff,
      kubuntu_71_default_plasma_layout.diff, and
      kubuntu_96_pre_kdm_xsplash.diff
    - Update and refresh kubuntu_19_always_show_kickoff_subtext.diff,
      kubuntu_61_suspend_buttons.diff, kubuntu_71_default_plasma_layout.diff,
      kubuntu_80_fix_includes.diff,
      kubuntu_91_plasma_autostart_condition.desktop, and
      kubuntu_93_fix_username_icon_alignment.diff for new file locations
    - Remove 24_do_not_search_for_libeet.diff,
      25_task.h_forward_decl_netwininfo.diff, kubuntu_61_suspend_buttons.diff,
      all kubuntu_8*_fdo_notifications.diff, kubuntu_88_abort_string.diff,
      kubuntu_95_klipper_wakeup_fix.diff, and powerdevil-suspend-dialogue/
      0002-Increase-WaitBeforeSuspendingTime-from-10-to-30-secon.diff (all
      incorporated upstream
    - Remove ayatana-notifications/* patches, dropped by the Ayatana project
      for this LTS release, may reappear as a separate package or Lucid +1
    - Disable kubuntu_101_brightness_fn_keys_and_osd.diff for this upload as
      needs additional investigation
    - Refresh all remaining patches
  * Bump so version to 4.4.0 for all so files in *.install
  * kdebase-workspace-data.install:
    - Remove usr/share/doc/kde/HTML/en/kcontrol/energy/* (dropped upstream)
    - Add usr/share/doc/kde/HTML/en/kcontrol/desktop/*,
      usr/share/doc/kde/HTML/en/kcontrol/kwinscreenedges/*,
      usr/share/doc/kde/HTML/en/kcontrol/kwintabbox/*,
      usr/share/doc/kde/HTML/en/kcontrol/solid-hardware/, and
      usr/share/doc/kde/HTML/en/kcontrol/workspaceoptions/
    - Add etc/dbus-1/system.d/org.kde.fontinst.conf,
      etc/dbus-1/system.d/org.kde.kcontrol.kcmclock.conf,
      usr/share/dbus-1/services/org.kde.fontinst.service,
      usr/share/dbus-1/system-services/org.kde.fontinst.service,
      usr/share/PolicyKit/policy/org.kde.fontinst.policy,
      usr/share/dbus-1/system-services/org.kde.kcontrol.kcmclock.service, and
      usr/share/PolicyKit/policy/org.kde.kcontrol.kcmclock.policy
    - Add
      usr/share/kde4/apps/solid/devices/solid-device-SmartCardReader.desktop
    - Add usr/share/kde4/apps/color-schemes/OxygenCold.colors
    - Add usr/share/kde4/apps/katepart/syntax/plasma-desktop-js.xml
    - Add usr/share/kde4/apps/kscreenlocker/kscreenlocker.notifyrc
    - Add python to depends since it ships a python script
  * kdebase-workspace-bin.install:
    - Remove usr/lib/kde4/kcm_energy.so and
      usr/share/kde4/services/energy.desktop (dropped upstream)
    - Remove usr/lib/kde4/kded_notificationitemwatcher.so and
      usr/share/kde4/services/kded/notificationitemwatcher.desktop (dropped
      upstream)
    - Remove usr/lib/kde4/libexec/kio_fonts_helper (dropped upstream)
    - Add new usr/lib/libplasmagenericshell.so.4/4.4.0
    - Add new usr/lib/kde4/plasma_containmentactions*.so and
      usr/share/kde4/services/plasma-containmentactions-*.desktop
    - Add new usr/lib/kde4/kcm_krunner_kill.so, usr/lib/kde4/krunner_kill.so,
      usr/share/kde4/services/plasma-runner-kill.desktop, and
      usr/share/kde4/services/plasma-runner-kill_config.desktop
    - Add usr/lib/kde4/krunner_solid.so,
      usr/share/kde4/services/plasma-runner-solid.desktop,
      usr/share/kde4/services/solidbackends/solid_lirc.desktop,
      usr/share/kde4/servicetypes/solid-device-type.desktop, and
      usr/share/kde4/servicetypes/solidremotecontrolmanager.desktop
    - Add new usr/lib/kde4/libexec/fontinst and
      usr/lib/kde4/libexec/fontinst_x11
    - Add usr/lib/kde4/solid_lirc.so
    - Add usr/lib/kde4/kded_randrmonitor.so,
      usr/lib/kde4/kded_statusnotifierwatcher.so,
      usr/share/kde4/services/kded/randrmonitor.desktop, and
      usr/share/kde4/services/kded/statusnotifierwatcher.desktop
    - Add usr/lib/kde4/krunner_windows.so and
      usr/share/kde4/services/plasma-runner-windows.desktop
    - Add usr/lib/kde4/kcm_remotewidgets.so and
      usr/share/kde4/services/remotewidgets.desktop
    - Add usr/lib/kde4/kcm_workspaceoptions.so and
      usr/share/kde4/services/workspaceoptions.desktop
    - Add usr/lib/qt4/plugins/gui_platform/libkde.so
  * kdebase-workspace-dev.install:
    - Remove usr/lib/libnepomukquery.so, usr/lib/libnepomukqueryclient.so,
      and usr/include/nepomuk/* (dropped upstream)
    - Add header files for remotecontrol
    - Add usr/lib/libplasmagenericshell.so
    - Add usr/lib/libsystemsettingsview.so
    - Comment out FindPolkitQt.cmake since the upstream CMakeLists.txt does
      not install it, but the file is still present in the source
  * kdebase-workspace-libs4+5:
    - Drop depends on libnepomukquery4 and libnepomukqueryclient4 (no longer
      in workspace)
  * ksysguard.install:
    - Remove usr/bin/setscheduler (dropped upstream)
    - Add etc/dbus-1/system.d/org.kde.ksysguard.processlisthelper.conf,
      .../dbus-1/system-services/org.kde.ksysguard.processlisthelper.service,
      and .../PolicyKit/policy/org.kde.ksysguard.processlisthelper.policy
    - Add usr/share/kde4/apps/ksysguard/scripts/README
    - Add usr/lib/kde4/libexec/ksysguardprocesslist_helper
  * kde-window-manager.install:
    - Remove usr/lib/kde4/kwin3_ozone.so, usr/lib/kde4/kwin_ozone_config.so,
      and usr/share/kde4/apps/kwin/ozoneclient.desktop (dropped upstream)
    - Add usr/lib/kde4/kwin3_aurorae.so, usr/lib/kde4/kwin_aurorae_config.so,
      usr/share/kde4/apps/aurorae/themes/*,
      usr/share/kde4/apps/kwin/aurorae.desktop, and
      usr/share/kde4/config/aurorae.knsrc
    - Add usr/lib/kde4/kwin_tabstrip_config.so,
      usr/lib/kde4/kwin3_tabstrip.so, usr/lib/kde4/kcm_kwintabbox.so,
      usr/share/kde4/apps/kwin/DefaultTabBoxLayouts.xml, and
      usr/share/kde4/services/kwintabbox.desktop
    - Add usr/share/kde4/services/kwin/resize.desktop, and
      usr/share/kde4/services/kwin/slidingpopups.desktop
  * plasma-dataengines-workspace.install:
    - Add usr/lib/kde4/plasma_engine_apps.so,
      usr/share/kde4/services/plasma-dataengine-apps.desktop,
      usr/share/kde4/apps/plasma/services/apps.operations,
      usr/lib/kde4/ion_wettercom.so, and
      usr/share/kde4/services/ion-wettercom.desktop
  * plasma-scriptengine-python:
    - Add usr/share/kde4/apps/plasma_scriptengine_python/pydataengine.py,
      usr/share/kde4/apps/plasma_scriptengine_python/pyrunner.py,
      usr/share/kde4/services/plasma-scriptengine-runner-python.desktop, and
      usr/share/kde4/services/plasma-scriptengine-wallpaper-python.desktop
  * systemsettings.install:
    - Add usr/lib/libsystemsettingsview.so.1,
      usr/share/kde4/apps/systemsettings/systemsettings.kcfg, and
      usr/share/kde4/servicetypes/systemsettingsexternalapp.desktop
  * Split out plasma-desktop from kdebase-workspace-bin and
    plasma-widgets-workspace
  * Switch to boost 1.40
  * Updated not-installed for Python changes
    - Added new files
    - Dropped Python 2.5 related files since it's not a supported version in
      Lucid

 -- Scott Kitterman <scott@kitterman.com>  Tue, 01 Dec 2009 21:30:20 -0500

kdebase-workspace (4:4.3.4-5) unstable; urgency=high

  [ Pino Toscano ]
  * Remove libxxf86misc-dev from Build-Depends. (Closes: #559691)
  * Rebuilding should fix all the issues due to the recent BIC changes in the
    new google-gadgets. (Closes: #564825, #569768, #571077)
  * Set high as urgency for the RC bugfixes above.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 27 Feb 2010 00:14:13 +0100

kdebase-workspace (4:4.3.4-4) unstable; urgency=low

  * Backport r1069849 in order to fix crash with hal 0.5.14 (yet another
    attempt). Merged into patch 90_work_with_hal_0.5.14_svn_r1062504.diff
    (Closes: #556468).

 -- Modestas Vainius <modax@debian.org>  Wed, 06 Jan 2010 20:11:33 +0200

kdebase-workspace (4:4.3.4-3) unstable; urgency=high

  * Backport parts of r1035622/r1057980 to fix
    90_work_with_hal_0.5.14_svn_r1062504.diff (Closes: #556468).

 -- Xavier Vello <xavier.vello@gmail.com>  Sat, 26 Dec 2009 17:22:05 +0100

kdebase-workspace (4:4.3.4-2) unstable; urgency=high

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.

  [ Xavier Vello ]
  * Import r1062504 patch to solid to make powerdevil applet work
    with hal 0.5.14 (Closes: #561724)

  [ Sune Vuorela ]
  * Urgency=high because of frequent crash fix

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 23 Dec 2009 00:19:07 +0100

kdebase-workspace (4:4.3.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Lukasz Janyst:

  * Bump build depends.
  * Update patches/09_genkdm_make.diff - 1 line offset

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.
  * Replace kcontrol -> System Settings in libkfontinst4 description.
  * Add a few missing end of line dots in descriptions.

  +++ Changes by Modestas Vainius:

  * Update install files.
  * Make geolocation plugin build against version 2.90 of the gpsd library API.
    Patch 27_geolocation_gpsd_2.90_compat.diff. Also bump build depends to this
    version of the library.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:06 +0200

kdebase-workspace (4:4.3.3-0ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:46:59 +0000

kdebase-workspace (4:4.3.3-0ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Nov 2009 08:59:53 +0000

kdebase-workspace (4:4.3.3-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump version of KDE build-deps to 4.3.3
  * Drop patches fixed by upstream:
    - kubuntu_99_fix_kdm_settings.diff
    - kubuntu_98_smaller_systemsettings_window.diff
    - kubuntu_100_fix_systray_crash_without_render.diff

  * Merge with Debian testing, remaining changes:
    - Add kcheckpass.pam and kscreensaver.pam (LP: #278842)
    - Add kdebase-workspace-bin.preinst for hardy x-session-manager
    - Keep update for existing S99kdm (from previous 4:4.x) or S13kdm (from
      KDE 3 installations) to S30kdm in kdm.postinst and change following
      update-rc.d from 99 to 30
    - Add debian/network-manager-update scripts to remove network manager
      plasmoid from plasma on upgrade to karmic
    - Add kdebase-workspace-wallpapers.install
    - Docs path is usr/share/doc/kde/HTML
    - Add kdm.upstart
    * debian/control:
      - Don't build against libdevstat-dev and libutempter-dev not in archive
      - Don't build against libgps-dev which is in Universe
      - Don't build against libggadget-1.0-dev, libggadget-qt-1.0-dev are in
        Universe
      - Don't build plasma-scriptengine-googlegadgets
      - Build on libboost1.38-dev
      - Make kdebase-workspace-bin recommends plasma-scriptengines a Suggests
      - Keep dummy kwin package and fix various conflicts/replaces kwin
      - Keep our conflicts/replaces
      - Do not depend on oxygencurors
      - Keep kdebase-workspace-wallpapers package
    * debian/patches:
      - 07_kdmrc_defaults.diff edited and renamed
        07_kdmrc_defaults_kubuntu.diff
      - Disable #12_be_better_at_honouring_user_kdm_theming.diff
      - Disable 20_use_dejavu_as_default_font.diff Kubuntu - system default
        better
      - Disable 22_execute_ktrash4.diff    Kubuntu - we don't rename
      - Disable 26_run_kaboom_when_starting_kde.diff  Kubuntu - already done
      - Disable #97_fix_target_link_libraries.diff
    - Add patches:
      - kubuntu_11_fix_root_only_kcms.diff, allow systemsettings modules to
        use root
      - kubuntu_13_startkde_set_country.diff, set locale on startup if not
        already set by KDE
      - kubuntu_19_always_show_kickoff_subtext.diff, show name text on kickoff
        menu for all items
      - kubuntu_33_kdm_bulletproof_x.diff, use bulletproof X when X fails
      - kubuntu_52_gtk2_engines_qtcurve_config.diff, use qtcurve for gtk
      - kubuntu_60_low_disk_space.diff, low disk space notifier from suse
      - kubuntu_61_suspend_buttons.diff, use consistent text, sent upstream
      - kubuntu_63_ksplash_fix.diff, from trunk
      - kubuntu_71_default_plasma_layout.diff add default widgets to plasma
      - kubuntu_72_remove_startkde_cruft.diff, from trunk
      - kubuntu_80_fix_includes.diff
      - kubuntu_81_fdo_notifications.diff
      - kubuntu_82_fdo_notifications.diff
      - kubuntu_83_fdo_notifications.diff
      - kubuntu_84_fdo_notifications.diff
      - kubuntu_85_fdo_notifications.diff
      - kubuntu_86_fdo_notifications.diff
      - kubuntu_87_fdo_notifications.diff
      - kubuntu_88_abort_string.diff
      - kubuntu_91_plasma_autostart_condition.desktop
      - kubuntu_93_fix_username_icon_alignment.diff
      - kubuntu_94_netbook_runner.diff
      - kubuntu_95_klipper_wakeup_fix.diff
      - kubuntu_96_pre_kdm_xsplash.diff
      - kubuntu_97_jaunty_upgrade.diff
    - Add patches/ayatana-notifications/*
    - Add patches/powerdevil-suspend-dialogue/*
    * debian/kdebase-workspace-bin.install
      - Add usr/bin/kwrited since we haven't libutempter-dev in build-dep to
        build kwrited as a kded module.
      - Install files for free space notifier
    * debian/kdebase-workspace-data.installation
      - Don't add wallpapers, we have kdebase-workspace-wallpapers package
      - Add susefreespacenotifier.desktop
    * debian/kdm.install:
      - Don't install default_blue data for KDM
    * debian/kdm.logrotate:
      - Change kdm.logrotate to only rotate 2 times instead of 7 times. This
        means logrotate will only keep 2 days worth of logs, which should be
        enough
    * debian/klipper.install:
      - Don't install klipper.desktop so it stays hidden

  [ Scott Kitterman ]
  * Add python-kde4 (>= 4:4.3.0) to kdebase-workspace-data depends since it
    ships python scripts (LP: #446180)
  * Update kdebase-workspace-data description to reflect the fact that it
    also ships architecture all scripts


 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 09 Nov 2009 03:10:00 +0100

kdebase-workspace (4:4.3.2-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Don't hack in a Debian in a user oriented string that normally is
    translated upstream, but with that patch not translated at all.

  +++ Changes by Karl Ferdinand Ebert:

  * Add source.lintian-overrides to ignore lintian warning about missing
    debug depends.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Switch from libxklavier12-dev to libxklavier-dev.
  * Update kdebase-workspace-dbg's Section to debug.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 22 Oct 2009 08:21:04 +0200

kdebase-workspace (4:4.3.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Use DEB_HOST_ARCH_OS rather than DEB_BUILD_ARCH_OS in debian/rules

  +++ Changes by Armin Berres:

  * Start kdm after and stop it before kbd. Thanks to Michael Schutte
    for the patch. (Closes: #548103)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 06 Oct 2009 17:51:17 +0200

kdebase-workspace (4:4.3.2-0ubuntu7) karmic; urgency=low

  * Update kubuntu_101_brightness_fn_keys_and_osd.diff to use the same OSD as
    kmix (LP: #458963):
    - Reverts the addition of an untranslated string
    - Reduces U/I impact of this late change
    - Updated patch thanks to Felix Geyer

 -- Scott Kitterman <scott@kitterman.com>  Thu, 22 Oct 2009 18:09:50 -0400

kdebase-workspace (4:4.3.2-0ubuntu6) karmic; urgency=low

  * Add kubuntu_101_brightness_fn_keys_and_osd.diff to enable brightness
    Fn keys when they aren't handled by the hardware and add an OSD
    for brightness changes

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 17 Oct 2009 13:19:34 +0200

kdebase-workspace (4:4.3.2-0ubuntu5) karmic; urgency=low

  * Run dh_pysupport on arch independent packages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Oct 2009 15:57:33 +0100

kdebase-workspace (4:4.3.2-0ubuntu4) karmic; urgency=low

  * Add kubuntu_100_fix_systray_crash_without_render.diff from upstream
    to fix a plasma crash when the XRENDER extension is unavailable. Can be
    dropped in KDE 4.4. (B.K.O. #209271, LP: #397374)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 14 Oct 2009 22:50:36 -0400

kdebase-workspace (4:4.3.2-0ubuntu3) karmic; urgency=low

  * debian/kdm.upstart: copy latest improvements from gdm
    - Also stop when entering single-user mode (LP: #437281)
    - Wait for tty7 to be ready, and either a framebuffer or the end
      of coldplugging.

 -- Luka Renko <lure@ubuntu.com>  Wed, 14 Oct 2009 21:02:52 +0200

kdebase-workspace (4:4.3.2-0ubuntu2) karmic; urgency=low

  [ Jonathan Riddell ]
  * Rebuild for Sip 4.9
  * Enable python-support, needed now that python-qt4 and python-kde4
    use it

  [ Jonathan Thomas ]
  * Add kubuntu_98_smaller_systemsettings_window.diff, backported from 4.3
    branch to make the default System Settings window size smaller. Can be
    removed in KDE 4.3.3. (B.K.O. #209867)
  * Add kubuntu_99_fix_kdm_settings.diff, backported from 4.3 branch. Makes
    kdm GUI settings actually work (e.g. kdm always uses plastique). Can be
    removed in KDE 4.3.3. (B.K.O. #182870)
  * Bump build-depends on kdelibs5-dev for kubuntu_99, can be reverted next
    merge with Debian or so I'd say.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Oct 2009 02:40:52 +0100

kdebase-workspace (4:4.3.2-0ubuntu1) karmic; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Update kubuntu_80_fix_includes.diff
    - Bump version of KDE build-deps to 4.3.2
    - Update kdebase-workspace-data.install

  [ Richard Johnson ]
  * updating kdm upstart script - removing a lot of cruft

  [ Scott Kitterman ]
  * Drop debian/patches/powerdevil-suspend-dialogue/
    0001-Turn-low-battery-notifications-into-a-countdown-dialo.diff to return
    to the upstream behavior of using a notification for low power shutdown
    warnings (LP: #438445)
    - Keep 0002-Increase-WaitBeforeSuspendingTime-from-10-to-30-secon.diff so
      people have more time to react (change already upstream for KDE 4.4)
    - This is also not ideal, but work is planned to make this better for the
      next development cycle

  [ Jonathan Thomas ]
  * Make kdebase-workspace-bin depend on policykit. Otherwise anything that wants to
    use PolicyKit will crash (LP: #436748)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 03 Oct 2009 00:05:53 +0200

kdebase-workspace (4:4.3.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Fathi Boudra:

  * Add libutempter-dev build dependency. It allows to build kwrited as a kded
    module.

  +++ Changes by Modestas Vainius:

  * Bump KDE build dependencies to 4.3.1.
  * Drop 01_r1004104_oxygen_air.diff patch, taken from upstream.
  * Drop 02_kfreebsd_updates.diff patch, merged upstream.
  * Drop 27_ruby_scriptengine_typo patch, merged upstream.
  * Update install files.
  * Install Linux specific files on Linux only.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 29 Aug 2009 19:08:29 +0300

kdebase-workspace (4:4.3.1-0ubuntu14) karmic; urgency=low

  * Update kdm.upstart to emit starting-dm signal, from Colin Watson

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Sep 2009 00:44:38 +0100

kdebase-workspace (4:4.3.1-0ubuntu13) karmic; urgency=low

  * Remeber to add patch to series file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Sep 2009 20:13:00 +0100

kdebase-workspace (4:4.3.1-0ubuntu12) karmic; urgency=low

  * Add kubuntu_97_jaunty_upgrade.diff run the jaunty upgrade script at
    startup

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Sep 2009 14:05:51 +0100

kdebase-workspace (4:4.3.1-0ubuntu11) karmic; urgency=low

  * Fix path to KDM in kdm.upstart, Closes LP: #437067

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 26 Sep 2009 16:47:38 +0100

kdebase-workspace (4:4.3.1-0ubuntu10) karmic; urgency=low

  * Add kdm.upstart and convert kdm.postinst to upstart

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Sep 2009 18:23:59 +0100

kdebase-workspace (4:4.3.1-0ubuntu9) karmic; urgency=low

  * Fixes to network-manager-update script

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Sep 2009 13:56:01 +0100

kdebase-workspace (4:4.3.1-0ubuntu8) karmic; urgency=low

  * Ensure files are added before upload
  * Remove pixmap cache on upgrade too

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 24 Sep 2009 15:28:19 +0100

kdebase-workspace (4:4.3.1-0ubuntu7) karmic; urgency=low

  * Fix install paths in kdebase-workspace-data

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 24 Sep 2009 11:31:22 +0100

kdebase-workspace (4:4.3.1-0ubuntu6) karmic; urgency=low

  * Add debian/network-manager-update scripts to remove network manager
    plasmoid from plasma on upgrade to karmic

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Sep 2009 17:39:41 +0100

kdebase-workspace (4:4.3.1-0ubuntu5) karmic; urgency=low

  [ Jonathan Thomas ]
  * Bump replaces on kde-window-manager for kdebase-workspace-bin to
    << 4:4.2.85 (LP: #409477)

  [ Jonathan Riddell ]
  * Add patches/powerdevil-suspend-dialogue to turn suspend notification
    into a dialogue http://people.canonical.com/~agateau/powerdevil-
    suspend-dialog/index.html

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Sep 2009 12:26:53 +0100

kdebase-workspace (4:4.3.1-0ubuntu4) karmic; urgency=low

  [ Jonathan Thomas ]
  * Make kde-window-manager not recommend compiz-wrapper, we no longer have
    the patch that used it

  [ Harald Sitter ]
  * In stock Jaunty's to KDE 4.2.2 kconf_update_bin/krdb_clearlibrarypath was in
    kdebase-worksapce-libs4+5 after merge for karmic in  kdebase-workspace-bin
    Thus make -bin replace kdebase-workspace-libs4+5 (<< 4:4.2.2-2ubuntu1)

  [ Jonathan Riddell ]
  * Only start pre-kdm ksplashx when not using autologin

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 14 Sep 2009 15:28:37 +0200

kdebase-workspace (4:4.3.1-0ubuntu3) karmic; urgency=low

  [ Jonathan Thomas ]
  * Add kubuntu_95_klipper_wakeup_fix.diff to prevent klipper from waking the
    CPU around once every second (LP: #301338)

  [ Jonathan Riddell ]
  * Add kubuntu_96_pre_kdm_xsplash.diff for
    https://wiki.kubuntu.org/KubuntuKarmicXsplash
  * Remove kubuntu_10_turn_on_kwin_compositing.diff, KWin has good
    detection now

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 11 Sep 2009 15:48:38 +0100

kdebase-workspace (4:4.3.1-0ubuntu2) karmic; urgency=low

  * Update kubuntu_85_fdo_notifications.diff from Aurelien,
    fix off by 1 error
  * Add support for Ayatana style notifications in debian/patches/ayatana-notifications/
    from http://people.canonical.com/~agateau/plasma-ayatana-notifications/ 20090908
  * Update kubuntu_82_fdo_notifications.diff from Aurlien, report new spec version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Sep 2009 22:55:36 +0100

kdebase-workspace (4:4.3.1-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Bump version of KDE build-deps to 4.3.1
  * Remove kubuntu_90_oxygen_air_kdm.diff patch, went upstream
  * Remove kubuntu_92_networkmanager_branch.diff patch, went upstream
  * Add README.source for quilt
  * Update kdebase-workspace-bin.install, kdebase-workspace-dev.install

 -- Christian Mangold <neversfelde@ubuntu.com>  Fri, 28 Aug 2009 18:47:15 +0200

kdebase-workspace (4:4.3.0-3) unstable; urgency=low

  +++ Changes by George Kiagiadakis:

  * Make plasma-dataengines-workspace recommend ksysguardd,
    as it is needed for the system monitor data engine.

  +++ Changes by Pino Toscano:

  * Mark the Linux-only dependencies as such (excluding them for kfreebsd-* and
    hurd-i386), and install the relative compiled stuff on linux only using a
    install rule in rules. Based on a patch by Petr Salinger, thanks!

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Small copyright updates (years).
  * Add README.source about the patch system.
  * Bump Standards-Version from 3.8.2 to 3.8.3 (no changes needed).
  * Add patch 02_kfreebsd_updates for building in in kfreebsd-* from Petr * Salinger.
    That together with Pino's changes (Closes: #542591).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 22 Aug 2009 17:46:50 +0200

kdebase-workspace (4:4.3.0-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * debian/kdm.init: oxygen-air is new default now.
  * reorder code in debian/kdm.init a bit. This should solve cases of kdm
    failing to start.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 06 Aug 2009 14:20:53 +0300

kdebase-workspace (4:4.3.0-1) unstable; urgency=low

  * New upstream release.
  * Bump libakonadi-dev build dependency to version 1.1.95.
  * Add libgps-dev build dependency.
  * Update installed files.

  +++ Changes by Martin Alfke:

  * Add sanity checks to kdm.init file for availability of
    desktop-base files and paths. (Closes: #523109)

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update installed files.
  * Bump build depends to >= 4.3.0.
  * Add patch 01_r1004104_oxygen_air.diff, install oxygen air and make it
    default. And update 12_be_better_at_honouring_user_kdm_theming.diff	acordingly.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Aug 2009 15:41:33 +0200

kdebase-workspace (4:4.3.0-0ubuntu15) karmic; urgency=low

  * Update kubuntu_60_low_disk_space.diff from openSUSE

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2009 17:25:57 +0100

kdebase-workspace (4:4.3.0-0ubuntu14) karmic; urgency=low

  * Remove usr/share/kde4/services/kcm_keyboard.desktop
    from kdebase-workspace-data.install which is also in
    kdebase-workspace-bin.install (LP: #416755)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 23 Aug 2009 19:28:37 +0200

kdebase-workspace (4:4.3.0-0ubuntu13) karmic; urgency=low

  * Remove usr/share/kde4/apps/kcmsolidactions/solid-action-template.desktop
    from kdebase-workspace-data.install which is also in
    kdebase-workspace-bin.install (LP: #416755)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 21 Aug 2009 04:13:24 +0200

kdebase-workspace (4:4.3.0-0ubuntu12) karmic; urgency=low

  * Add build-dep on libpolkit-dbus-dev, libpolkit-grant-dev
  * Install policykit-kde files to kdebase-workspace-bin and -data
  * Add replaces/conflicts to policykit-kde, now obsolete

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Aug 2009 17:14:31 +0100

kdebase-workspace (4:4.3.0-0ubuntu11) karmic; urgency=low

  * Add kubuntu_94_netbook_runner.diff from plasma-netbook
    runners-patches/kdebase_runners.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Aug 2009 14:55:41 +0100

kdebase-workspace (4:4.3.0-0ubuntu10) karmic; urgency=low

  * Fix kubuntu_93_fix_username_icon_alignment.diff to apply

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Aug 2009 17:32:58 +0100

kdebase-workspace (4:4.3.0-0ubuntu9) karmic; urgency=low

  * Add kubuntu_93_fix_username_icon_alignment.diff, closes LP: #389744
    "Fix avatar in KDE menu to be next to username"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Aug 2009 16:56:54 +0100

kdebase-workspace (4:4.3.0-0ubuntu8) karmic; urgency=low

  * Update kubuntu_71_default_plasma_layout.diff to turn on date in clock

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Aug 2009 15:46:58 +0100

kdebase-workspace (4:4.3.0-0ubuntu7) karmic; urgency=low

  * Make kdebase-workspace-bin recommends plasma-scriptengines a Suggests
  * Ensure kubuntu_92_networkmanager_branch.diff is actually applied

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Aug 2009 14:40:57 +0100

kdebase-workspace (4:4.3.0-0ubuntu6) karmic; urgency=low

  * Add kubuntu_92_networkmanager_branch.diff from 4.3 branch, fixes for
    network manager

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Aug 2009 15:17:49 +0100

kdebase-workspace (4:4.3.0-0ubuntu5) karmic; urgency=low

  * Update kubuntu_71_default_plasma_layout.diff, remove opendesktop
    widget and add indicatordisplay

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Aug 2009 00:11:10 +0100

kdebase-workspace (4:4.3.0-0ubuntu4) karmic; urgency=low

  [ Harald Sitter ]
  * Change kdm.logrotate to only rotate 2 times instead of 7 times. This means
    logrotate will only keep 2 days worth of logs, which should be enough.

  [ Jonathan Riddell ]
  * Add kubuntu_91_plasma_autostart_condition.desktop to make Plasma
    autostarting configurable

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 09 Aug 2009 14:24:24 +0200

kdebase-workspace (4:4.3.0-0ubuntu3) karmic; urgency=low

  [ Harald Sitter ]
  * Enhance 07_kdmrc_defaults_kubuntu.diff
    + Don't set wallpaper mode by default
    + Don't set default wallpaper of that mode
    + Don't install the default wallpaper images

  [ Jonathan Riddell ]
  * Display use of pysupport until python-kde4 uses it too

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 06 Aug 2009 22:29:53 +0200

kdebase-workspace (4:4.3.0-0ubuntu2) karmic; urgency=low

  * Update kubuntu_71_default_plasma_layout.diff to fix coding problems

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 06 Aug 2009 15:59:46 +0100

kdebase-workspace (4:4.3.0-0ubuntu1) karmic; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Bump KDE versions to 4.3.0
    - Remove kubuntu_88_solid_branch.diff fixed by upstream
    - Update kdebase-workspace-dev.install
    - Update kdm.install and plasma-dataengines-workspace.install

  [ Jonathan Riddell ]
  * Don't load network manager plasmoid, using knetworkmanager for now
  * Use Show Desktop widget instead of Show Dashboard, Closes LP:
    #389747
  * Add kubuntu_88_abort_string.diff, LP: #389751
  * Add kubuntu_90_oxygen_air_kdm.diff from trunk, new KDM bling

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 31 Jul 2009 17:30:55 +0100

kdebase-workspace (4:4.2.98-0ubuntu4) karmic; urgency=low

  * Rebuild with new pkg-kde-tools to build translation templates

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Jul 2009 18:11:58 +0100

kdebase-workspace (4:4.2.98-0ubuntu3) karmic; urgency=low

  * Add kubuntu_88_solid_branch.diff from branch, adds missing implementation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 27 Jul 2009 16:06:34 +0100

kdebase-workspace (4:4.2.98-0ubuntu2) karmic; urgency=low

  * Drop plasma-scriptengine-superkaramba from recommends to suggests, no
    need to have it on the CD since it's really just compatibility with KDE 3
  * Add plasma-scriptengine-ruby as dependency of plasma-scriptengines

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 24 Jul 2009 20:51:46 +0200

kdebase-workspace (4:4.2.98-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Bump KDE versions to 4.2.98
    - In build-depends change libxklavier12-dev which is a virtual package to
      libxklavier-dev
    - Update plasma-dataengines-workspace.install
    - Update not-installed

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 22 Jul 2009 05:24:58 +0200

kdebase-workspace (4:4.2.96-1) experimental; urgency=low

  * New upstream release candidate.
    - Plasma job progress notifications now include
      estimated time remaining information. (Closes: #532417)

  +++ Changes by George Kiagiadakis:

  * Bump build-dependency on kdelibs5-dev and kdepimlibs5-dev
    to version 4.2.95.
  * Bump build-dependency on libqedje-dev to version 0.4.0.
  * Move package plasma-scriptengine-javascript from
    kdebase-workspace to kdebase-runtime as the sources for
    this component were moved upstream.
  * Change plasma-scriptengines metapackage to depend on
    plasma-scriptengine-javascript (>= 4:4.2.95) instead
    of (>= ${source:Version}), as this is now part of kdebase-runtime.
  * Add build dependencies on libpolkit-qt-dev, libpolkit-dbus-dev,
    libpolkit-grant-dev.
  * Refresh patches.
  * Update installed files.
  * Add build dependency on libakonadi-dev.
  * Add build dependency on libknotificationitem-1-dev.
  * Add myself to uploaders.
  * Update some lintian overrides.

  +++ Changes by Martin Alfke:

  * Split of kdebase-workspace-libs4+5 into individiual library packages.
    - Remove kdebase-workspace-libs4+5.
    - Add Conflicts to all new split libraries.
    - Add new libraries to DEB_DH_SHLIBDEPS_ARGS_ section in rules file.
    - Switch DEB_DH_MAKESHLIBS_ARGS_<package> to DEB_DH_MAKESHLIBS_ARGS_ALL in rules file.

  +++ Changes by Fathi Boudra:

  * Drop libcaptury-dev build dependency.

  +++ Changes by Sune Vuorela:

  * More install file updates.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 30 Jun 2009 13:03:25 +0300

kdebase-workspace (4:4.2.96-0ubuntu4) karmic; urgency=low

  * Backport support for freedesktop.org notifications. Makes it possible for
    GNOME and KDE applications to display notifications using the native
    desktop notification system.
   - debian/patches/kubuntu_81_fdo_notifications.diff
   - debian/patches/kubuntu_82_fdo_notifications.diff
   - debian/patches/kubuntu_83_fdo_notifications.diff
   - debian/patches/kubuntu_84_fdo_notifications.diff
   - debian/patches/kubuntu_85_fdo_notifications.diff
   - debian/patches/kubuntu_86_fdo_notifications.diff
   - debian/patches/kubuntu_87_fdo_notifications.diff

 -- Aurélien Gâteau <aurelien.gateau@canonical.com>  Fri, 17 Jul 2009 14:15:39 +0200

kdebase-workspace (4:4.2.96-0ubuntu3) karmic; urgency=low

  [ Harald Sitter ]
  * Fix kubuntu_11_fix_root_only_kcms.diff (missed a mItem => menuItem
    conversion)
  * Remove kubuntu_74_kickoff_default_favourites.diff, the favorites are
    controlled via kickoffrc in kubuntu-default-settings

  [ Jonathan Riddell ]
  * Remove wrongly added debhelper token from maintainer scripts:
    - kdm.postinst
    - kdm.prerm
    - Closes LP: #372199
  * Remove unused files
    - konqueror.manpages
    - konsole.manpages
    - konsole.postinst
    - konsole.prerm

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 14 Jul 2009 23:46:38 +0200

kdebase-workspace (4:4.2.96-0ubuntu2) karmic; urgency=low

  * Disable kubuntu_11_fix_root_only_kcms.diff to avoid FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Sat, 11 Jul 2009 09:34:17 -0400

kdebase-workspace (4:4.2.96-0ubuntu1) karmic; urgency=low

  [ Harald Sitter ]
  * Port kubuntu_11_fix_root_only_kcms.diff to KDE 4.3. Proudly provided
    by the Fedora-KDE team (enhanced with our icon hack).

  [ Steve Stalcup ]
  * New upstream release
    - Bump KDE versions to 4.2.96 (KDE 4.3 RC 2)

  [ Scott Kitterman ]
  * Remove kubuntu_55_add_dontzap_option.diff
    - Option provided upstream via keyboard setting
  * Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Sat, 11 Jul 2009 08:49:42 -0400

kdebase-workspace (4:4.2.95-0ubuntu2) karmic; urgency=low

  * kdebase-workspace-dev replaces kdebase-workspace-libs4+5 (<< 4:4.2.95-0ubuntu1)
  * kgreet-plugins replaces old kdm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2009 12:57:30 +0100

kdebase-workspace (4:4.2.95-0ubuntu1) karmic; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - bump KDE versions for build deps
    - update kubuntu_61_suspend_buttons.diff
  * Update .install files:
    - kdebase-workspace-data.install
    - kdebase-workspace-wallpaper.install
    - kde-window-manager.install
    - systemsettings.install
    - kde-window-manager.install

  [ Jonathan Riddell ]
  * Set arora as browser in kubuntu_74_kickoff_default_favourites.diff
  * plasma-widgets-workspace depends on akonadi-server and kdepim-
    runtime for akonadi engine

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 29 Jun 2009 16:51:25 +0100

kdebase-workspace (4:4.2.90-0ubuntu2) karmic; urgency=low

  [ Jonathan Thomas ]
  * Merge from Debian Unstable, remaining changes:
    - Keep package version at KDE 4.2.90
    - Use versioned boost build-dep
    - Do not build-depend on libcaptury-dev, KWin no longer uses it
    - Build-Depend on versioned qedje dev package
    - Don't depend on libggadget-1.0-dev, libggadget-qt-1.0-dev.  Not in main
    - Depend on libpolkit-qt-dev and libakonadi-dev for KDE 4.3 features
    - Do not depend on kaboom, we don't use it
    - A ton of replaces versions are bumped for file conflicts in KDE 4.3
    - Do not depend on oxygencurors
    - Keep kdebase-workspace-wallpapers package
    - plasma-scriptengine-javascript moved to kdebase-runtime in KDE 4.3
    - Do not depend on libplasma-ruby, we haven't merged bindings from debian
    - Don't build plasma-scriptengine-googlegadgets
    - Recommend compiz-wrapper for its videocard blacklist
    - Keep dummy kwin package and fix various conflicts/replaces kwin
    - Keep pam files for kscreensaver and kcheckpass
    - Lots of .install file differences for KDE 4.3
    - Keep kdebase-workspace-bin.preinst for hardy x-session-manager
    - Keep hal in Required-Start and Required-Stop for kdm.init
    - Keep update for existing S99kdm (from previous 4:4.x) or S13kdm (from
      KDE 3 installations) to S30kdm in kdm.postinst and change following
      update-rc.d from 99 to 30
    - Don't install klipper.desktop so it stays hidden
    - Do not put multicolored Oxygen cursors in oxygencursors.install
    - Keep refreshed quilt patches
    - kubuntu_10_turn_on_kwin_compositing.diff, use script from compiz to determine if compositing should be used
    - kubuntu_11_fix_root_only_kcms.diff, allow systemsettings modules to use root
    - kubuntu_13_startkde_set_country.diff, set locale on startup if not already set by KDE
    - kubuntu_19_always_show_kickoff_subtext.diff, show name text on kickoff menu for all items
    - kubuntu_33_kdm_bulletproof_x.diff, use bulletproof X when X fails
    - kubuntu_52_gtk2_engines_qtcurve_config.diff, use qtcurve for gtk
    - kubuntu_55_add_dontzap_option.diff, add tickbox for dontzap to X kcontrol module
    - kubuntu_60_low_disk_space.diff, low disk space notifier from suse
    - kubuntu_61_suspend_buttons.diff, use consistent text, sent upstream
    - kubuntu_63_ksplash_fix.diff, from trunk
    - kubuntu_71_default_plasma_layout.diff add default widgets to plasma
    - kubuntu_72_remove_startkde_cruft.diff, from trunk
    - kubuntu_73_ksysguard_search_box_fix.diff, from trunk
    - kubuntu_74_kickoff_default_favourites.diff, add favourites to kickoff menu
    - kubuntu_80_fix_includes.diff
    - Disable 20_use_dejavu_as_default_font.diff  Kubuntu - system default better
    - Disable 22_execute_ktrash4.diff    Kubuntu - we don't rename
    - Disable 26_run_kaboom_when_starting_kde.diff  Kubuntu - already done KDEHOME foo
  * Bump libboost1.35-dev -> libboost1.38-dev
  * Remove pre-depends on a versioned dpkg that we used for lzma support;
    this is no longer required
  * Move /usr/lib/libsystemsettingsview.so from kdebase-workspace-bin to
    systemsettings, add replaces in debian/control accordingly (LP: #385350)

  [ Jonathan Riddell ]
  * Social from the Start: add microblog and opendesktop plasmoids
    to see how people like them

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 19 Jun 2009 18:34:36 +0100

kdebase-workspace (4:4.2.90-0ubuntu1) karmic; urgency=low

  [ Jonathan Thomas ]
  * Bump replaces version of kdm for kdebase-workspace-data
  * ksysguard replaces kdbease-workspace-bin, not runtime-bin
  * Build with polkit-qt support
  * Remove build-dep on libcaptury-dev, KWin no longer uses it
  * Remove unused patches from debian/patches

  [ Steve Stalcup ]
  * New upstream release:
    - bump KDE versions for build deps
  * Add debhelper token to maintainer scripts:
    - kdebase-workspace-bin.preinst
    - kdm.postinst
    - kdm.preinst
  * debian/control:
    - bump standards version to 3.8.1 (no change)
    - drop plasma-scriptengine-javascript binary
    - add libakonadi-dev to build deps
  * drop plasma-scriptengine-javascript.install
  * Update .install files:
    - kdebase-workspace-bin.install
    - kdebase-workspace-data.install
    - kdebase-workspace-dev.install
    - kdebase-workspace-libs4+5.install
    - kdebase-workspace-wallpapers.install
    - plasma-widgets-workspace.install

 -- Steve Stalcup <vorian@ubuntu.com>  Thu, 04 Jun 2009 00:18:10 -0400

kdebase-workspace (4:4.2.85-0ubuntu6) karmic; urgency=low

  * Bump replaces version for plasma-dataengines-workspace on systemsettings

 -- Scott Kitterman <scott@kitterman.com>  Thu, 21 May 2009 23:21:19 -0400

kdebase-workspace (4:4.2.85-0ubuntu5) karmic; urgency=low

  [ Jonathan Thomas ]
  * Add the replace on kdebase-workspace-bin to ksysguard, not ksysguardd
  * Bump replaces version of kde-window-manager for kdebase-workspace-dev
  * Bump replaces version of kdebase-workspace-bin for kde-window-manager
  * Do the same for kdm and plasma-scriptengine-webkit
  * plasma-scriptengine-python replaces python-plasma, not plasma-python
  * Bump replaces version on ksysguard for kdebase-workspace-dev
  * Bump replaces version on kdm for kdebase-workspace-data
  * Bump replaces version on kdebase-workspace-data for
    plasma-widgets-workspace

  [ Scott Kitterman ]
  * Add  build-dep version requirement for qedje so -workspace won't FTBFS
    all the way at the end of the build

 -- Scott Kitterman <scott@kitterman.com>  Thu, 21 May 2009 11:30:21 -0400

kdebase-workspace (4:4.2.85-0ubuntu4) karmic; urgency=low

  [ Jonathan Thomas ]
  * Bump kdebase-workspace-bin replaces versions for a ton of packages to
    avoid file conflicts
  * Fix a typo in the replace of kdebase-workspace-bin for the python
    scriptengine
  * Add replace on kdebase-workspace-bin (<< 4:4.2.85) for ksysguard and
    plasma-scriptengine-python

  [ Scott Kitterman ]
  * Replace Debian VCS* headers with Kubuntu's in debian/control

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 May 2009 22:24:02 -0400

kdebase-workspace (4:4.2.85-0ubuntu3) karmic; urgency=low

  [ Jonathan Thomas ]
  * Bump replaces version of kdebase-workspace-data for kdebase-workspace-dev
  * Bump replaces version of kdebase-workspace-data for kde-window-manager
  * Bump replaces version of kdebase-workspace-data for
    plasma-dataengines-workspace
  * Bump replaces version of kdebase-workspace-data for
    plasma-widges-workspace
  * Bump replaces version of kde-window-manager for kdebase-workspace-data
  * Bump replaces version of kdebase-workspace-data for klipper
  * kdebase-workspace-data replaces kdebase-workspace-data (<< 4:4.2.85)
  * Bump replaces version of kdebase-workspace-data for systemsettings
  * Bump replaces version of kdebase-workspace-data for kdm
  * Bump replaces version of kdebase-workspace-data for
    plasma-scriptengine-javascript, plasma-scriptengine-qedje, and
    plasma-scriptengine-webkit
  * plasma-scriptengine-python replaces plasma-python,
    kdebase-workspae-data (>> 4:4.1.80)

  [ Scott Kitterman ]
  * Change build-dep on libboost-dev to libboost1.35-dev to match the rest of
    KDE

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 May 2009 18:21:29 -0400

kdebase-workspace (4:4.2.85-0ubuntu2) karmic; urgency=low

  * Add build-dep on libknotificationitem-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 15 May 2009 00:54:57 +0100

kdebase-workspace (4:4.2.85-0ubuntu1) karmic; urgency=low

  * New upstream beta release
  * Disable kubuntu_11_fix_root_only_kcms.diff, needs to be ported to new system settings code

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 13 May 2009 17:06:51 +0000

kdebase-workspace (4:4.2.4-1) unstable; urgency=low

  * New upstream release:
    - keyboard.desktop renamed to kcm_keyboard.desktop to avoid
      conflict with gnome's keyboard.desktop. (Closes: #524506)
    - plasma don't freezes when unmounting busy devices
      (Closes: #530558, #523089)

  +++ Changes by Josh Metzler:

  * Fix grep for checking if Desktop Themes should be used. (Closes: #530493)

  +++ Changes by George Kiagiadakis:

  * Move the .desktop files of kcm_fonts, kcm_style and kcm_colors
    to the systemsettings package, so that these kcms can actually
    work without kdebase-workspace-bin.

  +++ Changes by Fathi Boudra:

  * Bump Standards-Version from 3.8.0 to 3.8.1 (no changes needed).
  * Update installed files: add kcm_keyboard.desktop in kdebase-workspace-bin.

  +++ Changes by Martin Alfke:

  * New package for kgreet-plugins (Closes: #520426)
    - Create new package with name kdebase-workspace-kgreet-plugins.
    - Move /usr/lib/kde4/kgreet_*.so from kdebase-workspace-bin to
      new package.
    - Add dependency to kdm and kdebase-workspace-bin on
      kdebase-workspace-kgreet-plugins (= ${binary:Version})
    - kdebase-workspace-kgreet-plugins replaces kdebase-workspace-bin
      (<4:4.2.3-1)

  +++ Changes by Armin Berres:

  * Call update-alternatives without absolute path.
  * If readable, source /etc/default/locale in KDM's init script to make it
    aware of the user's locale. (Closes: #528937)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 31 May 2009 19:03:39 -0400

kdebase-workspace (4:4.2.2-2ubuntu2) karmic; urgency=low

  * Fix various kwin conflicts/replaces to make it installable
  * Make plasma-scriptengine-ruby depend on libkorundum4-ruby1.8, not yet libplasma-ruby

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 May 2009 11:41:16 +0000

kdebase-workspace (4:4.2.2-2ubuntu1) karmic; urgency=low

  * Merge with Debian, remaining changes:
   - kubuntu_10_turn_on_kwin_compositing.diff, use script from compiz to determine if compositing should be used
   - kubuntu_11_fix_root_only_kcms.diff, allow systemsettings modules to use root
   - kubuntu_13_startkde_set_country.diff, set locale on startup if not already set by KDE
   - kubuntu_19_always_show_kickoff_subtext.diff, show name text on kickoff menu for all items
   - kubuntu_33_kdm_bulletproof_x.diff, use bulletproof X when X fails
   - kubuntu_52_gtk2_engines_qtcurve_config.diff, use qtcurve for gtk
   - kubuntu_55_add_dontzap_option.diff, add tickbox for dontzap to X kcontrol module
   - kubuntu_56_solid_changes_kdebluetooth.diff, kdebluetooth from trunk
   - kubuntu_59_fix_klipper_firefox_actions.diff, from trunk
   - kubuntu_60_low_disk_space.diff, low disk space notifier from suse
   - kubuntu_61_suspend_buttons.diff, use consistent text, sent upstream
   - kubuntu_63_ksplash_fix.diff, from trunk
   - kubuntu_65_solid_dataengine_diskspace_fix.diff, from trunk
   - kubuntu_66_fix_KDE_bug_185418_crash.diff, from trunk
   - kubuntu_67_fix_systemmonitor_plasmoid_config.diff, from trunk
   - kubuntu_70_fix_widescreen_kdm_theme.diff, from trunk
   - kubuntu_71_default_plasma_layout.diff add default widgets to plasma
   - kubuntu_72_remove_startkde_cruft.diff, from trunk
   - kubuntu_73_ksysguard_search_box_fix.diff, from trunk
   - kubuntu_74_kickoff_default_favourites.diff, add favourites to kickoff menu
   - kubuntu_75_fix_shellrunner_crash.diff, from trunk
   - kubuntu_76_disable_dim_for_polkit.diff, from trunk
   - kubuntu_77_fix_autohide_glowbar_flicker.diff, from trunk
   - kubuntu_78_krunner_history_combobox_palette.diff, from trunk
   - kubuntu_79_fix_small_screensavers.diff, from trunk
   - Keep kdebase-workspace-wallpapers package to save disk space
   - Recommend compiz-wrapper for its videocard blacklist
   - Keep dummy kwin package
   - Add pam files for kscreensaver and kcheckpass (LP: #278842)
   - Add kdebase-workspace-bin.preinst for hardy x-session-manager
   - Keep hal in Required-Start and Required-Stop for kdm.init
   - Keep update for existing S99kdm (from previous 4:4.x) or S13kdm (from
     KDE 3 installations) to S30kdm in kdm.postinst and change following update-rc.d from 99 to 30
   - Don't install klipper.desktop so it stays hidden
   - Do not put multicolored Oxygen cursors in oxygencursors.install
  * Remove kubuntu_12_kubuntu_homepage.diff, there is no branding button now
  * 07_kdmrc_defaults.diff edited and renamed 07_kdmrc_defaults_kubuntu.diff  s/Debian/Kubuntu/
  * Disable 20_use_dejavu_as_default_font.diff  Kubuntu - system default better (usually dejavu anyway
  * Disable 22_execute_ktrash4.diff    Kubuntu - we don't rename
  * Disable 26_run_kaboom_when_starting_kde.diff  Kubuntu - already done KDEHOME foo
  * Drop kubuntu_58_drop_pykde_dep.diff, now 23_do_not_depend_on_bindings.diff from Debian
  * Don't depend on kaboom for kdebase-workspace-bin
  * Don't depend on libggadget-1.0-dev, libggadget-qt-1.0-dev.  Not in main
  * Don't build plasma-scriptengine-googlegadgets
  * Install files for free space notifier

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 05 May 2009 11:20:32 +0000

kdebase-workspace (4:4.2.2-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Move kaboom to kdebase-workspace-bin Depends.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 06 Apr 2009 11:41:36 +0300

kdebase-workspace (4:4.2.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove merged patches: 00_4.2.1_real and 00_r934863_plasma_geometry_crash.
  * Update installed files, cmake files changed from usr/lib/cmake/KDE4Workspace-4.2.0
    to usr/lib/cmake/KDE4Workspace-4.2.*.

  +++ Changes by Sune Vuorela:

  * Hack in kaboom in startkde script.
  * Depend on kaboom (>=1.0.0).
  * Bump build deps.
  * Sprinkle over a lot of ${misc:Depends} in control.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 06 Apr 2009 03:22:16 +0200

kdebase-workspace (4:4.2.2-0ubuntu2) jaunty; urgency=low

  [ Harald Sitter ]
  * Add kubuntu_13_startkde_set_country.diff to set KDE's country setting
    (based upon the locale value, so 'de_AT' would be 'at' as country) at
    login. If no LANG is set, or parsing results in an empty string, nothing
    will be done. (LP: #224461)
  * Don't remove gtk-qt-engine cruft and .gtkrc-2.0-kde4 not only when
    qtcurve and kds are installed but also when gtk-qt-engine itself is
    installed. Otherwise the latter will be unapplied post-login (LP: #352946)

  [ Jonathan Thomas ]
  * Add kubuntu_75_fix_shellrunner_crash.diff, fixes KDE bug 186036, and can
    be removed in KDE 4.2.3 (LP: #340607)
  * Add kubuntu_76_disable_dim_for_polkit.diff, the dim plugin breaks the
    policykit-kde dialog (LP: #350225)
  * Add kubuntu_77_fix_autohide_glowbar_flicker.diff, unappliable in KDE 4.2.3
  * Add kubuntu_78_kubuntu_78_krunner_history_combobox_palette.diff to fix an
    invisible scrollbar background in the combobox, unappliable in KDE 4.2.3
  * Add kubuntu_79_fix_small_screensavers.diff to fix small OpenGL
    screensavers, can be unapplied in KDE 4.2.3 (LP: #211422)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 06 Apr 2009 14:35:52 -0400

kdebase-workspace (4:4.2.2-0ubuntu1) jaunty; urgency=low

  [ Jonathan Riddell ]
  * Add kubuntu_74_kickoff_default_favourites.diff

  [Jonathan Thomas]
  * Add kubuntu_72_remove_startkde_cruft.diff to remove test for a setting in
    kcmrandrrc that doesn't exist anymore. (KDE expects krandrtray to handle
    resolution setting on startup now...)
  * Add kubuntu_73_ksysguard_search_box_fix.diff to fix the too-small search
    box in KSysguard. Can be removed in KDE 4.3. (LP: #342748)
  * Recommend python-plasma so that the python bindings get pulled by default

  [Steve Stalcup]
  * New upstream release
  * Bump KDE versions in debian/control and debian/rules to 4.2.2
  * Remove kubuntu_68_fix_quicklaunch_icons.diff, applied upstream
  * Remove kubuntu_69_fix_plasma_startup_crash.diff, applied upstream

 -- Steve Stalcup <vorian@ubuntu.com>  Thu, 26 Mar 2009 21:37:27 -0400

kdebase-workspace (4:4.2.1a-0ubuntu12) jaunty; urgency=low

  * Add kubuntu_74_kickoff_default_favourites.diff to set nicer
    favourites in kickoff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Mar 2009 18:46:38 +0000

kdebase-workspace (4:4.2.1a-0ubuntu11) jaunty; urgency=low

  [ Jonathan Thomas ]
  * Add kubuntu_72_remove_startkde_cruft.diff to remove test for a setting in
    kcmrandrrc that doesn't exist anymore. (KDE expects krandrtray to handle
    resolution setting on startup now...)
  * Add kubuntu_73_ksysguard_search_box_fix.diff to fix the too-small search
    box in KSysguard. Can be removed in KDE 4.3. (LP: #342748)
  * Recommend python-plasma so that the python bindings get pulled by default
    (otherwise people will go "wtf?" when scripted plasmoids don't work.)

  [ Jonathan Riddell ]
  * Disable notes plasmoid, in kubuntu_71_default_plasma_layout.diff it lacks
    much i18n, maybe this will stop us having transparent background

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 26 Mar 2009 18:54:17 -0400

kdebase-workspace (4:4.2.1a-0ubuntu10) jaunty; urgency=low

  * Fixed kubuntu_52_gtk2_engines_qtcurve_config.diff:
    - One of the tests wasn't done correctly...

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 18 Mar 2009 12:08:19 +0100

kdebase-workspace (4:4.2.1a-0ubuntu9) jaunty; urgency=low

  * Add plasma_applet_notes to kubuntu_71_default_plasma_layout.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Mar 2009 02:17:19 +0000

kdebase-workspace (4:4.2.1a-0ubuntu8) jaunty; urgency=low

  * Fixed kubuntu_52_gtk2_engines_qtcurve_config.diff:
    - Not forcing the configuration and exporting gtk settings
      if either kubuntu-default-settings or the
      gtk-engines-qtcurve packages are missing.

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 18 Mar 2009 02:36:46 +0100

kdebase-workspace (4:4.2.1a-0ubuntu7) jaunty; urgency=low

  * Add kubuntu_71_default_plasma_layout.diff, set default plasma
    layout here instead of in kubuntu-default-settings, closes LP: #309419

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2009 18:30:19 +0000

kdebase-workspace (4:4.2.1a-0ubuntu6) jaunty; urgency=low

  * Add kubuntu_69_fix_plasma_startup_crash.diff to fix KDE bug 186324, can
    be unapplied in KDE 4.2.2 (LP: #338205)
  * Add kubuntu_70_fix_widescreen_kdm_theme.diff to fix KDE bug 169772, can
    be unapplied in KDE 4.3.x (LP: #259181)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 14 Mar 2009 14:23:26 -0400

kdebase-workspace (4:4.2.1a-0ubuntu5) jaunty; urgency=low

  * Reupload using the last bzr revision (fixes FTBFS)

 -- Anthony Mercatante <tonio@ubuntu.org>  Sat, 14 Mar 2009 18:22:00 +0200

kdebase-workspace (4:4.2.1a-0ubuntu4) jaunty; urgency=low

  * kubuntu_52_gtk_qt_engines_config.diff:
    - We don't use gtk-qt-engines anymore
  * kubuntu_52_gtk2_engines_qtcurve_config.diff:
    - We use gtk2-engines-qtcurve instead

 -- Anthony Mercatante <tonio@ubuntu.org>  Sat, 14 Mar 2009 18:22:00 +0200

kdebase-workspace (4:4.2.1a-0ubuntu3) jaunty; urgency=low

  * Add kubuntu_68_fix_quicklaunch_icons.diff to stop the QuickLaunch plasma
    widget's icons from being so tiny. (KDE bug #185585) (LP: #334137)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 07 Mar 2009 19:52:00 -0500

kdebase-workspace (4:4.2.1a-0ubuntu2) jaunty; urgency=low

  * Bump the conflicts version of kdebase-workspace-data on
    kdebase-workspace-wallpaper to (<< 4:4.1.80) to reflect new packaging
    changes (LP: #333905)
  * Add kubuntu_66_fix_KDE_bug_185418_crash.diff to prevent dragging/dropping
    "empty" window items (LP: #337086)
  * Add kubuntu_67_fix_systemmonitor_plasmoid_config.diff from upstream to properly
    save config so that it doesn't get lost. Can be unapplied in 4.3. (LP: #335037)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 05 Mar 2009 10:23:20 -0500

kdebase-workspace (4:4.2.1a-0ubuntu1) jaunty; urgency=low

  [ Jonathan Riddell ]
  * New upstream release
  * Fix .install files
  * Fix docs path for powerdevil

  [ Jonathan Thomas ]
  * Add kubuntu_65_solid_dataengine_diskspace_fix.diff to fix free diskspace
   reported by the dataengine. Backported from trunk (LP: #332734)
  * Make kdebase-workspace-dev replace and conflict with the powerdevil package
   from Intrepid (LP: #334094)
  * Compress binary packages with lzma compression

 -- Nathan Handler <nhandler@ubuntu.com>  Tue, 03 Mar 2009 22:25:55 +0000

kdebase-workspace (4:4.2.1-2) experimental; urgency=low

  +++ Changes by Modestas Vainius:

  * Backport a patch to fix a nasty crash on plasma startup
    (patch 00_r934863_plasma_geometry_crash.diff).
  * Bring kdebase-workspace up-to-date with real 4.2.1 release
    (patch 00_4.2.1_real.diff) (Closes: #519247).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 11 Mar 2009 14:06:44 +0200

kdebase-workspace (4:4.2.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Remove patches stolen from upstream:
    - 01_r922805_kdm_qt4.5_crash_fix.diff
    - 02_r923562_kephal_qreal_dbus.diff.
  * Rename plasma-applets-workspace to plasma-widgets-workspace,
    add conflicts/replaces against the old name.
  * Replace all plasma "applet" references with "widget".
  * Update install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 27 Feb 2009 22:21:06 +0200

kdebase-workspace (4:4.2.0-2) experimental; urgency=low

  +++ Changes by Modestas Vainius:

  * Make plasma-scriptengines recommend plasma-scriptengine-superkaramba.
  * Move greeters from libs/kdm to kdebase-workspace-bin to make unlocking
    work without kdm installed (Closes: #513734).
  * Add 25_task.h_forward_decl_netwininfo.diff which gets rid of NETWinInfo
    header dependency (and as a result, x11 header dependencies) in task.h
    (Closes: #499061).
  * Point Debian Vcs URLs to pkg-kde/trunk (new location).

  +++ Changes by Armin Berres:

  * Move monitor.png from the kdm to the kdebase-workspace-data package
    (Closes:  #513593).
  * Explicitly build-depend on libnm-util-dev >= 0.7, for building against
    network-manager 0.7 (Closes: #513674).
  * Disable the "Might wreak havoc." message at kdm startup. Everything is
    fine with our setup.

  +++ Changes by Xavier Vello:

  * Add replaces: systemsettings (<< 4:4.1.80) (Closes: #507380).

  +++ Changes by George Kiagiadakis:

  * Add patch 01_r922805_kdm_qt4.5_crash_fix.diff from upstream, which fixes
    a kdm crash with Qt 4.5-rc1.

  +++ Changes by Pino Toscano:

  * Add patch 02_r923562_kephal_qreal_dbus.diff from upstream r923562 to fix
    build of kephal in archs where qreal is not double.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 22 Feb 2009 00:53:08 +0100

kdebase-workspace (4:4.2.0-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Fathi Boudra:

  * Add libck-connector-dev build-dependency to build ConsoleKit support.

  +++ Changes by Modestas Vainius:

  * Drop libplasma* packages, moved to kde4libs.
  * Build depend on kdelibs5-dev 4:4.2.0.
  * Readd build depend on kdepimlibs5-dev, also libboost-dev.
  * Bump shlibs of libkwineffects1, libkdecorations4 and
    kdebase-workspace-libs4+5 to upstream version.
  * Build depend on libxss-dev.
  * Refresh patches 21 and 22.
  * Update install files:
    - Add new files
    - Move many files around mostly from kdebase-workspace-data to their
      real packages. As a result, add many replaces.
  * kdm must depend on consolekit. Otherwise, it does not start any session.
  * Switch to new installgen file format.
  * Build depend on network-manager 0.7.
  * Add new packages:
    - plasma-dataengines-workspace - contains Plasma dataengines;
    - plasma-applets-workspace - contains Plasma applets,
      depends on dataengines.
  * Make kdebase-workspace-bin strictly depend on plasma-applets-workspace.
  * Improve kdebase-workspace-bin description.
  * Move libkhotkeysprivate to kdebase-workspace-bin and make
    kdebase-workspace-libs4+5 conflict with earlier kdebase-workspace-bin
    versions.
  * Split off Plasma script engines to plasma-scriptengine-* packages:
    - plasma-scriptengines - metapackage for all engines, depends on all script
      engines below.
    - plasma-scriptengine-javascript - Javascript engine;
    - plasma-scriptengine-ruby - Ruby engine;
    - plasma-scriptengine-python - Python engine;
    - plasma-scriptengine-webkit - Webkit (Apple Mac OS X dashboard) engine;
    - plasma-scriptengine-googlegadgets - Google Gadgets script engine:
      * build depend on libggadget-1.0-dev and libggadget-qt-1.0-dev as
        of >= 0.10.5~;
      * make the package depend on google-gadgets-qt and google-gadgets-xul
        because they seem to be necessary for the script engine to work
        properly.
  * kdebase-workspace-bin recommends plasma-scriptengines.
  * Build depend on libxi-dev.
  * Exclude kdebase-runtime dependency from kdebase-workspace-libs4+5,
    libkdecorations4 and libkwineffects1.
  * Rename debian/*.lintian to debian/*.lintian-overrides.
  * Bump debian/compat and debhelper build dependency to v7 (to get more
    sophisticated debian/tmp handling).
  * Switch from internal debian/cdbs/kde.mk to pkg-kde-tools:
    - build depend on pkg-kde-tools 0.4;
    - remove debian/cdbs directory;
    - replace debian/cdbs/kde.mk with
      /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk in debian/rules.

  +++ Changes by George Kiagiadakis:

  * Allow kwrited to install with setgid utmp.
  * Add plasma-scriptengine-qedje package, which contains the QEdje script
    engine for plasma.
  * Add patch 24_do_not_search_for_libeet.diff which removes the useless
    dependency on libeet-dev.

  +++ Changes by David Palacio:

  * 23_do_not_depend_on_bindings.diff: do no depend on python-kde4 at build
    time (circular build dependency).

  +++ Changes by Sune Vuorela:

  * Update copyright file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 24 Jan 2009 03:37:35 +0200

kdebase-workspace (4:4.2.0-0ubuntu8) jaunty; urgency=low

  * Add kubuntu_64_quicklaunch_crash_fix.diff (LP: #332233)
    - thanks to Michal Zajac (aka Quintasan)

 -- Roderick B. Greening <roderick.greening@gmail.com>  Mon, 23 Feb 2009 01:56:57 -0330

kdebase-workspace (4:4.2.0-0ubuntu7) jaunty; urgency=low

  [ Roman Shtylman ]
  * Added patch to fix ksplash blurry icon clipping

  [ Scott Kitterman ]
  * Adjust conflicts/replaces to account for KDE 4.1.4 in intrepid-updates

  [ Jonathan Thomas ]
  * Add dependency of python-dev to python-plasma (LP: #332145)
  * Bump replaces version on kdebase-workspace-bin of kdebase-workspace-libs4+5
    to (<< 4:4.1.80) (LP: #332660)
  * Add a conflicts/replace of libkorundum4-ruby1.8 (<< 4:4.1.80) to
    kdebase-workspace-data (LP: #332807)
  * Make the ksplash patch apply
  * Drop kubuntu_57_panel_notifications_conf.diff, it is causing duplicate
    notifications and is being a pain to maintain(LP: #327183)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 22 Feb 2009 18:59:56 -0500

kdebase-workspace (4:4.2.0-0ubuntu6) jaunty; urgency=low

  * Add patch to fix kdmgreet crash under Qt 4.5.0
    - kubuntu_62_r922805_kdm_qt4.5_crash_fix.diff

 -- Roderick B. Greening <roderick.greening@gmail.com>  Thu, 19 Feb 2009 16:48:33 -0330

kdebase-workspace (4:4.2.0-0ubuntu5) jaunty; urgency=low

  [ Scott Kitterman ]
  * Adjust Vcs-* for Kubuntu in debian/control
  * Update kde-window-manager conflicts/replaces kdebase-workspace-data
    versions to << 4:4.1.80 so upgrades from 4.1.4 work (LP: #324752)

  [ Jonathan Riddell ]
  * Add kubuntu_60_low_disk_space.diff from SuSE
  * Add kubuntu_61_suspend_buttons.diff, make suspect/hibernate
    options consistent text and icons with battery applet

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 16 Feb 2009 21:10:44 +0000

kdebase-workspace (4:4.2.0-0ubuntu4) jaunty; urgency=low

  * Make kde-window-manager conflict/replace on kdebase-workspace-data (<= 4:4.1.4)
    rather than (<= 4.1.4) (LP: #324752)
  * Bump systemsettings' conflicts/replaces version on kdebase-workspace-bin to
    (<< 4:4.1.80) to accomodate KDE 4.1.4 installs
  * Add kubuntu_59_fix_klipper_firefox_actions from openSUSE to fix the "open with
    firefox/mozilla" klipper actions. (LP: #302122)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 03 Feb 2009 17:20:00 -0500

kdebase-workspace (4:4.2.0-0ubuntu3) jaunty; urgency=low

  * Add build-dep on libqedje-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Feb 2009 10:54:42 +0000

kdebase-workspace (4:4.2.0-0ubuntu2) jaunty; urgency=low

  * Make kdebase-workspace-bin recommend dontzap

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Jan 2009 20:33:52 +0000

kdebase-workspace (4:4.2.0-0ubuntu1) jaunty; urgency=low

  [ Steve Stalcup ]
  * New upstream release
    - updated kdebase-workspace-wallpapers.install
    - bump build-deps in debian/control
    - bump versions in debian/rules to 4.2.0

  [ Harald Sitter ]
  * Drop build-dep on python-kde4-dev using kubuntu_58_drop_pykde_dep.diff

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 25 Jan 2009 15:37:13 +0100

kdebase-workspace (4:4.1.96-0ubuntu6) raring; urgency=low

  [ Jonathan Thomas ]
  * Give kdebase-workspace-data a conflict/replace on kde-window-manager
    (=< 4.1.4) to prevent overwrite failure on upgrades for KDE 4.1.x

  [ Andreas Wenning ]
  * debian/patches/kubuntu_57_panel_notifications_conf.diff
    - This patch allows one to turn on and off jobs and notifications
      in the panel via the systemtray configuration dialog.
    - From: http://reviewboard.vidsolbach.de/r/331/diff/
    - Sent to upstream plasma-devel mailing list by the author.

 -- Andreas Wenning <awen@awen.dk>  Thu, 22 Jan 2009 16:55:50 +0100

kdebase-workspace (4:4.1.96-0ubuntu5) jaunty; urgency=low

  * Fixed debian/*.install:
    - Fixed doc path

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 20 Jan 2009 14:31:44 +0100

kdebase-workspace (4:4.1.96-0ubuntu4) jaunty; urgency=low

  [ Jonathan Thomas ]
  * Build-dep against kdepimlibs5-dev, add the plasma rss dataengine to the
    packaging. (LP: #315155)

  [ Michael Casadevall ]
   * Readded patches left out by last merge.
   * debian/control
     - Added build-dep on kdepimlibs5-dev
   * debian/patches/kubuntu_53_change_qreals_in_kephal.diff
     - Works around a but in qdbuscpp2xml which causes qreals
       in the return time to be left out. A bug with Trolltech
       has been filed, but is currently not visibly on their
       bug tracker. This should be removed once the bug has
       been fixed.
   * kubuntu_54_correct_qreal_fuzzy_matches.diff
     - Corrected fuzzy matches with qreals by explicately casting
       them to doubles so GCC knows which function to use instead
       of bailing with ambiguous function
     - Was dropped, merged upstream

  [ Anthony Mercatante ]
  * Added kubuntu_56_solid_changes_kdebluetooth.diff:
    - Fixes kdebluetooth4 0.3 build for 4.2.
    - Patch from 4.3 svn trunk

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 19 Jan 2009 18:17:12 +0100

kdebase-workspace (4:4.1.96-0ubuntu3) jaunty; urgency=low

  * Rebuild against new libplasma-dev

 -- Steve Stalcup <vorian@ubuntu.com>  Thu, 15 Jan 2009 01:33:13 -0500

kdebase-workspace (4:4.1.96-0ubuntu2) jaunty; urgency=low

  * Make Air new default wallpaper
    + Move Air from -wallpapers to -data
    + Move Blue_Curl from -data to -wallpapers
    + -data replaces -wallpapers << $thisversion
  * Fix kdm.init to not fail completely if no LANG is set in /etc/environment

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 13 Jan 2009 18:57:38 +0100

kdebase-workspace (4:4.1.96-0ubuntu1) jaunty; urgency=low

  [ Steve Stalcup ]
  * New upstream release
  * Patches Removed completely:
    - kubuntu_18_kubuntu_homepage.diff
  * Updated the following .install files:
    + kdebase-workspace-bin.install
    + kdebase-workspace-data.install
    + kdebase-workspace-dev.install
    + kdebase-workspace-libs4+5.install
    + kdebase-workspace-wallpapers.install
    + python-plasma.install
  * Updated 'not-installed' file to reflect items intentionally not installed
  * Bumped build-deps versions
  * Updated debian/rules versions
  * Modified kdm.init for locales support (LP: #298592)

  [ Harald Sitter ]
  * Add kubuntu_12_kubuntu_homepage.diff as replacement for
    kubuntu_18_kubuntu_homepage.diff. Even though the branding now supports
    configuration via the metadata.desktop file we can't use it because then
    it would only apply if the default theme is used. We want to have it apply
    to every theme without manually set URL (by theme creator for example).

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 11 Jan 2009 15:50:28 +0100

kdebase-workspace (4:4.1.85-0ubuntu2) raring; urgency=low

  [ Harald Sitter ]
  * kdm.logrotate:
    + Only rotate 5 times tops
    + Only allow the log to grow as big as 100 MiB before rotating. It gets
      rotate daily as well, so in the worst case scenario there are 500 MiB of
      log data stored (LP: #296106)

  [ Alberto Milone ]
  * Add kubuntu_55_add_dontzap_option.diff to allow users to set DontZap in
    xorg.conf if the dontzap package is installed

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 04 Jan 2009 22:00:31 +0100

kdebase-workspace (4:4.1.85-0ubuntu1) jaunty; urgency=low

  [ Harald Sitter ]
  * Change Vcs-Browser to Launchpad and replace Vcs-Svn with Vcs-Bzr
  * Drop kdepimlibs5-dev dependency from kdebase-workspace-dev, add kdelibs5-dev
    instead (-workspace doesn't depend on pimlibs anymore)

  [ Jonathan Thomas ]
  * New upstream release:
    - Bump build-depend versions on kdelibs5-dev, libplasma-dev, and
      python-kde4-dev
    - Drop 60_arm-qreal-float-casts.diff, applied upstream
    - Update kdebase-workspace-data and kdebase-workspace-dev .install files
      to reflect upstream changes

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 14 Dec 2008 18:37:44 -0500

kdebase-workspace (4:4.1.80-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Drop obsolete kdepimlibs5-dev build dependency
  * Remove 16_kdm_consolekit.diff, applied upstream (in a very different way)
    + Build-depend on libck-connector-dev
  * Build depend on python-kde4-dev, python-qt4-dev and sip4 for Plasma's Python
    support. Also reacitvate it's packaging.
    - Remove python-plasma-examples package for now, the examples don't get
      compiled/installed anymore. This will eventually change (in any case the
      packaging is still available in the archive history).
  * quilt refresh

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 02 Dec 2008 06:49:16 +0100

kdebase-workspace (4:4.1.73-0ubuntu3) jaunty; urgency=low

  * Do not build python-plasma package, seems to be a circular dependency between kde4bindings
    and libnepomukclient from this package
  * Do not build-dep on python-kde4 or python-qt4, remove dependencies from -dev on those
  * Add replaces on powerdevil

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Nov 2008 15:20:03 +0000

kdebase-workspace (4:4.1.73-0ubuntu2) jaunty; urgency=low

  * Stop libkdecorations4 and libkwineffects1 conflicting on kwin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Nov 2008 11:40:54 +0000

kdebase-workspace (4:4.1.73-0ubuntu1) jaunty; urgency=low

  * New upstream alpha snapshot
  * Add libxss-dev build-dep for powerdevil
  * Split kubuntu_19_always_show_kickoff_subtext.diff with kde4libs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Nov 2008 18:15:16 +0000

kdebase-workspace (4:4.1.4-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * Fix kde-window-manager overrides.
  * Bump build-deps and shlibs.
  * Add kconf_update scripts

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 Jan 2009 23:03:49 +0100

kdebase-workspace (4:4.1.3-2) experimental; urgency=low

  +++ Changes by Modestas Vainius:

  * Replace kdepimlibs5-dev with kdelibs5-dev everywhere (should be enough).
  * Bump build dependency on kdelibs5-dev to 4.1.3-2.
  * Exclude kdebase-runtime from libplasma2 Depends.
  * Remove kdebase-runtime-data from kdebase-workspace-data Conflicts.
    Leave Replaces though.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 07 Nov 2008 23:16:16 +0200

kdebase-workspace (4:4.1.3-1) experimental; urgency=low

  * New upstream release
    - File moved over from -runtime. Add to -data and add appropriate replaces
      and conflicts

 -- Sune Vuorela <debian@pusling.com>  Sat, 01 Nov 2008 12:22:08 +0100

kdebase-workspace (4:4.1.2-1ubuntu5) jaunty; urgency=low

  * No change rebuild for new dh_sameversiondeps

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Nov 2008 16:33:00 +0000

kdebase-workspace (4:4.1.2-1ubuntu4) jaunty; urgency=low

  * Do not depend on oxygencurors

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Nov 2008 23:25:13 +0000

kdebase-workspace (4:4.1.2-1ubuntu3) jaunty; urgency=low

  * Add conflicts/replaces against kdebase-workspace-bin (<= 4.1.3) to systemsettings
    since files moved around during the merge. (LP: #296220)
  * Add conflicts/replaces against kdebase-workspace-data (<= 4.1.3) to
    kde-window-managersince files moved around during the merge. (LP: #296219)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 10 Nov 2008 09:10:37 -0500

kdebase-workspace (4:4.1.2-1ubuntu2) jaunty; urgency=low

  [ Jonathan Thomas ]
  * Re-add kubuntu_20_plasma_tooltips since the pythonoids patch needs it. Can be
    removed once we upgrade to a 4.2 snapshot.

  [ Scott Kitterman ]
  * Add kdelibs5-dev to build-dep

 -- Scott Kitterman <scott@kitterman.com>  Sun, 09 Nov 2008 22:17:22 -0500

kdebase-workspace (4:4.1.2-1ubuntu1) jaunty; urgency=low

  * Merge from Debian, remaining changes:
    - Use our custom kde4.mk
    - Keep our (>= 4:4.1.2) build-depend on kdepimlibs5-dev
    - Keep kdebase-workspace-wallpapers package
    - Recommend compiz-wrapper for its videocard blacklist
    - Keep dummy kwin package
    - Add pam files for kscreensaver and kcheckpass (LP: #278842)
    - Keep compile fix for network-manager 0.7
    - Keep change to remove hardy KDE 4 x-session-manager alternate in preinst
    - Keep hal in Required-Start and Required-Stop for kdm.init
    - Keep update for existing S99kdm (from previous 4:4.x) or S13kdm (from
      KDE 3 installations) to S30kdm
    - Don't install klipper.desktop so it stays hidden
    - Do not have 176 trailing whitespace chars in line 20 of
      libplasma-dev.install
    - Do not put multicolored Oxygen cursors in oxygencursors.install
    - Keep refreshed quilt patches
    - Don't use 22_execute_ktrash4.diff as we have disabled the base-runtime
      patch
    - Keep the following patches:
        kubuntu_33_kdm_bulletproof_x.diff
        kubuntu_10_turn_on_kwin_compositing.diff
        kubuntu_11_fix_root_only_kcms.diff
        kubuntu_52_gtk_qt_engine_config.diff
        kubuntu_14_no_zoom.diff
        kubuntu_16_randr12.diff
        kubuntu_18_kubuntu_homepage.diff
        kubuntu_19_always_show_kickoff_subtext.diff
        kubuntu_53_pythonoids.diff
    - Don't enable 12_be_better_at_honouring_user_kdm_theming.diff for now

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 06 Nov 2008 17:08:52 -0500

kdebase-workspace (4:4.1.2-1) experimental; urgency=low

  * New upstream release.
  * Update installed files.
  * Some files have been moved from kdebase-runtime-data to
    kdebase-workspace-data, add Conflicts with previous version.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 29 Sep 2008 16:42:31 +0200

kdebase-workspace (4:4.1.2-0ubuntu13) intrepid-proposed; urgency=low

  * remove hardy KDE 4 x-session-manager alternate in preinst,
    it does not work in postinst, closes LP: #287488

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Oct 2008 11:16:52 +0000

kdebase-workspace (4:4.1.2-0ubuntu12) intrepid; urgency=low

  * In kdebase-workspace-bin.postinst remove hardy KDE 4
    default for x-session-manager, closes LP: #287488

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Oct 2008 02:04:39 +0100

kdebase-workspace (4:4.1.2-0ubuntu11) intrepid; urgency=low

  * Fix crashing in examples for plasma-python-examples (temp only fix)
  * Make plasma-python-examples a suggests rather than recommends

 -- Roderick B. Greening <roderick.greening@gmail.com>  Fri, 17 Oct 2008 17:04:18 -0230

kdebase-workspace (4:4.1.2-0ubuntu10) intrepid; urgency=low

  * Add python plasmoid support (pythonoids)

 -- Roderick B. Greening <roderick.greening@gmail.com>  Thu, 16 Oct 2008 01:01:53 -0230

kdebase-workspace (4:4.1.2-0ubuntu9) intrepid; urgency=low

  * Fix CMake variables for PAM (LP: #278842)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 12 Oct 2008 17:41:10 +0200

kdebase-workspace (4:4.1.2-0ubuntu8) intrepid; urgency=low

  * Remove kubuntu_17_kwin_branch.diff completely
  * Fix shutdown where logout was selected, by adding kdisplaymanager.cpp to
    kubuntu_15_kickoff_ksmserver_logout.diff (LP: #279807)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 11 Oct 2008 16:36:55 +0200

kdebase-workspace (4:4.1.2-0ubuntu7) intrepid; urgency=low

  [ Roderick B. Greening ]
  * Reverted kubuntu_17_kwin_branch.diff
    - remove references from kde-window-manager.install
  * Remove tooltip window preview from kubuntu_17_kwin_branch.diff
    - and add to kubuntu_20_plasma_tooltips.diff

  [ Harald Sitter ]
  * Add kubuntu_900_fix_klipper_crash.diff from upstream SVN (LP: #278482)
  * KDM should prefer user image resources (default would only
    use images defined by the administrator) (LP: #280746)

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 10 Oct 2008 16:27:23 +0200

kdebase-workspace (4:4.1.2-0ubuntu6) intrepid; urgency=low

  [ Jonathan Thomas ]
  * Revert trunk changes to taskmanager.h includes in
    kubuntu_20_plasma_tooltips.diff.
  * Add taskmanager_exports.h to kdebase-workspace-dev.install.
  * Include the ToolTipManager includes/headers to libplasma-dev.install.

  [ Harald Sitter ]
  * Add pam files for kscreensaver and kcheckpass (LP: #278842)
  * Remove kubuntu_09_kickoff_favourites.diff in favor of kickoffrc in k-d-s

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 07 Oct 2008 22:14:09 +0200

kdebase-workspace (4:4.1.2-0ubuntu5) intrepid; urgency=low

  * Add kwin/effects/data/cylinder.vert, cylinder.frag, and sphere.vert to
    CMakeLists.txt in kubuntu_17_kwin_branch.diff and debian/kde-window-manager.install
    to properly install them. (LP: #278102)
  * Remove confusing/wrong/partly-empty combobox for default desktop switcher
    from the KWin effects kcm module in kubuntu_17_kwin_branch.diff. (LP: #278068)
  * Enable window previews in Plasma tooltips now that our Plasma supports it.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 05 Oct 2008 21:41:57 -0400

kdebase-workspace (4:4.1.2-0ubuntu4) intrepid; urgency=low

  * Don't remove suid bit from /usr/lib/kde4/libexec/kcheckpass (LP: #92932)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 05 Oct 2008 19:10:09 +0200

kdebase-workspace (4:4.1.2-0ubuntu3) intrepid; urgency=low

  * Add kubuntu_20_plasma_tooltips.diff to debian/patches/series.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 04 Oct 2008 18:51:12 -0400

kdebase-workspace (4:4.1.2-0ubuntu2) intrepid; urgency=low

  * Add kubuntu_20_plasma_tooltips.diff from Jonathan Thomas, taken from trunk, adds tooltips to plasma
  * Update kubuntu_17_kwin_branch.diff, fixes redrawing problems

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 03 Oct 2008 15:05:59 +0100

kdebase-workspace (4:4.1.2-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * quilt refresh

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 26 Sep 2008 01:33:17 +0200

kdebase-workspace (4:4.1.1-2) experimental; urgency=low

  +++ Changes by Fathi Boudra:

  * Add the status action to KDM's init script, merged from Ubuntu:
    * Depend on lsb-base >= 3.2-14, which has the status_of_proc() function.
    * Import the LSB init functions, and add the 'status' action.
    Thanks to Dustin Kirkland and Jonathan Riddell.

  +++ Changes by Armin Berres:

  * Make the plasma trash applet call KDE 4's and not KDE 3's ktrash.
    Thanks to George Kiagiadakis for the patch (Closes: #494427).
  * Add acpid dbus hal to Should-Start in KDM's init script to make KDM start
    after these dameons, if they are installed.
  * Remove x-display-manager from Provides in KDM's init script.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 10 Sep 2008 15:40:16 +0200

kdebase-workspace (4:4.1.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * Refresh patches:
    - Remove 23_systray_fixes, merged upstream.
  * Kill off some dependencies off kdebase-workspace-dev. kdebase-workspace
    aren't exposing this.
  * Add cursors to not-installed.
  * Add bugscript to libplasma2 so we can see installed plasma thingies on
    reporters system.
  * Define a plasma abi variable so we can set and change it as we feel like.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update installed files.

  +++ Changes by Armin Berres:

  * Install konqueror as x-www-browser alternative (Closes: #495746).
  * Add manpages for konquror, kfmclient and keditbookmarks.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 31 Aug 2008 17:07:28 +0200

kdebase-workspace (4:4.1.1-0ubuntu9) intrepid; urgency=low

  * Fix compile failure in previous patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 25 Sep 2008 01:59:38 +0100

kdebase-workspace (4:4.1.1-0ubuntu8) intrepid; urgency=low

  * Add kubuntu_19_always_show_kickoff_subtext.diff to always show
    kickoff subtext menu and remove indent

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 24 Sep 2008 22:02:56 +0100

kdebase-workspace (4:4.1.1-0ubuntu7) intrepid; urgency=low

  * Add back kubuntu_14_no_zoom.diff, don't show zoom button
  * In kubuntu_09_kickoff_favourites.diff fix loading Amarok (not a KDE 4)
  * Add kubuntu_15_kickoff_ksmserver_logout.diff, show only 1 button
    on logout dialogue and add suspend to kickoff.
    Taken from SuSE with our own improvements to logout dialogue
  * Add kubuntu_16_randr12.diff from SuSE for randr 1.2
  * Add kubuntu_17_kwin_branch.diff from SuSE for kwin branch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 24 Sep 2008 12:39:46 +0100

kdebase-workspace (4:4.1.1-0ubuntu6) intrepid; urgency=low

  * Fix kontact entry in kubuntu_09_kickoff_favourites.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 23 Sep 2008 17:48:46 +0100

kdebase-workspace (4:4.1.1-0ubuntu5) intrepid; urgency=low

  * Change kdm.config to properly upgrade from kdm-kde4

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 09 Sep 2008 17:57:37 +0200

kdebase-workspace (4:4.1.1-0ubuntu4) intrepid; urgency=low

  * Add back kubuntu_52_gtk_qt_engine_config.diff ported to gtk-qt4 engine

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Sep 2008 13:25:05 +0100

kdebase-workspace (4:4.1.1-0ubuntu3) intrepid; urgency=low

  * Add missing space in debian/kdebase-workspace-data.install to fix
    FTBFS on i386

 -- Scott Kitterman <scott@kitterman.com>  Tue, 02 Sep 2008 10:28:42 +0000

kdebase-workspace (4:4.1.1-0ubuntu2) intrepid; urgency=low

  * Rebuild against kdelibs 4:4.1.1+really4.1.1

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 02 Sep 2008 03:51:51 +0200

kdebase-workspace (4:4.1.1-0ubuntu1) intrepid; urgency=low

  [ Steve Stalcup ]
  * New upstream release
  * Removed kubuntu_34_show_systemsettings_in_menu patch
  * Removed debian/cdbs dir (obsolete)

  [ Harald Sitter ]
  * Removed THIS_SHOULD_GO_TO_UNSTABLE from debian/rules obsolete)
  * Update MAKESHLIBS_ARGS for libkwineffects1 with 4:4.1.1 as version
  * Update the kdepimlibs5-dev build-dep to 4:4.1.1
  * Add hal as Required-Start and Required-Stop to KDM's init script
  * Update debian/not-installed
  * Install kcm_keyboard's documentation
  * kde-window-manager conflicts kdebase-runtime-data << 4.1 (LP: #254284)
  * Add kubuntu_11_fix_root_only_kcms.diff to start KDM's KCM using
    kdesu/kdesudo. Thanks to Lukáš Tinkl and Fedora! (LP: #184491)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 01 Sep 2008 19:30:38 +0200

kdebase-workspace (4:4.1.0-3) experimental; urgency=low

  * Install konqueror as x-www-browser alternative (Closes: #495746).
  * Add manpages for konquror, kfmclient and keditbookmarks.

 -- Armin Berres <trigger+debian@space-based.de>  Thu, 21 Aug 2008 11:35:14 +0200

kdebase-workspace (4:4.1.0-2) experimental; urgency=low

  +++ Changes by Sune Vuorela:

  * Move ksysguard* to utils section.

  +++ Changes by Fathi Boudra:

  * Bump Standards-Version to 3.8.0 (no changes needed).
  * Add patch to fix system tray with Qt4.4.1 (Closes: #495342).

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove libbluetooth-dev build-depens on non linux archs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 16 Aug 2008 21:21:11 +0200

kdebase-workspace (4:4.1.0-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * Make kdebase-workspace recommend kdebase-plasma (folderview)

  +++ Changes by Modestas Vainius:

  * Move kcm_fonts, kcm_style and kcm_style from kdebase-workspace-bin to
    systemsettings. Preparing for systemsettings release to unstable.
  * Adapt sameVersionDep substvars to new dh_sameversiondeps syntax.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update installed files and build depends.
  * Bump libkwineffects1 shlibs.
  * Fix descriptions line with more than 80 chars.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 27 Jul 2008 02:10:23 +0200

kdebase-workspace (4:4.1.0-0ubuntu9) intrepid; urgency=low

  * Update existing S99kdm (from previous 4:4.x) or S13kdm (from KDE 3
    installations) to S30kdm (LP: #256261)

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 29 Aug 2008 16:20:00 +0200

kdebase-workspace (4:4.1.0-0ubuntu8) intrepid; urgency=low

  * Add kubuntu_34_show_systemsettings_in_menu (LP: #253707)

 -- Jonathan Thomas (The man) <echidnaman@gmail.com>  Wed, 20 Aug 2008 10:11:25 -0400

kdebase-workspace (4:4.1.0-0ubuntu7) intrepid; urgency=low

  * debian/control: lsb-base should depend on lsb-base >= 3.2-14, not .14 (cut
    and paste error), (LP: #259446).

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 20 Aug 2008 00:33:12 +0100

kdebase-workspace (4:4.1.0-0ubuntu6) intrepid; urgency=low

  * debian/control: Depend on lsb-base >= 3.2-14, which has the
    status_of_proc() function.
  * debian/kdm.init: Import the LSB init functions, and add the 'status'
    action (LP: #259446).

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 19 Aug 2008 16:05:34 +0100

kdebase-workspace (4:4.1.0-0ubuntu5) intrepid; urgency=low

  * Fix compile for network-manager 0.7
  * Install oxygen-white cursors

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Aug 2008 19:12:57 +0100

kdebase-workspace (4:4.1.0-0ubuntu4) intrepid; urgency=low

  * kde-window-manager Recommends: compiz-wrapper

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Aug 2008 17:06:11 +0100

kdebase-workspace (4:4.1.0-0ubuntu3) intrepid; urgency=low

  * Add kubuntu_10_turn_on_kwin_compositing.diff, see how much it breaks

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Aug 2008 22:41:10 +0100

kdebase-workspace (4:4.1.0-0ubuntu2) intrepid; urgency=low

  * switch to kde4.mk from cdbs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 01 Aug 2008 15:29:38 +0000

kdebase-workspace (4:4.1.0-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * Add kubuntu_09_kickoff_favourites.diff to patches/series

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 25 Jul 2008 18:57:13 +0200

kdebase-workspace (4:4.0.98-1) experimental; urgency=low

  * New upstream release, Release Candidate 1.

  +++ Changes by Sune Vuorela:

  * Don't install oxygencursors, but instead depend on oxygencursors package.
  * Patch 17 to fix ksysguard build on all archs removed, committed upstream
  * Enabled consolekit patch. Thanks to Daniel Nicoletti for noticing and
    testing the patch.
  * Fix up theming stuff.

  +++ Changes by Xavier Vello:

  * ksysguard now recommends on ksysguardd.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Resync patches: 07_kdmrc_defaults,
    12_be_better_at_honouring_user_kdm_theming and
    21_kdm_doesnt_use_kstandarddirs.
  * Remove 97_fix_target_link_libraries.
  * Update installed files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 14 Jul 2008 14:58:33 +0200

kdebase-workspace (4:4.0.98-0ubuntu6) intrepid; urgency=low

  * Removed Blue_curl from -wallpapers .install file (LP: #249948)

 -- Egon Ashrafinia <wubbbi@gmx.de>  Fri, 18 Jul 2008 21:48:11 +0200

kdebase-workspace (4:4.0.98-0ubuntu5) intrepid; urgency=low

  * Added a build dependency of ksysguardd to ksysguard (LP: #249854)

 -- Egon Ashrafinia <egonas1@web.de>  Fri, 18 Jul 2008 15:59:42 +0200

kdebase-workspace (4:4.0.98-0ubuntu4) intrepid; urgency=low

  * New upstream default wallpaper Blue_Curl, move from -wallpapers to -data
  * Add kubuntu_09_kickoff_favourites.diff, add kontact, amarok, kopete to menu favourites

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 17 Jul 2008 13:07:04 +0100

kdebase-workspace (4:4.0.98-0ubuntu3) intrepid; urgency=low

  * Removed kubuntu_13_hide_klipper.diff:
    - Don't use NoDisplay since that breaks autostart
  * Fixed klipper.install not to install the desktop file

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 16 Jul 2008 18:26:39 +0200

kdebase-workspace (4:4.0.98-0ubuntu2) intrepid; urgency=low

  * Deactivate 12_be_better_at_honouring_user_kdm_theming.diff for now

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 15 Jul 2008 12:49:45 +0200

kdebase-workspace (4:4.0.98-0ubuntu1) intrepid; urgency=low

  * New upstream release candidate release
  * Bump Standards-Version to 3.8.0
  * Oxygen cursor theme not packaged yet - needs proper migration path from
    old source package and discussion with debian

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 12 Jul 2008 00:50:52 +0200

kdebase-workspace (4:4.0.84-1) experimental; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * New upstream snapshot.
  * Remove 14_correct_kde4home_for_kstartupconfig4.diff.
    KDE_DEFAULT_HOME defines kde home.

  +++ Changes by Sune Vuorela:

  * Fix up some dependencies and conflicts/replaces in kdebase-workspace-dbg

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 28 Jun 2008 10:57:09 +0200

kdebase-workspace (4:4.0.83-0ubuntu6) intrepid; urgency=low

  * Remove KDE_DEFAULT_HOME variable from kde.mk in order to switch to .kde
    Closes LP: #245631

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 05 Jul 2008 10:49:25 +0200

kdebase-workspace (4:4.0.83-0ubuntu5) intrepid; urgency=low

  * libkde* don't conflict on kwin, make kwin installable again

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Jul 2008 09:38:55 +0000

kdebase-workspace (4:4.0.83-0ubuntu4) intrepid; urgency=low

  * Replace 07_kdmrc_defaults.diff with kubuntu_07_kdmrc_defaults.diff,
    use Kubuntu instead of Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Jun 2008 12:14:53 +0000

kdebase-workspace (4:4.0.83-0ubuntu3) intrepid; urgency=low

  * Add a kwin transitional package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jun 2008 18:13:23 +0000

kdebase-workspace (4:4.0.83-0ubuntu2) intrepid; urgency=low

  * kdebase-workspace-data Replaces old kdebase-runtime-data, files moved

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Jun 2008 10:20:45 +0000

kdebase-workspace (4:4.0.83-0ubuntu1) intrepid; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jun 2008 11:45:15 +0000

kdebase-workspace (4:4.0.82+svn819867-1) experimental; urgency=low

  * New upstream development snapshot.

  +++ Changes by Modestas Vainius:

  * Update install files.
  * Add replaces for kde-window-manager and kdebase-workspace-data
    because some files have been moved here from kdebase-runtime.
  * Remove 06_kdehome_kde4.diff - no longer needed.
  * Update 17_ksysguard_disable_procmon_when_unsupported.diff.
  * Bump libplasma2 shlibs.
  * Bump build depends to 4.0.82.

  +++ Changes by Fathi Boudra:

  * Remove patch 21: disable blend title bar for Ozone.
    Upstream windeco default is now acceptable.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update installed files.

  +++ Changes by Sune Vuorela:

  * kdm doesn't use kstandarddirs, so we need to do a bit specific patching
    here.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 15 Jun 2008 14:04:05 +0200

kdebase-workspace (4:4.0.80-2) experimental; urgency=low

  +++ Changes by Modestas Vainius:

  * Bump kdepimlibs5-dev and libphonon-dev build dependencies to 4.0.80.
  * Add patch 17_ksysguard_disable_procmon_when_unsupported.diff which
    disables building of libs/ksysguard KMonitorProcessIO when support
    has not been implemented for the host arch. Resolves FTBFS on
    unsupported arches (Closes: #482686).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 27 May 2008 22:08:52 +0300

kdebase-workspace (4:4.0.80-1ubuntu4) intrepid; urgency=low

  * Add build-dep on libxinerama-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2008 21:52:27 +0000

kdebase-workspace (4:4.0.80-1ubuntu3) intrepid; urgency=low

  * Fix config file install locations

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2008 20:55:43 +0000

kdebase-workspace (4:4.0.80-1ubuntu2) intrepid; urgency=low

  * Add dh_sameversiondeps call to kde.mk, fix depends on plasma

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Jun 2008 16:31:02 +0100

kdebase-workspace (4:4.0.80-1ubuntu1) intrepid; urgency=low

  * Merge with Debian
  * Remove 97_fix_target_link_libraries.diff
  * Add kubuntu_08_genkdmconf.diff  kubuntu_13_hide_klipper.diff  kubuntu_33_kdm_bulletproof_x.diff
  * Add conflicts/replaces on -kde4 named packages
  * Include kdebase-workspace-wallpapers with non-default wallpapers

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 May 2008 12:41:55 +0100

kdebase-workspace (4:4.0.80-1) experimental; urgency=low

  * New upstream development milestone (KDE 4.1 Beta1).

  +++ Changes Modestas Vainius:

  * Update install files (libplasma devel files).
  * libplasma bumped soname to 2. Rename libplasma1 package to libplasma2.
    It conflicts and replaces libplasma1 due to plugins and data files.
  * Take opportunity and move plasma kdeinit stuff to kdebase-workspace-bin
    where it really belongs. Also move a few desktop files to
    kdebase-workspace-data too. As a result, add conflicts to
    kdebase-workspace-{bin,data} against obsolete libplasma1 package.
  * Make libplasma-dev depend on the same kdelibs5-dev version as libplasma2
    depends on kdelibs5.

  +++ Changes by Fathi Boudra:

  * Add libxcursor-dev build dependency. (Closes: #481724)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 22 May 2008 00:58:39 +0300

kdebase-workspace (4:4.0.74-1) experimental; urgency=low

  * New upstream snapshot.

  +++ Changes by Armin Berres:

  * Add conflict with extragear-plasma to libplasma1. libplasma1 has broken BC
    and the soname hasn't been raised which confused people which try to use
    the broken plasmoids.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 17 May 2008 16:34:15 +0200

kdebase-workspace (4:4.0.73+svn808019-1) experimental; urgency=low

  * New upstream development snapshot:
    - The latest upstream commit is r808019 by pino
    - Date: Thu May 15 12:25:39 2008 UTC

  * Resolved bugs:
    - kdm password field is again reachable without mouse click when using
      Debian kdm theme. (Closes: #478666)
  * NetworkManager enabled.

  +++ Changes by Modestas Vainius:

  * Update install files.
  * Refresh patches (adopt to upstream changes):
    * 10_kdm_no_custom
    * 97_fix_target_link_libraries

  +++ Changes by Armin Berres:

  * Raise libkwineffects1 shlibs version in debian/rules.
  * Patch kdm to start the X server with a black background instead of the
    default checkerboard.
  * Don't install /usr/lib/libkwinnvidiahack.so. No one is supposed to link
    against libkwinnvidiahack. Make kdebase-workspace-dev depend on
    libkdecorations4 and libkwineffects1 instead of kde-window-manager now
    that kde-window-manager contains nothing one can link against.
  * Move shared libraries to kdebase-workspace-libs4+5 so we can raise the
    soname if needed. Update kdebase-workspace-dev dependencies accordingly.

  +++ Changes by Fathi Boudra:

  * Add 20 patch to use DejaVu font as default font.
  * Add 21 patch to disable blend title bar.
  * Fix 97_fix_target_link_libraries patch:
    proper libplasma target link libraries.
  * Add libqt4-opengl-dev build dependency since Qt4 split.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 14 May 2008 12:19:18 +0300

kdebase-workspace (4:4.0.72-1) experimental; urgency=low

  * New upstream snapshot (tag r802761):
    - The latest upstream commit is r802727 by mlaurent
    - Date: Wed, 30 Apr 2008 15:35:52 -0000

  +++ Changes by Modestas Vainius:

  * Add libstreamanalyzer-dev, libfontconfig-dev, libglu1-mesa-dev to build depends.
    (Closes: #477344)
  * Add 97_fix_target_link_libraries.diff which fixes linkage problems with
    recent kdelibs5.
  * Do not install printer-applet on purpose.

  +++ Changes by Armin Berres:

  * Add libsm-dev, libxft-dev and libxtst-dev to build depends.
  * Bump shlibs version of libplasma1.
  * Build depend on kdepimlibs and libphonon from latest snapshot.

  +++ Changes by Fathi Boudra:

  * Update installed files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 30 Apr 2008 18:51:02 +0300

kdebase-workspace (4:4.0.68+svn794641-1) experimental; urgency=low

  * New usptream snapshot.

  +++ Changes by Sune Vuorela:

  * Move some files to -runtime/not-installed. Moved upstream. This is post
    revision 792360.

  +++ Changes by Modestas Vainius:

  * Mention KWin in the kde-window-manager description.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update installed files.
  * Add versioned build depend on libqimageblitz-dev from experimental.
  * New build depends on: libsmbclient-dev, libxcb1-dev and libxine-dev are
    required now.
  * Add shlibs to libplasma1.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 09 Apr 2008 20:05:50 +0200

kdebase-workspace (4:4.0.66+svn791114-3) experimental; urgency=low

  * Remove accidentally added kgreet_classic from kdebase-workspace-bin.

 -- Armin Berres <armin+debian@space-based.de>  Sun, 30 Mar 2008 00:40:27 +0100

kdebase-workspace (4:4.0.66+svn791114-2) experimental; urgency=low

  * Update some more build depends to >= 4:4.0.66.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 29 Mar 2008 18:08:21 +0100

kdebase-workspace (4:4.0.66+svn791114-1) experimental; urgency=low

  +++ Changes by Armin Berres:

  * Rename kwin to kde-window-manager and split off libkwineffects1 and
    libkdecorations4 (Closes: #463924).
  * Remove unneeded dependency of kdebase-workspace-dev on kdm.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * First KDE 4.1 snapshot packaged
  * Update installed files.
  * Bump build depends on >= 4.0.66

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 29 Mar 2008 12:53:41 +0100

kdebase-workspace (4:4.0.3-0ubuntu2) hardy; urgency=low

  * Added patch kubuntu_14_no_zoom.diff to remove the Zoom In/Out
    buttons from the plasma  toolbox (LP: #197865)

 -- Terence Simpson <tsimpson@ubuntu.com>  Fri, 04 Apr 2008 04:33:37 +0100

kdebase-workspace (4:4.0.3-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Mar 2008 13:28:44 +0000

kdebase-workspace (4:4.0.2-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Matthew Rosewarne:

  * Move kdm, klipper, and kwin to Section: x11.
  * Move ksysguard and ksysguardd to Section: admin.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update from libxklavier11-dev to libxklavier12-dev.
  * Update installed files.
  * Update build depends to 4.0.2.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Mar 2008 14:56:31 +0100

kdebase-workspace (4:4.0.2-0ubuntu6) hardy; urgency=low

  * debian/control:
    + Don't exceed 80 characters where possible
    + libplasma1 depends on kdm-kde4 for desktop locking (LP: #183800)
    + systemsettings-kde4 depends on kdebase-workspace-bin as the desktop files
      pulled in by libplasma1's dependency on -data need the libs (LP: #199287)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 23 Mar 2008 03:40:20 +0100

kdebase-workspace (4:4.0.2-0ubuntu5) hardy; urgency=low

  * Add kubuntu_13_hide_klipper.diff, hide klipper from apps menu

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Mar 2008 18:58:39 +0000

kdebase-workspace (4:4.0.2-0ubuntu4) hardy; urgency=low

  * Add kdebase-workspace-wallpapers package to not have wallpapers on
    the CD and save many megs
  * Add kubuntu_09_hide_ktip.diff to hide ktip
  * Add kubuntu_10_hide_systemsettings.diff, hide system settings
  * Addd kubuntu_12_hide_kmenuedit.diff, hide kmenuedit from apps menu

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Mar 2008 15:56:30 +0000

kdebase-workspace (4:4.0.2-0ubuntu3) hardy; urgency=low

  * Added debian/patches/kubuntu_501_fix_wallpaper_r783864.diff from svn
    to fix wallpaper blanking issues: (LP: #198470)

 -- Terence Simpson <tsimpson@ubuntu.com>  Wed, 12 Mar 2008 15:10:49 +0000

kdebase-workspace (4:4.0.2-0ubuntu2) hardy; urgency=low

  * debian/kdm-kde4.config: merged from kdm package, fixes reconfiguration for
    kdm/kdm-kde4 (LP: #190375)

 -- Daniel Hahler <ubuntu@thequod.de>  Tue, 11 Mar 2008 17:44:08 +0000

kdebase-workspace (4:4.0.2-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 03 Mar 2008 11:37:30 +0000

kdebase-workspace (4:4.0.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Matthew Rosewarne:

  * Remove Depends: dbus-x11 from kdebase-workspace-bin,
    now provided by kdelibs5.
  * Add X server, session, and terminal Recommends to kdm.

  +++ Changes by Armin Berres:

  * Update installed files.
  * Move files from kdebase-workspace-data into kdm and kwin.
  * Refresh 09_genkdm_make.diff.
  * Bump build-depends to >= 4.0.1-1.
  * Revert obsolete patch 15_fix_kdm_build_system.diff.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Bump compat/debhelper to 6.

  +++ Changes by Fathi Boudra:

  * Add Vcs-Browser and Vcs-Svn fields.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 04 Feb 2008 15:19:44 +0100

kdebase-workspace (4:4.0.1-0ubuntu6) hardy; urgency=low

  * Change deps for libxklavier12 transition

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Fri, 29 Feb 2008 15:58:10 +1100

kdebase-workspace (4:4.0.1-0ubuntu5) hardy; urgency=low

  * Fix debian/rules for arch-indep builds

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 26 Feb 2008 15:42:24 +0000

kdebase-workspace (4:4.0.1-0ubuntu4) hardy; urgency=low

  * Fixed kubuntu_33_kdm_bulletproof_x.diff patch.

 -- Eugene Tretyak <etretyak@gmail.com>  Sun, 17 Feb 2008 09:59:36 +0000

kdebase-workspace (4:4.0.1-0ubuntu3) hardy; urgency=low

  * Add kubuntu_33_kdm_bulletproof_x.diff, adds bulletproof X
    feature to KDM.

 -- Eugene Tretyak <etretyak@gmail.com>  Thu, 14 Feb 2008 10:40:12 +0000

kdebase-workspace (4:4.0.1-0ubuntu2) hardy; urgency=low

  * Added:
    - kubuntu_401_plasma_taskbar_multirow.diff which adds multirow
      support to the taskbar - from KDE trunk (4.1)
    - kubuntu_402_plasma_only_desktop_tasks.diff to add a feature to only
      show tasks from the current desktop in the taskbar - from KDE trunk (4.1)
  * Renamed:
    - kubuntu_54_improve_kickoff_button_highlight.diff to
      kubuntu_403_improve_kickoff_button_highlight.diff since it got removed
      from KDE's stable branch
    - 07_kdmrc_defaults.diff to kubuntu_07_kdmrc_defaults.diff, since I did
      changes to integrate better with Kubuntu
    - 08_genkdmconf.diff to kubuntu_08_genkdmconf.diff, since it now sets
      the KDE 4 default wallpaper as background for KDM
  * Changed genkdmconf in kdm-kde4.init to it's absolute path
  * Fixed user icon in KDM

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 06 Feb 2008 11:50:45 +0100

kdebase-workspace (4:4.0.1-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 31 Jan 2008 17:34:09 +0000

kdebase-workspace (4:4.0.0-3) experimental; urgency=low

  +++ Changes by Armin Berres:

  * Install kdm-np into /etc/pam.d/ to get working auto-login.
  * Install documentation of how to use kwin with composite.
  * Add conflicts and replaces for a smoother upgrade.

  +++ Changes by Fathi Boudra:

  * Add ConsoleKit support patch.
  * Add libdbus-1-dev build dependency.

  +++ Changes by Matthew Rosewarne:

  * Add README.Debian for kwin about compositing support.
  * Tweak package descriptions.
  * Change KDE 4 dependency version to 4:4.0.0-1.
  * More specific dependencies for kdebase-workspace-dev.
  * Remove unnecessary Replaces.
  * Use source:Version for kdebase-workspace metapackage.
  * Change kdebase-workspace-dbg Depends to kdebase-runtime-dbg.
  * Add Suggests: kdebase-workspace to kdebase-workspace-dbg.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Add dependency on debconf to kdm.
  * Add lintian overides for kdebase-workspace-bin, klipper, ksysguard, kwin
    and libplasma1.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 26 Jan 2008 05:31:52 +0100

kdebase-workspace (4:4.0.0-2) experimental; urgency=low

  * Add patch to install various kdm configuration files into the correct
    directories.

 -- Armin Berres <armin+debian@space-based.de>  Thu, 10 Jan 2008 18:50:41 +0100

kdebase-workspace (4:4.0.0-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update *.install files.
  * Bump build-depends to >= 4.0.0-1.
  * Remove patch 15_fix_kdm_crash no needed now.
  * Update years in copyright file.

  +++ Changes by Matthew Rosewarne:

  * Add Homepage: to control.
  * Tweak package descriptions.
  * Replace dependency on xbase-clients to x11-utils and x11-xserver-utils.

  +++ Changes by Fathi Boudra:

  * Update kdebase-workspace-*.install files. Add fonts related files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 05 Jan 2008 08:05:28 +0100

kdebase-workspace (4:4.0.0-0ubuntu9) hardy; urgency=low

  * set XDG_APPS_INSTALL_DIR=/usr/share/applications/kde4/ in kde.mk
  * Add 16_kdm_consolekit.diff from Debian
  * Add kubuntu_ prefix to our patches

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Jan 2008 13:30:51 +0000

kdebase-workspace (4:4.0.0-0ubuntu8) hardy; urgency=low

  [ Terence Simpson ]
  * debian/patches/07_kdmrc_defaults.diff:
    - Added patch to set the pidfile to the place the init script expects
  * debian/kdm-kde4.templates:
    - Changed value for default-display-manager to use the full path of
      the kdm executible

  [ Harald Sitter ]
  * Added:
    - debian/patches/56_fix_genkdmconf_build.diff
    - debian/patches/57_improve_genkdmconf_build.diff
    - debian/patches/58_fix_genkdmconf_sessionsdirs_handling.diff
    - debian/kdm-kde4.links, which is setting the default user icon and
      sets an oxygen replacement for the old KDE logo
  * Removed:
    - debian/patches/09_genkdm_make.diff replaced in
      56_fix_genkdmconf_build.diff with upstream fix.
  * Renamed debian/kdm.README.Debian to kdm-kde4.README.Debian
  * Changed:
     - debian/patches/07_kdmrc_defaults.diff added proper font usage
       and enabled antialiasing
     - debian/kdm-kde4.init to use current KDE 4 paths and added a rule
       to kill upslash if it is still running
     - debian/kdm-kde4.install to not install the old KDE logo (we link the
       new oxygen version with kdm-kde4.links)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 22 Jan 2008 18:06:54 +0100

kdebase-workspace (4:4.0.0-0ubuntu7) hardy; urgency=low

  * debian/patches
    + 55_fix_random_white_desktop.diff this should take care of wrong rendering
      of the wallpaper, which happens from time to time
  * Fix kde4 wrapper creation
  * Fix installation of kfontinst and kio_fonts (LP: #184089)
  * Added debconf to the kdm-kde4 dependencies

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 15 Jan 2008 22:47:01 +0100

kdebase-workspace (4:4.0.0-0ubuntu6) hardy; urgency=low

  * Fix debian/patches/54_improve_kickoff_button_highlight.diff

